-e Версия 20.16 03.06.2025 
 * исправлена ошибка в системе печати
-e Версия 20.15 08.05.2025 
 *Доработана система печати
  - теперь фильтр iceb_ps встрен в программу
 *Подсистема "Заработная плата"
  - доработаны отчёты в налоговую в соотвецтвии с изменивщимися формами отчётности 
  - доработана выгргузка зарплаты в Ощадбанк

-e Версия 20.14 
 *Подсистема "Главная книга"
  - реализована возможность переносить обороты по счетам из одной базы
    в другую
  - реализован поиск проводок по коду суббаланса

 *Подсистема "Платёжные документы"
  - доработан ескпорт платёжек в систему  iBank 2 UA.

-e Версия 20.13 
 * Подсистема "Материальный учёт"
  - реализован режим импорта выданных налоговых накладных
    (для того случая если она первоначально была сформирована в другой программе)
 * Подсистема "Главная книга"
  - реализован режим "Обнуление сальдо по счетам"

 * Подсистема "Заработная плата"
  - доработан режим регулярных удержаний

 * Подсистема "Платёжные документы"
  - исключены не используемые реквизиты
  - изменился формат dbf файла для системы CorpLight

-e Версия 20.12 26.04.2023
 * Подсистема "Заработная плата"
  - новая версия додатку 4 ДФ

 * Подсистема "Платёжные документы"
  - реализована новая версия платёжного поручения
  - для системы "CORPEX" реализован новый файл экспорта платёжных поручений

-e Версия 20.11 27.11.2022
 * Исправлены обнаруженные ошибки

 * Подсистема "Платёжные документы"
  -реализован экспорт платёжных поручений в систему CORPEX
   в формате csv и xml

-e Версия 20.10 01.08.2022
 * Исправлены обнаруженные ошибки

-e Версия 20.9 14.06.2022
 * Исправлены обнаруженные ошибки

-e Версия 20.8 03.02.2022
 * Исправлены обнаруженные ошибки
 * Подсистема "Платёжные документы"
  - реализован экспорт платёжек в систему клиент банк CorpLight

-e Версия 20.7 01.02.2022
 * Подсистема "Материальный учёт"
  - переделан отчёт "Распределение НДС по видам операций"

-e Версия 20.6 08.01.2022
 * Подсистема "Материальный учёт"
  - реализован отчёт "Распределение НДС по полученным материалам"

 * Подсистема "Учёт услуг"
  - реализован отчёт "Распределение НДС по полученным услугам"
  - изменёт принцип записи процента НДС в шапку документа

-e Версия 20.5 27.09.2021
 * Подсистема "Зароботная плата"
  - реализована новая версия документов электронной отчётности в налоговую

-e Версия 20.4 16.09.2021
 * Исправлены обнаруженные ошибки

 * Подсистема "Платёжные документы"
  - добавлен формирование платёжки в XML формате для 
    импорта в систему iFOBS

 * Подсистема "Главная книга"
  - реализована дополнительная форма акта сверки по контрагенту
    где все счета объединены

-e Версия 20.3 26.05.2021
 * Подсистема "Заработная плата"
  - добавлена возможность настраивать расчёт командировочных расходов
    с использованием дней или часов
  - доработан отчёт по ЕСВ

-e Версия 20.2 05.05.2021
 * Подсистема "Заработная плата"
 - добавлен ввод необходимых реквизитов в карочку

-e Версия 20.1 29.04.2021
 * Исправлены обнаруженные ошибки

-e Версия 20.0 18.04.2021
 * Подсистема "Материальный учёт"
  - реализована возможность выписки накладных с 14% НДС

 * Подсистема "Заработная плата"
  - доработан расчёт отпускных и командировочных расходов
    введена настройка "Квартальная премия"
  - реализован расчёт подоходного налога и военного сбора со стипендии
  - реализованы новые форма отчётности в налоговую
  
-e Версия 19.15 16.11.2020
 * Исправлены обнаруженные ошибки

-e Версия 19.14 30.06.2020
 * Подсистема "Зарботная плата"
  -доработан режим работы со списком должностных окладов
 * Подсистема "Учёт путевых листов"
  - исправелны обнаруженная ошибка в отчёте "Распечатать реестр путевых листов по водителям"
    

-e Версия 19.13 29.04.2020
 * Подсистема "Учёт основных средств
  - доработан режим просмотра списка всех основных средств
  - разработан режим вычисления поправочного коэффициента для расчёта
    амортизации

-e Версия 19.12 07.03.2020
 * Исправлены обнаруженные ошибки
 * Подсистема "Заработная плата"
  - реализован новый отчёт по больничным

-e Версия 19.11 26.01.2020
  * Подсистема "Платёжные документы"
   - реализована новая форма платёжного поручения
  * Исправлены обнаруженные ошибки

-e Версия 19.10 24.12.2019
 * Подсистема "Главная книга"
  - переделан расчёт мемориальных журналов 1,2,3 для бюджетных организаций Украины
    в соответствии с приказом Министерства финансов Украины N 755 от 08.09.2017

-e Версия 19.9 26.10.2019
 * Реализован экспорт платёжных поручений в систему Клиет-Банк "Стиль"
 * Реализован экспорт зарплатной ведомости в систему "Інтернет ELPay"

-e Версия 19.8 30.08.2019
 * Исправлены обнаруженные ошибки
-e Версия 19.7 09.08.2019
 * Сделаны доработки связанные с увеличением количества знаков
   в расчётных счетах

-e Версия 19.6 20.06.2019
 * Исправлены обнаруженные ошибки

-e Версия 19.5 04.06.2019

 * Подсистема "Заработная плата"
  - реализован поиск работника по номеру карточки на которую 
    перечисляется зарплата

-e Версия 19.4 31.01.2019
 * Подсистема "Главная книга"
  - обнаружена и исправлена ошибка при расчёте журнала ордера
 
 * Подсистема "Заработная плата"
  - Переделан расчёт отпускных. Теперь можно сделать расчёт
    не только по отдельному табельному номеру но и по всем
    табельным номерам сразу

-e Версия 19.3 07.12.2018
 * Подсистема "Материальный учёт"
  - в расчёте оборотной ведомости движения материалов добавлено
    формирование файла в формате CSV для возможности загрузки 
    отчёта в электронные талблицы

  - реализована новая налоговая накладная в формате XML

-e Версия 19.2 21.10.2018
 * Исправлены обнаруженные ошибки
 
-e Версия 19.1 15.09.2018
 * Исправлены обнаруженные ошибки

-e Версия 19.0 04.09.2018
 * Подсистема "Заработная плата"
  - реализовано получение отчёта по ЕСВ в новом формате XML

-e Версия 18.8 31.07.2018
 * Исправлены обнаруженные ошибки

-e Версия 18.7 17.06.2018
* Исправлены обнаруженные ошибки

-e Версия 18.6 07.06.2018
* Режим работы с файлами в меню "Инструменты"
  Теперь программа будет показывать все файлы с расширениями
  lst txt csv xml dbf

-e Версия 18.5 30.04.2018
* Доработан справочник списка договоров по контрагенту
  Теперь можно установить договор по умолчанию

-e Версия 18.4 31.03.2018
* Подсистема "Заработная плата"
 - доработан алгоритм расчёта командировочных расходов

-e Версия 18.3 28.02.2018
* Подсистема "Реестр налоговых накладных"
 * исправлены обнаруженные ошибки

-e Версия 18.2 31.01.2018
* Подсистема "Заработная плата"
 - реализован новый бланк для печати ведомости на выдачу зарплаты
* Подсистема "Учёт кассовых ордеров"
 - реализована печать новых кассовых ордеров

-e Версия 18.1 01.01.2018
* Подсистема "Заработная плата"
 - реализован режим выбора вида ведомости при распечатке из списка начислений/удержаний

-e Версия 18.0 28.11.2017
* Подсистема "Главная книга"
 - реализована возможность импортировать план счетов для банков Украины

* Подсистема "Материальный учёт"
 - увеличено количество знаков после запятой с 6 ти до 7 ми в колонках с ценой материала
 - в расчёте инвентаризационной ведомости добавлена возможность получать её с
   заполненными колонками "Фактическое наличие"

* Подсистема "Учёт основных средств"
 - в расчёте инвентаризационной ведомости добавлена возможность получать её с
   заполненными колонками "Фактическое наличие"

* Подсистема "Заработная плата"
 - доработан расчёт отпускных
 - в режиме автоматической розноски выплаченной зарплаты добалена возможность вводить
   коментарий, который будет введён во все сделанные записи.

-e Версия 17.14 31.07.2017
* Подсистема "Заработная плата"
 - доработан отчёт по расчёту ЕСВ

-e Версия 17.13 30.06.2017
 * Исправлены обнаруженные ошибки

-e Версия 17.12 31.05.2017
* Подситсема "Учёт основных средств"
 - реализовано получение документов в форме которая предусмотрена
   приказом Министерства финансов Украины N818 от 13.09.2016 г.

-e Версия 17.11 01.05.2017
* Исправлены обнаруженные ошибки
* В режиме импорта плана счетов введён новый план счетов для бюджетных организаций Украины

-e Версия 17.10 31.03.2017
* Реализованы новые налоговые накладные

* Подсистема "Учёт услуг"
 - при корректировке или удалении записей в документе программа будет позволять это
   делать только хозяину записи или оператору для которого разрешена
   блокировка/разблокировка подсистемы "Учёт услуг"

* Подсистема "Материальный учёт"
 - добавлен справочник норм расхода материала на
   изготовление деталей.
   Теперь после ввода спецификации на изделие программа не только может
   расчитать сколько и каких деталей нужно на сборку заданного количества
   изделий но и сколько и
   каких материалов нужно для изготовления деталей из которых собирается
   изделие

 - при корректировке или удалении записей в документе программа будет позволять это
   делать только хозяину записи или оператору для которого разрешена
   блокировка/разблокировка подсистемы "Материальный учёт"

-e Версия 17.9 28.02.2017
  При старте программы теперь будет выполнятся команда

  SET SESSION sql_mode = ''
 
  это значит никаких специальных режимов не установлено

  SQL modes – это настройка поведения работы сервера MySQL, состоящая из режимов, 
  каждый из которых контролирует какой-либо один аспект обработки запроса.
 

* Подсистема "Материальный учёт"
 - для расходных накладных добавлена возможность расписать списание
   материалов на детали которые будут из этого материала изготовлены
   Разработан отчёт который позволяет получить свод списания материалов на
   изделия

* Подсистема "Учёт услуг"
 - добавлена возможность ввести код УКТ ВЭД в справочнике услуг

-e Версия 17.8 03.02.2017
* Исправлены обнаруженные ошибки

-e Версия 17.7 31.01.2017

* Построение системы теперь осуществляется с помощью "cmake"
  Для того чтобы получить программы из исходных файлов достаточно в корне
  проэкта дать команды:

  cmake ./
  make


-e Версия 17.6 31.12.2016
* исправлены обнаруженные ошибки

-e Версия 17.5 08.12.2016
* Подсистема "Заработная плата"
 - в отчёте по ЕСВ обнолена версия XML файлов

-e Версия 17.4 30.11.2016
* Подсистема "Главная книга"
 - усовершенствован расчёт сальдо по контрагенту
   теперь можно задать счёта корреспонденты

* Подсистема "Учёт основных средств"
 - реализована распечатка "Акт приймання-передачі основних засобів" в
   соответствии с приказом Министерств финансов Украины от 13.09.2016 N 818
 - реализаваня распечатка "Розрахунок амортизації основних засобів" в
   соотвецтвии с приказом Министерства финансов Украины от 13.09.2016 N 818

* Подсистема "Заработная плата"
 - доработан расчёт военного сбора. Для военного сбора с больничного
   добавлен отдельный код. Это позволит настроить правильное выполнение
   проводок не такое как у военного сбора с зарплаты

* Исправлены обнаруженные ошибки

-e Версия 17.3 31.10.2016
 * Исправлены обнаруженные ошибки

-e Версия 17.2 30.09.2016
 * Исправлены обнаруженные ошибки

-e Версия 17.1 09.09.2016
* Подсистема "Заработная плата"
 - удалены устаревшие подпрограммы расчёта подоходного налога и единого
   социального взноса

* Исправлены обнаруженные ошибки

-e Версия 17.0 30.08.2016
* Подсистема "Заработная плата"
 - реализованы отчёты по типовым формам 6 и 7 утверждённых приказом
   Деркомстату Украины от 5 декабря 2008 г. N489

-e Версия 16.18 31.07.2016
 - изменен режим работы с предварительно сохранёнными распечатками

-e Версия 16.17 14.07.2016
* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки

-e Версия 16.16 12.07.2016
* Подсистема "Заработная плата"
 - реализовано получение таблиц 5,6,7 додатка 4 по ЕСВ в 
   формате налоговой (до этого применялся формат ме-док)

-e Версия 16.15 09.06.2016

  Исправлены обнаруженные ошибки

-e Версия 16.14 07.06.2016
* Начиная с этого релиза deb пакет будет строится с параметром MAXFKEYS=12
  (параметр указан в файле iceb.h который находится в корневой папке
  системы) До этого он был 10.

* Подсистема "Реестр налоговых накладных"

 - исправлена ошибка при формировании реетра налоговых накладных

* Подсистема "Заработная плата"
 - доработана подпрограмма расчёта командировочных начислений
   Если есть квартальная премия в предыдущих два меряца то берётся
   не полная сумма а 2/3

 - в таблицу количества рабочих дней в месяце добавлена колонка
   "количество праздничных дней" (не путать с выходными).
   Эти данные используются для расчёта отпускных

 - переработан расчёт отпускных

 - переделан справочник должостных окладов

-e Версия 16.13 01.05.2016

* Подсистема "Главная книга"
 - усовершествован алгоритм подпрограммы переноса сальдо

-e Версия 16.12 18.04.2016
 * Исправлены обнаруженные ошибки

-e Версия 16.11 16.04.2016

* Подсистема "Главная книга"

 - усовершенствован алгоритм расчёта "Главной книги"
 - усовершенствован алгоритм расчёта журналов для счетов с развёрнутым
   сальдо
 - усовершенствован алгоритм расчёта сальдо по всем контрагентам

* Подсистема "Заработная плата"
 - изменён алгоритм расчёта начисления за командировку

-e Вeрсия 16.10 06.04.2016

 * Исправлены обнаруженные ошибки

-e Вeрсия 16.9 02.04.2016

 * Исправлены обнаруженные ошибки

-e Версия 16.8 01.04.2016

* Подсистема "Заработная плата"
 - из файла zarnast.alx убрана настройка "Приставка к табельному номеру"
   теперь приставка к табельному номеру всегда "тн" и жёстко зашита в
   программу. Обязательно выполнить преобразование базы данных

* Реализованы новые налоговые накладные 

* В таблице icebuser добавлено колонку "tn" - табельный номер

* Подсистема "Главная книга"
 - в плане счетов появилась возсожность блокировки счетов
   по заблокированому счёту невозможно будет делать проводки
   или их корректировать

-e Версия 16.7 03.03.2016

 * Подсистема "Заработная плата"
  - исправлены обнаруженные ошибки

-e Версия 16.6 29.02.2016
* Подсистема "Учёт основных средств"
 - пререработан режим импорта документов

* Подсистема "Главная книга"
 - реализован режим проверки возможности удаления и корректировки проводок
   проводку может удалять и корректировать тот оператор кто её ввёл или
   тот операто у которого есть возможность блокировать/разблокировать
   проводки
 - переработан режим импорта проводок
 - переработан режим импорта стартового сальдо
 - с этой версии системы проводки удалять и корректировать может только тот
   кто их сделал или тот кому разрешено блокировать/разблокировать
   проводки

* Подсистема "Учёт кассовых ордеров"
 - переработан режим импорта кассовых ордеров

* Подсистема "Учёт услуг"
 - переработан режим иморта документов

* Подсистема "Материальный учёт"
 - переработан режим импорта документов

-e Версия 16.5 31.01.2016

* Подсистема "Заработная плата"
 - реализован новый расчёт налогов который вступает в силу с 1.1.2016 г.

* Подсистема "Главная книга"
 - переделан режим иморта проводок

-e Версия 16.4 04.12.2015

*Подсистема "Учёт остновных средсв"
 * реализована возможность вводить текст который будет распечатан до
   подписей и после подписей в накладной

-e Версия 16.3 30.11.2015
 * Исправлены обнаруженные ошибки

-e Версия 16.2 06.10.2015
* Исправлены обнаруженные ошибки

-e Версия 16.1 30.09.2015
* Подсистема "Материальный учёт"
 - реализован расчёт "Инвентаризационной описи" Наказ Міністерства фінансів
   України від 17.06.1015 р. N 572

* Подсистема "Учёт основных средств"
 - реализован расчёт "Инвентаризационной описи" Наказ Міністерства фінансів
   України від 17.06.1015 р. N 572

* Подсистема "Заработная плата"
 - переделан расчёт средней зарплаты для начисления больничных
 - доработан расчёт ЕСВ 
   добавлены две настройки:
   Коды начисления помощи по беременности и родам|
   Коды табеля по беременности и родам|

* Подсистема "Учёт доверенностей"
 - в файл настройки добавлены две строки:

   Код контрагента получателя|
   Код контрагента плательщика|

   Применяется если реквизиты контрагента по коду 00 не подходят для
   заполнения Доверенности
   
-e Версия 16.0 31.08.2015

* Подсистема "Учёт командировочных расходов"

 - разработан новый отчёт "Распечатать свод расходов по поставщикам"

* Посистема "Заработная плата"
 - доработан расчёт формы 1ДФ
   при расчёте программа просматривает данные подсистемы "Учёт
   командировочных расходов" и выбирает оттуда контрагентов
   физических лиц по соответсвующей настройке, которая добавлена
   в файл для настройки расчёта формы 1ДФ

 - доработан расчёт окладов и расчёт по прочентам - добавлена возможность 
   настройки по дневному окладу
 
-e Версия 15.17 31.07.2015
* Подсистема "Зарботная плата"
 - в расчёте больничного рабочие дни заменены на календарные
 - в расчёте отпускных добавилась новая настройка "Коды табеля не входящие в
   расчёт"

-e Версия 15.16 18.07.2015
* Подсистема "Учёт основных средсв"

 - реализован режим поиска при просмотре амортизации

-e Версия 15.15 07.07.2015

* Подсистема "Учёт основных средств"

 - изменена сруктура таблиц амортизации

-e Версия 15.14 01.07.2015

* Исправлены обнаруженные ошибки

-e Версия 15.13 14.06.2015

* Подсистема "Заработная плата"

 - доработан отчёт по ЕСВ

-e Версия 15.12 09.06.2015

*Исправлены обнаруженные ошибки

-e Версия 15.11 30.05.2015
* Подсистема "Заработная плата"
 - реализован новый XML формат для единого социального взноса

-e Версия 15.10 30.04.2015
* Подсистема "Заработная плата"
 - реализована выгрузка формы 1дф в файл в формате csv
 - реализована загрузка в архив форм 1дф из файла в формате csv
   при этом загружаются данные о военном сборе и количестве работников

* Подсистема "Материальный учёт"
 - реализован отчёт получения остатков по карточкам с сортировкой
   по наименованию материала

* Исправлены обнаруженные ошибки

* Подсистема "Заработная плата"
 - реализовано получение справки о доходах с указанием всех удеражаний
   и суммой полученной на руки

-e Версия 15.9 31.03.2015
* Подсистема "Реестр налоговых накладных"
 - реализована новая форма додатка 5

* Подсистема "Заработная плата"
 - реализована новая форма 1дф

-e Версия 15.8 07.03.2015

*Исправлены обнаруженные ощибки

-e Версия 15.7 28.02.2015

* Подсистема "Материальный учёт"
 - реализован импорт полученных налоговых накладных
 - в справочнике единиц измерения добавлена возможность вводить код единицы
   измерения, который должен быть указан в налоговых накладных

* Подсистема "Учёт услуг"
 - реализован импорт полученных налоговых накладных

-e Версия 15.6 31.01.2015

* Подсистема "Материальный учёт"
 - реализована формирование налоговых накладных в формаме XML

* Подсистема "Учёт услуг"
 - реализована формирование налоговых накладных в формаме XML

* Подсистема "Учёт основных средств"
 - реализована формирование налоговых накладных в формаме XML

-e Версия 15.5 18.01.2015

* Исправлены обнаруженные ошибки

-e Версия 15.4 14.01.2015

* Исправлены обнаруженные ошибки

-e Версия 15.3 31.12.2014
* Доработан фильтр iceb_ps
 - теперь можно задать высоту символа в пунктах

-e Версия 15.2 30.11.2014
 - реализована печать новых налоговых накладных

* Подсистема "Реестр налоговых накладных"
 - реализован новый реесть налоговых накладных

-e Версия 15.1 16.11.2014
* Подсистема "Заработная плата"
 - реализован экспорт платёжных ведомостей в dbf файл для Приват24

* Подсистема "Платёжные документы"
 - реализован экспорт платёжных поручений в dbf файл для Приват24
 - реализован экспорт платёжных поручений в dbf файл для системы
   Клиент-Банк "CORP2"

* Подсистема "Главная книга"
 - реализован экспорт сальдо в dbf файл для Приват24

* Подсистема "Материальный учёт"
 - разработан новый отчёт "Распечатать список материалов с последней датой
   получения"

-e Version: 15.0	Вск Авг 31 09:22:19 EEST 2014

* Подсистема "Заработная плата"
 - добавлен расчёт военного налога и соотвецтвующие настройки
 - добавлен экспорт платёжных ведомостей в подсистему клиент банк CORP2
   которую использует "Державний ощадний банк України"

* Исправлены обнаруженные ошибки

* Программа администрирования баз данных i_admint
 - добавлена возможность разрешать/запрещать оператору выгрузку дампа
   баз данных

-e Version: 14.17	Чтв Июл 31 10:13:23 EEST 2014

* Исправлены обнаруженные ошибки
* Выполнены доработки связанные с введением 7% НДС на мед. препараты

-e Version: 14.16	Пнд Июн 30 09:37:51 EEST 2014

* Исправлены обнаруженные ошибки

-e Version: 14.15	Срд Май  7 13:58:57 EEST 2014

* Подсистема "Зароботная плата"
 - доработан режим расчёта индексации в соотвецтвии с новым требованием 
   учёта отработанного времени

* Исправлены обнаруженные ошибки

* Программа startxbu
 * в меню инструменты добавлен пунк меню "Личны настройки оператора"

-e Version: 14.14	Срд Апр 30 09:15:53 EEST 2014

* Исправлены обнаруженные ошибки

-e Version: 14.13	Пнд Мар 31 09:07:25 EEST 2014

* Исправлены обнаруженные ошибки

-e Version: 14.12	Птн Фев 28 07:24:11 EET 2014

* Исправлены обнаруженные ошибки

*Подсистема "Реестр налоговых накладных"
 - реализована новая форма додатка 5
 - доработан импорт документов в реестр
   добавлены настройки позволяющие автоматически заполнять
   колонки "Звільнені від оподаткування"

-e Version: 14.11	Птн Янв 31 14:15:25 EET 2014

* Исправлены обнаруженные ошибки

* Подсистема "Материальный учёт"

 - реализована новая форма "Товарно-транспортной накладной"

-e Version: 14.10	Вто Дек 31 13:50:39 EET 2013

* Исправлены обнаруженные ошибки

* Во всех подсиситемах в режиме просмотра списка документов реализована возможность получить
   список документов в порядкуе убывания дат. Для этого нужно нажать клавишу
  "Tab". Повторное нажатие клавиши вернёт прежний режим просмотра.
  
* Подсистема "Главная книга"

 - в режиме "Расчёт сальдо по всем контрагентам" реализована
   возможность получить отчёт с датами возникновения сальдо

-e Version: 14.9	Вск Ноя 24 10:26:21 EET 2013

* Исправлены обнаруженные ошибки

-e Version: 14.8	Вто Ноя  5 13:26:36 EET 2013

* Подсистема "Главная книга"

 - в режиме расчёта главной книги формируется файл для импорта главной
   книги в электронные таблицы в формате csv

* Подсистема "Учёт кассовых ордеров"

 - при импорте ордеров будет выводится список добавленных контрагентов 
   в справочник.

-e Version: 14.7	Чтв Окт 10 11:30:00 EEST 2013

* Исправлены обнаруженные ошибки

-e Version: 14.6	Срд Окт  9 10:06:00 EEST 2013

* Подсистема "Заработная плата"

 - доработки в отчёте единого социального взноса

-e Version: 14.5	Птн Окт  4 10:29:18 EEST 2013

* Подсистема "Материальный учёт"

 - реализована распечатка товарно-транспортных накладных
 - реализован экспорт документов в файл в формате csv
 - удалён старый файл для настройки автоматического выполнения проводок
   В уже существующих базах он сохранится. При разметке новых баз его не
   будет

* Подсистема "Учёт услуг"

 - удалён старый файл для настройки автоматического выполнения проводок
   В уже существующих базах он сохранится. При разметке новых баз его не
   будет
 
-e Version: 14.4	Чтв Сен 26 12:50:54 EEST 2013

* Подсистема "Учёт услуг"

 - усовершенствован режим импорта документов.
   Теперь можно импортировать реквизиты контрагентов и услуг
   если их нет в справочниках

* Подсистема "Материальный учёт"

 - усовершенствован режим импорта документов.
   Теперь можно импортировать реквизиты контрагентов и материалов
   если их нет в справочниках
    
* Подсистема "Главная книга"

 - добавлено два новых справочника
   Таблица Gklsval - справочник валют
   Таблица Gklkv   - справочник курса валют

 - журналы ордера можно расчитать в любой валюте при условии введения
   курсов валют по дням
   Необходимо преобразовать базу данных с помощью программы i_admint

 - усовершенствован режим импорта проводо.Теперь можно грузить не только
   проводки но и реквизиты контрагентов учавствующих в проводках если их
   нет в справочнике контрагентов
  
* Подсистема "Учёт кассовых ордеров"
 - в справчнике касс таблица "Kas" добавлена колонка "kv" - код валюты
 - для кас у которых введён код валюты, суммы в кассовых ордерах должны
   быть указаны в валюте. Проводки к этим кассовым ордерам будут делаться
   в гривне на основе справочника курсов валют
   
-e Version: 14.3	Чтв Авг 29 08:58:35 EEST 2013

* Исправлены обнаруженные ошибки

-e Version: 14.2	Вск Авг 25 11:28:00 EEST 2013

* Подсистема "Материальный учёт"

 - при вводе материалов в документ реализован режим ввода материалов
   по штрихкодам. 

-e Version: 14.1	Пнд Авг 19 09:52:41 EEST 2013

* Подсистема "Заработная плата"

 - доработан отчёт для здачи в пенсионный форнд в связи с изменением
   формы документа

-e Version: 14.0	Вто Авг 13 09:29:18 EEST 2013

* Подсистема "Учёт кассовых ордеров"
 - доработана подпрограмма получения отчёта кассира.
   теперь можно задавать не только дату отчёта но и время выписки кассовых
   ордеров.

* В новой версии базы данных MySQL по умолчанию размечаются транзакционные 
  таблицы (раньше по умолчанию размечались обычные). Транзакционные таблицы
  в разы медленнее работают на запись/удаление. Поэтому в программе разметки
  базы данных при создании таблиц явно указывается нужный тип таблицы.

* Подсистема "Учёт услуг"

 - разработаны режими экспорта/импорта справочника услуг из одной базы в
   другую

* Подсистема "Заработная плата"
 - разработаны режими экспорта/импорта карточек работников из одной базы
   данных в другую

* Подсистема "Учёт основных средств"

 - разработан новый отчёт "Распечатка полученных основных средств"

 - разработаны режимы экспорта/импорта основных средств из одной базы данных
   в другую

* Подсистема "Материальный учёт"

 - разработаны режимы экспорта/импорта остатков по материалам из одной бары
   данных в другую

 - разработаны режими экспорта/импорта справочника материалов из одной базы в
   другую

-e Version: 13.16	Птн Май 17 18:03:28 EEST 2013

* Подсистема "Заработная плата"

 - доработан отчёт персонификации для пенсионного фонда.
   Теперь в отчёт будут попадать не только работники имеющие начисления
   в расчётном месяце, но и имеющие введённый табель

 - полностью переделан расчёт справки для расчёта выплат на случай 
   безработицы с учётом дат в счёт которых были сделаны начисления

-e Version: 13.15	Чтв Апр 18 12:27:32 EEST 2013

* Реестр налоговых накладных
 - исправлены обнаруженные ошибки

-e Version: 13.14	Вск Апр  7 13:40:07 EEST 2013

* Усовершенствован режим автоматического выполнения проводок по
  произвольному списку проводок
  - в результате возможна более компактная настройка проводок.
    Если раньше для каждого счёта учёта должна быть отдельная
    настройка, то теперь в одной настройке можно настроить 
    автоматическое выполнение проводок для любого количества
    счетов учёта, операций, счетов списания.
    
* Подсистема "Реестр налоговых накладных"
 - выполнены доработки для экспорта нового реестра налоговых накладных
   Вид документа теперь разделён на три поля и должен вводится через запятую
   Например: ПНП,02,У
 - увеличен размер поля vd - вид документа в таблицах Reenn & Reenn1
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Материальный учёт"
 - реализован режим автоматического списания остатков по складу

-e Version: 13.13	Срд Фев 13 13:36:31 EET 2013

* Подсистема "Заработная плата"
 - доработан месячный отчёт в пенсионный фонд
   добавлена новая настройка в файл zarpensm.alx

   Коды табеля прeбывания в трудовых отношениях|

  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 13.12	Вто Янв 15 12:26:16 EET 2013

* Подсистема "Заработная плата"
 - добавлены две новые настройки в файл zarnast.alx

  Табельный номер выплачивающего зарплату|
  Табельный номер проверяющего ведомости на зарплату|

  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 13.11	Чтв Янв  3 15:51:13 EET 2013

* Подсистема "Платёжные документы"
 - исправлена ошибка при передаче платёжек в подсистему "Клиент-Банк"

-e Version: 13.10	Срд Янв  2 12:41:04 EET 2013

* Подсистема "Материальный учёт"
 - реализована возможность выбора фамилии кладовщика при печати накладной

* Подсистема "Реестр налоговых накладных"
 - доработан режим импорта налоговых накладных. Теперь можно при
   необходимости указать индивидуальный налоговый номер и номер налоговой
   накладной. Это бывает нужно если оператор хочет импортировать только
   определённые документы а не весь список.

* Подсистема "Заработная плата"
 - сделаны изменения в шапке платёжной ведомости - увеличено количество
   строк для вывода суммы прописью
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 13.9	Пнд Дек  3 13:30:06 EET 2012

* Подсистема "Платёжные документы"
 - доработана программа распечатки платёжек
   в платёжку будут браться длинные наименования контрагентов
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 13.8	Чтв Ноя 29 11:57:19 EET 2012

* Удалены настройки для копирования файлов на DOS дискеты

* Перекомпанованы главные меню подсистем
 - появился режим "Инструменты"

* Головная программа startxbu
 - реализован режим проверки физической целосности таблиц базы данных
 - реализован режим восстановления таблиц базы данных

* Разработаны подпрограммы автоматической блокировки подсистем
  При старте всех подсистем, программа будет от текущей даты отнимать 
  два месяца и проверять заблокирован эта дата или нет. Если не
  заблокирована, то программа сама заблокирует её от имени оператора l99
  В список операторов будет автоматически добавлен при преобразовании базы
  данных оператор l99 от имени которого программа будет выполнять
  автоматическую блокировку подсистем.
  
  Необходимо преобразовать базу данных с помощью программы i_admint

* Разработаны подпрограммы проверки переноса сальдо
  Если сальдо не перенесено до марта то при запуске подсистем 
  будет появляться сообщение с требованием перенести сальдо.

* Для подсистем не трубующих переноса сальдо программы после марта
  автоматически установят текущий год стартовым

-e Version: 13.7	Вто Окт 30 11:26:27 EET 2012

* Подсистема "Заработная плата"
 - доработан расчёт формы 1ДФ. 
   1 вычисляется в процентном отношении доли подоходного налога по кодам
   доходов начисленные и выплаченные
   2 вычисляются выплаченные суммы по кодам доходов

-e Version: 13.6	Вто Окт 23 15:37:30 EEST 2012

* Исправлены обнаруженные ошибки

-e Version: 13.5	Пнд Окт 22 12:32:58 EEST 2012

* Фильтр печати iceb_ps
 - устранена ошибка приводящая к аварийному завершению в некоторых
   дистрибутивах. Обязательно установить новый фильтр.
   Для этого необходимо с полномочиями root построить программу котороя
   находится в каталоге /util Дайте команду:
   
   make -f iceb_ps.mak
   
   После построения перепишите файл iceb_ps в каталог /usr/lib/cups/filtr

* Подсистема "Платёжные документы"
 - разработан режим "Проверка логической целосности базы"

* Подсистема "Учёт командировочных расходов"
 - разработан режим "Проверка логической целосности базы"

* Подсистема "Учет основных средств"
 - разработан режим "Проверка логической целосности базы"

* Подсистема "Учёт услуг"
 - разработан режим "Проверка логической целосности базы"
 
* Подсистема "Учёт кассовых ордеров"
 - разработан режим "Проверка логической целосности базы"

* Подсистема "Реестр налоговых накладных"
 - при создании налоговой накладной в xml формате добавлена возможность
   вводить порядковый номер документа.

-e Version: 13.4	Чтв Сен 27 13:38:16 EEST 2012

* Подсистема "Платёжные документы"
 - исправлена ошибка приводящая к невозможности выписать платёжное поручение

-e Version: 13.3	Срд Сен 19 12:38:45 EEST 2012

* Доработан режим поиска
   Можно задать поиск с указанием получить записи у которых нужный реквизит
   не имеет значение. Для этого в поле поиска нужно ввести ''
   Можно задать поиск с указанием получить записи у которых реквизит имеет
   любое значение. Для этого в поле поиска нужно ввести '*'

-e Version: 13.2	Чтв Сен  6 10:20:02 EEST 2012

* Подсистема "Материальный учёт"
 - доработан режим автоматической дооценки

* Программа администрирования баз данных
 - доработан режим преобразования базы данных для новой версии системы
   Теперь программа будет выполнять только необходимые действия и пропускать
   те которые уже были выполнены ранее.

-e Version: 13.1	Вто Сен  4 12:36:20 EEST 2012

* Исправлены обнаруженные ошибки

-e Version: 13.0	Срд Авг 29 11:00:11 EEST 2012

* Режим смены базы данных
 - добавлена возможность выгрузить по клавише F7 дамы баз данных

* Программа "Администрирование баз данных"
 - в режиме просмотра списка баз данных добавлена возможность выгружать дамп
   базы в файл по клавише F7 и загружать дамп базы по клавише F8.

* Стартовая программа
 - изменено меню. Добавлена строка "Инструменты" в которую перенесены
   режими "Смена базы", "Смена принтера", "Оптимизация базы данных",
   "Дополнительные программы".

 - добавлен ноый режим работы "Выгрузить дамп текущей базы данных". 
   Программа выгрузит дам базы в файл имя которого сообщит оператору.   
   Это позволит бухгалтерам сохранять полученный файл на внешних
   носителях с целью восстановления базы после сбоя или переносе базы данных
   на другой компъютер.

* Подсистема "Реестр налоговых накладных"
 - добавлена новая настройка 
 Экспортировать для регистрации в налоговой свою налоговую накладную|Выключено

 Для экспорта в "ОПЗ" (программа распространяемая налоговой) нужно чтобы крестик в налоговой накладной стоял в строчке "Копия (залишаєтся у продавця)"
 а для экспоста в "МЕ-ДОС" нужно чтобы стояло два крестика в строчке "Видаєтся покупцю"
 и в строчке "Включено до ЄРПН". Если в настройке "Выключено" то экспорт
 будет для МЕ-ДОК. Если "Включено" то для ОПЗ

* Подсистема "Заработная плата"

 - доработан расчёт подоходного налога для сумм превышающих 10 минимальных
   зарплат содержащих в себе неденежные формы выплаты зарплаты

-e Version: 12.32	Птн Авг  3 14:16:15 EEST 2012

* Материальный учёт

 - в файл matnast.alx добавлена настройка "Системная подпись в налоговой накладной|Включено"
   С помощью этой настройки можно добиться того, что в распечтаке налоговой
   накладной не будет системной подписи с версией системы и фамилией
   оператора

 - добавлен настроечный файл matnakend_dp.alx в который можно ввести текст
   который будет распечатан в накладной до подписи

   Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.31	Чтв Июл  5 12:13:27 EEST 2012

* Подсистема "Материальный учёт"
 - исправлена ошибка приводящая к аварийному завершению работы программы при
 - выписке доукументов на внутреннее перемещение

* Подсистема "Учёт основных средств"
 - исправлены обнаруженные ошибки в отчёте

-e Version: 12.30	Пнд Июн 18 13:44:52 EEST 2012

* Исправлена ошибка в подпрограмме печати налоговой накладной

-e Version: 12.29	Птн Июн  8 09:48:41 EEST 2012

* Подсистема "Учёт путевых листов"
 - доработан отчёт "Реестр путевых листов по водителям"

-e Version: 12.28	Чтв Июн  7 08:39:19 EEST 2012

* Подсистема "Заработная плата"
 - изменён алгоритм расчёта подоходного налога при превыщении суммы зарплаты
   10 минимльных зарплат

* Подсистема "Материальный учёт"
 - в таблицу Dokummat добавлена колонка k00
   Находясь в шапке документа теперь можно изменить реквизиты вашей
   организации в распечатке документа. По умолчанию программа эти реквизиты
   берёт у контрагента с кодом 00. Нажав клавишу F5 вы можете указать другой
   код контрагента.
   Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Учёт услуг"
 - в таблицу Usldokum добавлена колонка k00
   Находясь в шапке документа теперь можно изменить реквизиты вашей
   организации в распечатке документа. По умолчанию программа эти реквизиты
   берёт у контрагента с кодом 00. Нажав клавишу F5 вы можете указать другой
   код контрагента.
   Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.27	Пнд Май 28 12:11:35 EEST 2012

* Подсистема "Материальный учёт"
 - исправлена обнаруженная ошибка

-e Version: 12.26	Птн Май 25 11:25:27 EEST 2012

* Подсистема "Учёт путевых листов"
 - исправлены обнаруженные ошибки

-e Version: 12.25	Срд Май 23 11:41:14 EEST 2012

* Подсистема "Материальный учёт"
 - исправлена ошибка в определении даты налоговой накладной

-e Version: 12.24	Вск Май 20 12:07:54 EEST 2012
* Подсистема "Учёт путевых листов"

 - полностью переделана подсистема.
   Если раньше в системе был фиксированный список норм списания топлива,
   то теперь есть справочник норм списания топлива, в который оператор может 
   вводить любые нужные ему нормы списания топлива.

 - в справочнике автомобилей нужно нажать кнопку F6 для ввода норм списания
   топлива для выбранного автомобиля.
   Необходимо преобразовать базу данных с помощью программы i_admint
 
* Подсистема "Заработная плата"
 - доработан расчёт подоходного налога. Теперь будет автоматически выделятся
   часть подоходного налога с больничного.

-e Version: 12.23	Птн Мар 30 11:22:03 EEST 2012

* ВНИМАНИЕ !!!!! Начиная с этого релиза система переведена в кодировку utf8

* Подсистема "Материальный учёт"
 - в таблице складов Sklad увеличена длинна колонки для введения фамилии
   материально-ответственного. Теперь туда можно при необходимости ввести
   несколько фамилий разделённых символом / 
   Если будет введено несколько фамилий то все они будут печататься в
   приходной накладной

* Подсистема "Платёжные документы"
 - разработана подпрограмма формирования платёжки для системы Клиент-Банк
   для банка АКБ "ИМЕХБАНК"

* Список контрагентов
 - добавлено поле en в таблицу Kontragent
   значение 0- общая система налогообложения 1-единый налог
   
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Главная кника"

 - в плане счетов реализована возможность выгрузки (клавиша F5) загрузки
   (клавиша F7) плана счетов из файла или стандартного плана счетов из базы.

 - в плане счетов реализована возможность удаления неиспользуемых счетов
   по клавише Shift+F3

 - разработан отчёт "Перелік доходів/витрат у розрізі контрагентів -
   платників єдиного податку". 
   В отчёт попадают контрагенты, которые имеют отметку о том что они на
   едином налоге. Нужно зайти в список контрагентов и соответствующим
   контрагентам поставить эту метку.
   Если у контрагента введён реквизит "Реестарционный номер ФОП" то это
   физическое лицо, иначе юридическое.
   Добавлен наcтроечный файл rnnen.alx в котором можно настроить какие
   проводки должны попадать в отчёт.
   В процессе преобразования базы этот файл автоматически добавиться в базу.

 - из-за того что количество отчётов уже не помещается на стандартынй экран
   терминала (25Х80) перекомпановано меню отчётов.

* Изменена шапка налоговой накладной
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.22	Срд Фев 15 12:55:01 EET 2012

* Подсистема "Реестр налоговых накладных"
 - новый код документа для додатка 5 и додатка 1

-e Version: 12.21	Срд Фев  1 14:31:19 EET 2012

* Подсистема "Реестр налоговых накладных"
 - в реестре полученных налоговых накладных появилаь возможность делать
   отметку на записях и выполнять поиск отмеченных записей. Клавиша Insert
   ставит отметку на записи.

-e Version: 12.20	Вто Янв 24 13:46:19 EET 2012

* Подсистема "Реестр налоговых накладных"
 - в реестре полученных налоговых накладных можно получить "Запит щодо
   отримання відомостей з Єдиного реєстру податкових накладних" в формате
   xml (клавиша F5)

* Подсистема "Учёт кассовых ордеров"
 - разработан режим автоматичского создания стартового кассового ордера на
   начало года. Для этого нужно зайти в режим "Ввод нормативно-справочной"
   информации и выбрать "Перенос сальдо"

* Доработан фильтр iceb_ps
  - фильт доработан с целью более точного вычисления размеров отступа при
    печати документов. Если раньше отступ вычислялся от начала листа, то
    теперь от начала доступной для печати зоны.
    Под доработанный фильт сделаны изменения в
    настройках отступа в настроечных файлах
    Программа i_admint сделает все необходимые изменения в настроечных
    файлах
    Установка нового фильта обязательна !!!!!!
    Для установки нового фильтра нужно из под root зайти в каталог ./util и
    дать команду:
    
    make -f iceb_ps.mak
    
    После чего должен появиться файл iceb_ps , который нужно переписать в
    каталог /usr/lib/cups/filter

-e Version: 12.19	Чтв Янв 12 14:41:47 EET 2012

* Подсистема "Учёт основных средств"
 - переделана программа печати карточки основного средства
 - в карточке основного средства появилась возможность ввести оборотную
   сторону карточки
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Заработная плата"
 - доработана подпрограмма формирования отчёта в пенсионный фонд

-e Version: 12.18	Чтв Янв  5 13:11:43 EET 2012

* Исправлены обнаруженные ошибки

-e Version: 12.17	Срд Янв  4 13:16:16 EET 2012

* Подсистема "Учёт основных средста"
 - в таблицу Uosras добавлена колонка kk-код контрагента
   Это код контрагента реквизиды которого будут печататься в
   расходных документах. Это необходимо если организация эксплуатирующая
   систему имеет счета в нескольких банках и в разных случаях нужно
   указывать разные расчётные счета при выписке расходных документов
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Учёт услуг"
 - в таблицу Usloper2 добавлена колонка kk-код контрагента
   Это код контрагента реквизиды которого будут печататься в
   расходных документах. Это необходимо если организация эксплуатирующая
   систему имеет счета в нескольких банках и в разных случаях нужно
   указывать разные расчётные счета при выписке расходных документов
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Материальный учёт"
 - в таблицу Rashod добавлена колонка kk-код контрагента
   Это код контрагента реквизиды которого будут печататься в
   расходных документах. Это необходимо если организация эксплуатирующая
   систему имеет счета в нескольких банках и в разных случаях нужно
   указывать разные расчётные счета при выписке расходных документов
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Заработная плата"
 - обновлён бланк справки для расчёта выплат на случай безработицы
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Учёт основных средств"
 - разработаны новые отчёты:
   Описание инвентарных карточек по учёту основных средств (типовая форма
   NoОЗ-7)
   Инвентарный список основных средств (типовая форма NoОЗ-9)
   
-e Version: 12.16	Пнд Дек 26 11:47:50 EET 2011

* Подсистема "Учёт основных средств"
 - исправлены обнаруженные ошибки

-e Version: 12.15	Чтв Дек 22 12:44:41 EET 2011

* Подсистема "Заработная плата"
 - добавлены новые настройки для расчёта единого социального взноса с
   больничных для инвалидов.
  Необходимо преобразовать базу данных с помощью программы i_admint
  После преобразования базы данных в списке удержаний добавится новый код 
  "ЄСВ для лікарняних з інвалідів". В списке соц. отчислений добавится новый фонд "ЄСВ
  для лікарняних з інвалідів". В обоих случаях нужно ввести бухгалтерский
  счёт.

-e Version: 12.14	Пнд Дек 19 14:10:39 EET 2011

* Подсистема "Материальный учёт"
 - в таблице Material добавлена новая колонка ku
  Необходимо преобразовать базу данных с помощью программы i_admint
 - разработаны подпрограммы печати новых налоговых накладных 
   Новые налоговые накладные будут печататься начиная с даты 16.12.2011г.

* Подсистема "Заработная плата"
 - добавлен новый настроечный файл zarsruv.alx
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.13	Птн Дек  2 11:56:38 EET 2011

* Подсистема "Заработная плата"
 - добавлена новая таблица Zarpr для хранения протоколов хода расчёта зарплаты. 
   С этого момента протоколы расчёта начислений, удержаний и начислений на
   зарплату будут сохранятся в этой таблице. Это позволит просмотреть
   протоколы расчёта за любые прошлые даты начиная с момента установки этой
   версии программы. В протоколах расчёта кроме
   отображения хода расчёта указано кем, и когда были выполнены расчёты.
   Необходимость в хранении этих протоколов объясняется тем, что
   законодательство меняется, соотвецтвенно меняются алгоритмы и настройки
   расчётов. Бухгалтера забывают какие были алгоритмы расчёта несколько лет
   назад и почему так посчитан подоходный налог или единый социальный взнос.

  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.12	Пнд Ноя 21 14:28:39 EET 2011

* Подсистема "Заработная плата"
 - исправлена обнаруженная ошибка

-e Version: 12.11	Птн Ноя 18 08:30:48 EET 2011

* Подсистема "Заработная плата"
 - создана новая таблица Zarlgot в которую перенесено содержимое файла
   zarlgot.alx.
 - cоздана таблица Zargr в которую перенесена информация из настроечных
   файлов zarpens.alx zarinv.alx zardog.alx
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Учёт основных средств"
 - исправлена ошибка в расчёте реестра проводок

-e Version: 12.10	Пнд Ноя  7 08:41:34 EET 2011

* Подсистема "Заработная плата"
 - создана новая таблица Zarrud в которую перенесено содержимое файла
   zarkredit.alx.
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.9	Вто Ноя 1 10:11:37 EET 2011

* Подсистема "Заработная плата"
 - удален настроечный файл zarzvan.alx
   В таблице Zvan добавилась колонка sdzz - сумма доплаты за звание.
   В эту колонку перенесены значения из файла zarzvan.alx а сам файл удалён
   Настройка "Код начисления за звание" перенесена в файл zarnast.alx

  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Реестр налоговых накладных"
 - разработан новый отчёт "Распечтака записей по контрагенту"

-e Version: 12.8	Чтв Окт 20 11:39:23 FET 2011

* Подсистема "Заработная плата"
 - справочник количества рабочих дней и часов в мемяце перенесён из файла
   в таблицу базы данных Zarskrdh

 - справочник выходных дней перенесён в отдельную таблицу Zarsvd
 - справочник минимальной зарплаты и прожиточного минимума перенесён в
   таблицу Zarmzpm
 - исправлена обнаруженная ошибка в расчёте формы 1ДФ
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.7	Чтв Окт 13 12:01:05 FET 2011

* Подсистема "Учёт оснвоных средств"
 - исправлена обнаруженная ошибка

-e Version: 12.6	Срд Окт 12 14:27:39 FET 2011

* Подсистема "Заработная плата"
 - добавлена выгрузка зарплаты для передачи в Банк Киевская Русь

* Подсистема "Материальный учёт"
 - в таблицу Sklad добавлена новая колонка np (населённый пункт)
   Склады могут находитсья в разных населённых пунктах а в накладной 
   должен быть указан населённый пункт
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Учёт услуг"
 - в таблицу Uslpodr добавлены новые колонки np (населённый
   пункт), fo(фамилия ответственного), dol (должность ответсвенного).
   Подразделения оказывающие услуги могут находитсья в разных населённых пунктах а в
   акте выполненых работ должен быть указан населённый пункт
  Необходимо преобразовать базу данных с помощью программы i_admint

* Измения в таблице Kontragent
  из таблицы удалена колонка rsnds и добавлена колонка gk (Город
  контрагента). Если это поле будет заполнено то в накладных 
  будет печататься город. Это необходимо так как налоговая считает
  что накладные в которых не указан город в котором составлен документ
  являются не действительными
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.5	Пнд Сен 30 13:22:04 EEST 2011

* Во всех отчётах изменён способ сортировки данных
  Если ранше сортировка выполнялась во временных файлах то теперь во
  временных таблицах базы данных

* Подсистема "Заработная плата"
 - добавлена новая настройка в файл zarpensm.alx "Коды табеля без сохранения
   зарплаты". Это позволит автоматически заполнять колонку с количеством календарных
   дней в таблице 6 отчёта в Пенсионный фонд.
   Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.4	Срд Сен 14 13:10:58 EEST 2011

* Подсистема "Заработная плата"
 - добавлена новая настройка в файл zarpensm.alx "Коды табеля больничных"
   Это позволит автоматически заполнять колонку с количеством календарных
   дней в таблице 6 отчёта в Пенсионный фонд.
   Необходимо преобразовать базу данных с помощью программы i_admint

* Увеличена размерность полного наименования контрагента до 255 символов
   Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.3	Пнд Сен 12 18:21:05 EEST 2011

* Подсистема "Заработная плата"
 - доработан импорт таблицы 6 в Пенсионный фонд

* Подсистема "Учёт основных средств"
 - реализован режим смены инвентарного номера

-e Version: 12.2	Срд Сен 7 14:47:47 EEST 2011

* Исправлены обнаруженные ошибки

-e Version: 12.1	Пнд Сен 5 11:25:17 EEST 2011

* Подсистема "Заработная плата"
 - внесены изменения в подпрограммы формирования xml файлов для пенсионного фонда
   в соотвецтвии с изменениями в таблицах
 - разработан режим - "Перерасчёт доходов"
   добавлен настроечный файл zarpdoh.alx
   Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Материальный учёт"
 - в файл настроки matnast.alx добавлена новая настройка

   Автоматическое выполнение проводок по списку сделать основным|Включено
  Если эта настройка включена то в режиме выполнения проводок к документу по
  клафише F4 будет запускаться выполнение проводок на основе списков а не
  таблиц.
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 12.0	Пнд Авг 29 10:19:20 EEST 2011

* Подсистема "Учёт основных средств"
 - в таблице Uosdok добавилась новая колона vd - вид договора
  Необходимо преобразовать базу данных с помощью программы i_admint

* Режим работы с файлами распечаток
 - добавлась возможность настраивать список каталогов куда нужно копировать
  файлы. Добавлен новый настроечный файл putiforcp.alx в котором можно указать 
  список каталогов для копирования файлов. Для того чтобы получить
  возможность выбрать каталог нужно в меню "Введите полный путь на каталог"
  ничего не вводя нажать Enter. После этого появиться список каталогов из
  которого оператор может выбрать нужный.

  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Реестр налоговых накладных"
 - исправлены ошибки создания налоговой накладной в формате xml

-e Version: 11.34	Чтв Июл 21 15:44:13 EEST 2011

* Подсистема "Учёт основных средств"
 - увеличена размерность для поправочных коэффициентов до 6-ти знаков после
   запятой
  Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Заработная плата"
 - исправлена обнаруженная ошибка в программе расчёта формы 1ДФ

-e Version: 11.33	Срд Июль  6 11:16:12 EEST 2011

* Подсистема "Учёт доверенностей"
 - доработана подпрограмма вывода числа прописью. Теперь она выводит и
   дробную часть числа.

-e Version: 11.32	Пнд Июнь 27 13:29:06 EEST 2011

* Подсистема "Материальный Учёт"
 -исправлена ошибка

-e Version: 11.31	Чтв Июнь 23 12:59:34 EEST 2011

* Подсистема "Заработная плата"
 - исправлена обнаруженная ошибка

-e Version: 11.30	Вто Май  7 11:54:43 EEST 2011

* Подсистема "Заработная плата"
 - разработан ноый отчёт "Расчёт справки по больничным"
   Для настройки этого расчёта появился новый настроечный файл
   "zarboln.alx"
  Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 11.29	Птн Май 6 11:39:40 EEST 2011

* Исправлены обнаруженные ошибки
* Подсистема "Заработная плата"
 - разработана новая подпрограмма формирования формы 1дф

-e Version: 11.28	Чтв Апр 21 08:37:19 EEST 2011

* Исправлены обнаруженные ошибки

-e Version: 11.27	Вто Апр 19 07:42:11 EEST 2011

* Исправлены обнаруженные ошибки

-e Version: 11.26	Пнд Апр 18 12:12:51 EEST 2011

* Исправлены обнаруженные ошибки

-e Version: 11.25	Чтв Апр 14 19:13:10 EEST 2011

*Подсистема "Заработная плата"
 - появилась новая настройка в файле zarnast.alx

  Отключение/включение применения социальной льготы при расчёте подоходного|Выключено

  Если эта настройка будет включена то перед расчётом подоходного налога
  последует запрос "Расчёт подоходного налога без применения социальной
  льготы?". Доработка сделана для того чтобы можно было выполнять требование
  ниже приведённого документа.

  Необходимо преобразовать базу данных с помощью программы i_admint


Чи потрібно ЮО застосовувати ПСП при нарахуванні ПДФО до заробітної плати у
вигляді авансу згідно з нормами Податкового кодексу України?
(Консультує ДПАУ)

www.sta.gov.ua
від 01 квітня 2011 р.

Відповідно до п. 169.1 ст. 169 Податкового кодексу України від 02.12.2010 р.
N  2755-VІ платник податку має право на зменшення суми загального місячного
оподатковуваного доходу, отримуваного від одного роботодавця у вигляді
заробітної плати (інших прирівняних до неї відповідно до законодавства
виплат, компенсацій та винагород), якщо його розмір не перевищує суми, що
дорівнює розміру місячного прожиткового мінімуму, діючого для працездатної
особи на 1 січня звітного податкового року, помноженого на 1,4 та
округленого до найближчих 10 гривень (у 2011 році - 1320 грн.). 
У разі перевищення місячної заробітної плати понад встановлений розмір,
питання надання податкової соціальної пільги не розглядається, незалежно від
категорії платника податку, що її одержує. 
Таким чином, податкова соціальна пільга застосовується до всієї заробітної
плати за місяць, а не до її частини, тобто авансу.


* Подсистема "Реестр налоговых накладных"
 - появилась возможность настроить импорт полученных налоговых накладных 
   добавился настроечный файл rnn_nimp1.alx

   Необходимо преобразовать базу данных с помощью программы i_admint

-e Version: 11.24	Срд Апр 6 12:54:15 EEST 2011

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки

-e Version: 11.23	Пнд Мар 4 11:12:26 EEST 2011

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки

-e Version: 11.22	Птн Апр 1 11:03:01 EEST 2011

* Подсистема "Зароботная плата"
 - доработана подпрограмма расчёта формы 1ДФ

-e Version: 11.21	Пнд Мар 28 09:58:21 EEST 2011

* Подсистема "Учёт основных средств"
 - добавлена новая таблица Uosls для ввода ликвидационной стоимости
   основного средства.
   Для ввода ликвидационной стоимости нужно войти в карточку основного
   средства и нажать клавишу F7.
   Необходимо преобразовать базу данных с помощью программы i_admint
   Если будет введена ликвидационная стоимость, то она будет отниматься от
   балансовой стоимости перед расчётом амортизации от начальной балансовой
   стоимости

* Подсистема "Платёжные документы"
 - разработана подпрограмма для экспорта платёжек в подсистему Клиент-Банк
   для Укрбизнесбанка

* Подсистема "Реестр налоговых накладных"
 - в таблице реестра выданных налоговых накладных добавлена новая колонка
   с целью добится правильной сортировки налоговых накладных.
   Необходимо преобразовать базу данных с помощью программы i_admint

* Подсистема "Платёжные документы"
 - разработана подпрограмма для экспорта платёжек в подсистему Клиент-Банк 
   для Укрбизнесбанка

* Подсистема "Заработная плата"

 - в файл настройки zarnast.alx добавлена новая настройка
   Код подоходного налога с больничного|
   Необходимо преобразовать базу данных с помощью программы i_admint
   
 - доработана подпрограмма формирования формы 1ДФ

-e Version: 11.20	Вт Мар 15 11:31:03 EET 2011

*Подсистема "Зарaботная плата"
 - разработана новая подпрограмма для автоматического выполнения
   проводок. Существующий режим автоматического выпонения проводок
   настраивался с помощью таблицы. Новый режим позволяет настроить
   выполнение проводок в виде произвольного списка.
   В файле настройки zarnast.alx появилась новая настройка

   Автоматическое выполнение проводок с использованием таблицы|Включено

   Если ввести Выключено, то проводки будут выполнятся на основе списка
   проводок (тоесть по новому)

   Необходимо преобразовать базу данных с помощью программы i_admint
   

-e Version: 11.19	Срд Мар  9 10:18:10 EET 2011

* Подсистема "Материальный учёт"
 - в шапке документа в реквизит "Условие продажи" можно ввести вид документа
   для реестра налоговых накладных.

* Подсистема "Учёт услуг"
 - в шапке документа в реквизит "Условие продажи" можно ввести вид документа
   для реестра налоговых накладных.

* Подсистема "Заработная плата"
 - доработана подпрограмма автоматического выполнения проводок
  Теперь в файле настройки автоматического выполнения проводок
  можно указать счёт, который должен использоваться в проводке
  вместо зарплатного счёта (обычно это 661)

-e Version: 11.18  21 09:50:52 EET 2011


* Добавлена возможность ввести для любого контрагента список договоров
 - появилась новая таблица Kontragent2 - список договоров
 Необходимо преобразовать базу данных с помощью программы i_admint
 Для того чтобы ввести список договоров нужно:
 зайти в список контрагентов
 выбрать контрагент установив подсветку строки на нужную строчку в списке
 контрагентов
 нажать Shift+F2
 нажать F7
 Вы попадёте в режим ввода договоров
 Если у контрагента введён договор, то при выписке накладных в подсистемах 
 "Материальный учёт" и "Учёт услуг" в шапке документа автоматически будет заполнятся реквизит
 "Условие продажи". Для того чтобы выбрать договор из списка договоров нужно 
 нажать клавишу F3 и выбрать "Просмотр списка договоров"

* Подсистема "Реестр налоговых накладных"
 - в таблицу Reenn добавлена новая колонка dnz - дневной номер записи
 Необходимо преобразовать базу данных с помощью программы i_admint
  Это позволяет бухгалтеру записи в реестре в течении одного дня установить
  в нужном для него порядке
  В режиме просмотра выданных налоговых накладных появились новые режимы:
  F8 - позволяет переставлять записи в нужной последовательности
  F9 - переключает режим сортировки
  Это бывает нужно сделать если в течение одного дня нумерация налоговых
  накладных переходит через десяток, через сотню , через тысячу и так далее.
  В таких случаях программа неправильно сортирует записи. 
  
Version: 11.17	Срд Фев  9 16:51:50 EET 2011

* Подсистема "Заработная плата"
 - в файле настройки zarlgbot.alx добавилась новая колонка "Код льготы"
   Теперь если в процессе расчёта применялась льгота то программа будет
   записывать код льготы в карточку работника
 - исправлены обнаруженные ошибки

Version: 11.16	Птн Фев  4 13:33:50 EET 2011

* Подсистема "Заработная плата"
 - Увеличено поле для реквизита "Код спецстажа"
  Теперь после кода спецстажа через пробел можно ввести дату приказа и номер
   приказа. Эта информация нужна для заполнения таблицы 7 в отчёте по
  единому на взносу

Version: 11.15	Срд Фев  2 13:56:45 EET 2011

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки

* Распечатка налоговых накладных
 - переделана подпрограмма для печати налоговых накладных
   бухгалтера хотят там иметь все рамочки
 Необходимо преобразовать базу данных с помощью программы i_admint
 Для того чтобы правильно заполнялась строка "Від цівільно-правового
 договору" нужно правильно заполнять в шапке документа реквизит "Підстава"

 Пример:
 Договор:1.1.2011:174
   |        |      |
   |        |      -> номер договора
   |        -> дата договора
   -> вид договора

Version: 11.14	Вто Фев  1 10:26:13 EET 2011

* Подсистема "Заработная плата"
 - реализован режим формирования xml файлов для единого социального взноса

Version: 11.13	Чтв Янв 27 13:07:40 EET 2011

*Исправлены обнаруженные ошибки
 Необходимо преобразовать базу данных с помощью программы i_admint

Version: 11.12	Вто Янв 25 14:49:47 EET 2011

*Исправлены обнаруженные ошибки
 Необходимо преобразовать базу данных с помощью программы i_admint


Version: 11.11	Птн Янв 21 11:24:24 EET 2011

* Подсистема "Заработная плата"
 - добавлены настройки в область настроек zarnast.alx

 Необходимые Настройки добавяться после преобразования базы данных с помощью программы i_admint
 После преобразования базы необходимо зайти в список удержании и список
 социальных фондов и в добавленные программой записи добавить номера счетов.
 Для настройки процентов для расчёта единого социального взноса нужно зайти:

 Ввод нормативно-справочной информации
 Настройка программы
 Работа с перечнем соц.отчислений
 
 После ввода номера счёта в запись фонда установите на него подсветку строки и
 нажмите клавишу F6
 Введите дату начала действия и проценты для начисления единого взноса
 Для всех четырёх фондов нужно ввести проценты!

Version: 11.10	Птн Янв 14 13:31:40 EET 2011

* Добавил файл локализации

Version: 11.9	Чтв Янв 13 15:46:17 EET 2011

* Выполнены доработки для печати новой налоговой накладной
  Необходимые Настройки добавяться после преобразования базы данных с помощью программы i_admint
 
* Изменена система локализации
  catgets заменена на gettext
  Для того чтобы программа работала на украинском языке нужно запустить скрипт из под root

  Если вы работаете в русской локали:
  ./locale/uk_ru  

  Если вы работаете в украинской локали:
  ./locale/uk_uk  

Version: 11.8	Чтв Янв  6 12:53:43 EET 2011

*Подсистема "Реестр налоговых накладных"
 - в реестре выданых налоговых накладных появилать кнопка F7, которая
   позволяет получить налоговую накладную в формате xml. Возможно это только
   для записей импортированных из подсистема бухгалтеского учёта

*Подсистема "Заработная плата"
 - доработан режим автоматизированного расчёта зарплаты по всем карточкам.
   Теперь можно указать коды начислений/удержаний которые нужно расчитать

*Доработан фильт iceb_ps
 
Version: 11.7	Срд Дек 15 16:53:18 EET 2010

* Подсистема "Учёт доверенностей"
 - в файле настройки появилась новая настройка:

  Печать доверенности на одной стороне листа|Выключено

  Настройка добавиться после преобразования базы данных с помощью программы i_admint

* Режим работы с файлами распечаток
 - С помощью клавиши F8 можно перекодировать распечатку в кодировку
  WINDOWS-1251 и обратно в текущюю.
   
Version: 11.6	Птн Ноя 26 11:38:46 EET 2010

*Исправлены обнаруженные ошибки

Version: 11.5	Срд Ноя 24 13:58:55 EET 2010

* Подсистема "Платёжные документы"
 - доработан режим просмотра журнала платёжных поручений.
   Клавиша F9 позволяет установить/снять метку передачи платёжки в банк
   Клавиша F8 позволяет включить/выключить режим просмотра только платёжек
   помеченных для передачи в банк

Version: 11.4	Чтв Ноя 18 09:13:29 EET 2010

*Исправлены обнаруженные ошибки

Version: 11.3	Вто Ноя 16 16:58:59 EET 2010

* Подсистема "Реестр налоговых накладных"
 - в таблицу выданных налоговых накладных Reenn добавлена колонка datv -
  дата выписки налоговой накладной
  Преобразования базы данных выполнить с помощью программы i_admint

Version: 11.2	Чтв Окт 28 12:00:49 EEST 2010

*Исправлены обнаруженные ошибки

Version: 11.1	Вто Окт 19 13:45:13 EEST 2010

* Материальный учёт
 - появилась навая таблица Nalog для введения дат действия НДС
   Преобразования базы данных выполнить с помощью программы i_admint

* Исправлены обнаруженные ошибки в фильтре iceb_ps

* Удалена программа saldo
 - Перенос сально перенесён в соответствующие подсистемы в режим
   "Ввод нормативно-справочной информации"
   После переноса сальдо программа автоматически меняет стартовый год
   подсистемы в настройках

* Подсистема "Реестр налоговых накладных
 - добавилось формирование "Додатка 1"
   Если в реестре есть записи у которых в кодировке вида документа
   присутствует буква "У"(уточнюючий документ), то программа эти 
   записи отправит в "Додаток 1" и исключит их из "Додатка 5"
 - доработана подпрограмма импорта налоговых накладных.
   Если был введён вид документа, то теперь он сохраняется если будет 
   сделан повторный импорт документов.
 - реестр налоговых накладных в формате xml доработан до версии 4 

* появилать новая таблица Doc
 - в эту таблицу при разметке новой базы данных будет загружена 
   документация. Каталог /doc для хранения документации больше
   ненужен и может быть удалён.
   Преобразования базы данных выполнить с помощью программы i_admint

* появилась новая таблица Alx
 - в эту таблицу при разметке новой базы данных будут загружены
   все настроечные файлы *.alx. 
   При преоброзовании базы данных для новой версии системы
   программа i_admint загрузит все настроечные файлы в эту 
   таблицу. После загрузки файлы удаляются. Останется только
   два файла icebstart.alx и icebstartw.alx. Если эти файлы
   переписать в корень каталога, то все подкаталоги с именами
   баз можно удалить. Выполнены доработки позволяют обходиться
   без этих файлов если программа правильно определит кодировку
   в которой работает система.
   В этих файлах настраивается кодировка запросов/ответов к базе 
   данных которая зависит от кодировки в которой работает конкретный
   компъютер.
   Размещение настроечных файлов в базе данных позволяет 
   компъютерам с разными кодировками работать с базой данных без проблем.
   Преобразования базы данных выполнить с помощью программы i_admint,
   которую нужно запускать из под root.

* Введена система разрешений для всех подсистем
 - появилась новая таблица icebuser с разрешениями для операторов
   Преобразования базы данных выполнить с помощью программы i_admint
   После преобразования базы данных всем операторам всё разрешено.
   Для настройки разрешений всем операторам необходимо выполнить 
   следующие действия:
   1 запустить программу i_admint
   2 выбрать "Просмотр списка существующих баз"
   3 выбрать базу и нажать клавишу F6
   4 выбрать оператора и нажать Enter
   5 выбрать подсистему и нажать Enter
   6 установить нужные разрешения и нажать F2
   
   В момент преобразования базы в эту таблицу будут загружены все логины
   у которых есть доступ к этой базе данных. Уникальные номера логинов
   будут соответствовать номерам из файла /etc/passwd
   В дальнейшем при организации доступа к базе данных новому логину
   программа сама присвоит ему уникальный помер.
   Появление этой таблицы позволит удалять из операционной системы
   логины операторов, которые уволились из организации. Кроме того
   при переносе базы данных на другую машину сохранятся вся информация
   о том кто какую информацию ввел в базу. После переноса базы на новую машину,
   нужно будет ввести операторов в новую операционную систему под теми логинами
   с которыми они работали на старой машине. При организации доступа к базе 
   данных новому оператору нужно убедиться в том, что такого логина нет в
   в таблице icebuser. Для єтого в режиме "Разрешить доступ к базе данных" 
   появилась кнопка F4, которая позволяет это проверить.
   

 * появилаcь новая таблица Blok в которую перенесены все настройки 
   блокировок подсистем по датам. Информация будет загружена из
   настроечных файлов блокировок подсистем, после чего файлы будут
   удалены.
   Преобразования базы данных выполнить с помощью программы i_admint
   
Version: 11.00	Птн Авг 27 09:03:45 EEST 2010

* Удалена программа alter
 - вместо программы alter для преобразования баз данных для новой версии
  системы используйте программу i_admint

* Подсистема i_admint
 - в режиме просмотра списка баз появилаь возможность работать с настроечным
  файлом nastsys.alx

* Подсистема "Учёт командировочных расходов"
 - в таблицу Ukrdok1 добавлена новая колонка - Страховой сбор
  Если будет введён реквизит "Старховой сбор" то эта сумма будет попадать в
  реестр налоговых накладных отдельной строкой
 Преобразования базы данных выполнить с помощью программы i_admint

Version: 10.35	Пнд Июл 26 12:44:49 EEST 2010

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки

* Подсистема "Реестр налоговых накладных"
 - исправлены обнаруженные ошибки

* Программа i_admint
 - добавилась возможность преобразования баз данных под новую версию системы
   Программа alter в будущем будет удалена из проэкта

Version: 10.34	Срд Июн 30 16:26:19 EEST 2010

* Исправлены обнаруженные ошибки

Version: 10.33	Пнд Июн 28 08:32:35 EEST 2010

* Исправлены обнаруженные ошибки

Version: 10.32	Чтв Июн 10 13:49:23 EEST 2010

* Исправлены обнаруженные ошибки

Version: 10.31	Срд Июн  9 10:36:38 EEST 2010

*Подсистема "Учёт кассовых ордеров"
 - исправлена ошибка в распечатке "Отчёт кассира"

Version: 10.30	Срд Апр 21 11:24:19 EEST 2010

*Подсистема "Заработная плата"
 - исправлена ошибка в подпрограмме автоматической разноски заработной платы

Version: 10.29	Птн Апр 16 10:00:57 EEST 2010

* Подсистема "Учёт доверенностей"
 - добавился настроечный файл nastud.alx
  Программа alter добавит этот файл.

* Доработан режим работы с файлами распечаток
 - появилась возможность настроить запуск нужных програма для операций с
   файлами распечаток. Операции могут быть любые. Читайте файл подсказки,
   iceb_t_rabfil.txt, который можно прочитать после нажатия клавиши F1.
   Режим можно выбрать в меню,которoе появляется после нажатия клавиши F4
 
Version: 10.28	Птн Мар 19 07:30:46 EET 2010

* Подсистема "Реестр налоговых накладных"
 - исправлена ошибка 

Version: 10.27	Чтв Мар 18 15:01:47 EET 2010

* Изменён старт подсистем
 - если при запустке подситсемы не указан ключ "-b имябазы", то программа
   покажет список доступных данному оператору баз данных из которых он сможет
   выбрать нужную ему. Если в этом списке только одна база, то она будет выбрана
   программой.

* Программа i_admint
 - доработан режим создания базы.
 - доработан режим удаления базы.

* Подсистема "Реестр налоговых накладных"
 - при импорте документа из подсистемы "Главная книга" определяется вид
   документа если он введён в коментарий к проводке после даты выписки
   налоговой накладной

* Фильтр iceb_ps
 - исправлены обнаруженные ошибки

* В алгоритмах отчётов начали применятся временные таблицы.
  
  Поэтому для базы данных MySQL 4.0 и выше для всех пользователей необходимо разрешить создание временных
  таблиц - CREATE TEMPORARY TABLES. Это можно сделать программой i_admint.
  Для этого нужно всем операторам вновь установить права доступа к базе.
  Или это можно установить для всех операторов если из под root послать
  запрос к базе:
  
  $mysql -u root -p mysql
  mysql>update db set Create_tmp_table_priv='Y';

Version: 10.26	Пнд Мар  1 15:22:22 EET 2010

* Подсистема "Заработная плата"
 - исправлена обнаруженная ошибка

* Подсистема "Учёт кассовых ордеров"
 - в кассовых ордерах заполняются фамилии руководителя, главного бухгалтера
  и кассира

Version: 10.25	Срд Фев 24 16:47:29 EET 2010
* Подсистема "Заработная платы"
 - с целью увеличеия быстродействия доработана продпрограмма вычисления начислений на фонд
   зарплаты

Version: 10.24	Срд Фев 24 16:24:23 EET 2010

* Мелкие доработки

Version: 10.23	Вто Фев 23 11:35:55 EET 2010

* Подсистема "Заработная плата"
 - в таблице Kartb добавилась новая кодлонка kss - код спецстажа
   Все необходимые преобразования выполнит программа "alter"
 - для месячной персонификации формируется таблица 8 для работников у кого в
   карточку введён код спецстажа

Version: 10.22	Чтв Фев 18 15:00:36 EET 2010

* Подсистема "Реестр налоговых накладных"
- доработан формат xml 

Version: 10.21	Чтв Фев 18 14:01:06 EET 2010
* Подсистема "Реестр налоговых накладных"
- доработан формат xml 


Version: 10.20	Чтв Фев 18 13:06:31 EET 2010

* Подсистема "Реестр налоговых накладных"
- доработан формат xml 

Version: 10.19	Чтв Фев 18 09:16:04 EET 2010

*мелкие но необходимые доработки

Version: 10.18	Чтв Фев 18 09:12:59 EET 2010

* Подсистема "Материальный учёт"
 - для приходных документов теперь можно вводить счёт получения материалла
* Подсистема "Реестро налоговых накладных"
 - исправлена ошибка в xml файлах

Version: 10.17	Срд Фев 17 19:41:57 EET 2010

* Исправлены обнаруженные ошибки

Version: 10.16	Вто Фев 16 19:07:19 EET 2010

* Исправлены обнаруженные ошибки

* Подсистема "Заработная плата"
 - в файле zarlgot.alx появилась дополнительная колонка "Количество льгот"
   Ранше программа вычисляла количество льгот взависимости от процента
   введённой льготы. Оказывается если человек имеет одного ребёнка или двух
   то количество льгот у него равно единице. Если он имеет 3 ребёнка, то у
   него 3 льготы. Теперь если работник имеет процент льготы и поле
   количество льгот не заполнено, то у него будет применятся одна льгота или
   то количество льгот которое у него введено.
   
Version: 10.15	Пнд Фев 15 22:04:57 EET 2010

* Подсистема "Заработная плата"
 - доработан отчёт месячной персонификации. В таблицу 6 и 7 будут попадать
  только работники имеющие отчисление в пенсионный фонд

* Подсистема "Реестр налоговых накладных"
 - исправлен формат dbf файла
 - печатается новая форма реестра налоговых накладных

* Копирование файла на WINDOUS машину
 - теперь появляется меню для выбора перекодировать файл перед копированием
  или нет. Если будут копироваться файлы с расширением dbf, lst, txt, pfz,
  то запроса на перекодировку не будет, так как программа знает что это за
  файлы и нужно их перекодировать или нет.

* Подсистема "Учёт доверенностей"
 - исправлена ошибка при печати доверености

Version: 10.14	Вск Фев 14 18:39:46 EET 2010

* Фильтр iceb_ps
 - исправлена ошибка освобождения памяти
 
* Подсистема "Реестр налоговых накладных"
 - реализована выгрузка в новом dbf формате

* Подсистема "Главная книга"

 - реализован режим расчёта журналов ордеров для счетов со свёрнутым сальдо
   с заданием максимального количества знаков в номере счёта. При большом
   количестве субсчетов распечатка становится огромной. Это можно
   минимизировать если задать меньшее количество знаков в номере счёта.
   Тогда все суммы с субсчетов более нижнего уровня соберутся на счёте более
   высокого уровня. Распечатка при этом станет значительно меньше.

Version: 10.13	Пнд Фев  8 18:00:28 EET 2010

* Подсистема "Зароботная плата"
 - выполнены доработки месячного отчёта в Пенсионный фонд

Version: 10.12	Вск Фев  7 18:35:42 EET 2010

* Подсистема "Зароботная плата"
 - доработана подпрограмма расчёта таблиц 5, 6, и 7 для Пенсионного фонда
  Украины. Отчёты формируются в формате dbf, xml и pfz
   
 - в файл настройки zarpensm.alx добавилась новая строка:
   Код филиала пенсионного фонда|
  Программа alter добавит эту настройку.

* Подсистема "Учёт основных средств"
 - увеличино количество знаков после запятой для колонки ves в таблице
   Uosindm.
   Все необходимые преобразования выполнит программа "alter"

Version: 10.11	Пнд Фев  1 15:39:56 EET 2010

* Программа alter
 - Новые настроечные файлы добавляются в соответствующие каталоги

* Подсистема "Учёт услуг"
 - добавлена новая настройка в файл uslnast.alx

  Автоматическая запись нового контрагента в список счёта|Включено

  Эта настройка работает в режиме автоматического выполнения проводок к документам.
  Если программа выполняет проводку для счёта с развёрнутым сальдо и списке этого счёта
  нет контрагента на который выписан данный документ, то если этот режим включен, программа
  автоматически добавит код контрагента в список контрагентов данного счёта. Если этот режим
  выключен, то оператор получит запрос на выбор контрагента из списка этого счёта. Он должен
  будет выбрать другой код контрагента из существующего списка или добавить нужный код контрагента
  в список счёта и выбрать его для выполния проводок.

* Система iceB адаптирована для работы в кодировке utf8
  Как собрать систему и настроить её работу в этой кодировке читайте в файле INSTALL

* Подсистема "Платёжные документы"
 - необходимо заменить файлы pp.alx и pt.alx на новые

* Подсистема "Главная книга"
 - разработан новый алгоритм расчёта главной книги
   Теперь расчёт выполняется минимум в два раза быстрее.
 - перенос сальдо для подсистемы "Главная книга" в программе saldo также
   переписан по аналогии с новым алгоритмом расчёта главной книги.
 - в режиме просмотра проводок можно по клавише F6 увидеть документ к
   которому привязана проводка

* Подсистема "Заработная плата"

 - разработан расчёт индексации на невовремя выплаченную зарплату

 - разработан расчёт доплаты до средней зарплаты в командировке с учётом
   надбавки за награды.
   В файле zarnast.alx добавилость две новых настройки:

  Код доплаты до средней зарплаты в командировке c учётом надбавки за награду|
  Коды, которые нужно взять в расчёт для расчёта доплаты до средней зарплаты в командировке|

 - У одного из моих клиентов возникла необходимость перечислять зарплату
   работникам на картсчета в три разных банка. Поэтому в базе данных
   появилать новая таблица Zarkh в которой записываются все картсчета,
   которые имеет работник в разных банках. Теперь в карточке работника
   можно указать на какой картсчёт из списка его счетов нужно перечислять деньги.
   Для того чтобы ввести работнику список картсчетов нужно на второй
   странице карточки нажать клавишу F4. Вы попадёте в режим работы со
   списком картсчетов конкретного работника.
   Все необходимые преобразования выполнит программа "alter"

 - разработан режим автоматической смены картсчёта одного банка на
   картсчёт другого по всем карточкам работников.
 
 - появился новый настроечный файл zarbanks.alx в котором указан список
   банков для которых программа может формировать файлы для зачислени средств
   на картсчета работников. Вы можете закоментировать ненужные банки и вам
   не прийдётся из всего списка банков выбирать нужный вам банк.
   Программа alter добавит его в нужные каталоги

 - довавился ПромЕконом банк в список банков для которых можно создавать
   файлы для зачисления на картсчета средств.

 - добавился настроечный файл zarsrbold.alx для расчёта больничного по
   беременности и родам

 - разработан новый отчёт - "Расчёт календарныйх дней для пенсионного стажа"

 - разработан расчёт месячного отчёта для пенсионного персонифицированного
   отчёта. Добавился настроечный файл для этого отчёта zarpensm.alx

* Подсистема "Реестр налоговых накладных"
 - при вводе записи в реестр полученных налоговых накладных программа будет
   осуществлять проверку нет ли уже записи с таким же номером налоговой
   накладной от этого же поставщика.

 - добавлена новая колонка vd (вид документа) в таблицы Reenn и Reenn1
   Все необходимые преобразования выполнит программа "alter"

 - добавлены новые файлы rpvnn0_1.alx, rpvnn1_1.alx, rpvnn2_1.alx, rnnovdp.alx,
   rnnovdr.alx

 - добавлены режимы работы с настроечными файлами для автоматического определения вида
   документа при импорте документов из подсистем бух.учёта.

* Разработана проверка номера полученной налоговой накладной от поставщика во всех
  подсистемах.
  Если оператор вводит в шапке приходного документа номер налоговой
  накладной поставщика и дату получения, то программа будет осуществлять
  проверку не введён ли такой номер налоговой накладной от этого же
  поставщика в другой накладной. Проверяться будут подсистемы "Материальный
  учёт", "Учёт услуг", "Учёт основных средств" и "Главная книга" (в случае
  предоплаты в проводках можно указать номер налоговой накладной
  поставщика)

* Подсистема "Материальный учёт"
 - реализована возможность в приходном или расходном документе вводить
   отрицательное количество. Это нужно для сторнирования неправильно
   введённых приходных документов (если их нельзя удалить)

 - разработан новый отчёт "Материальный отчёт"

 - добавлена новая настройка в файл matnast.alx

  Автоматическая запись нового контрагента в список счёта|Включено

  Эта настройка работает в режиме автоматического выполнения проводок к документам.
  Если программа выполняет проводку для счёта с развёрнутым сальдо и списке этого счёта
  нет контрагента на который выписан данный документ, то если этот режим включен, программа
  автоматически добавит код контрагента в список контрагентов данного счёта. Если этот режим
  выключен, то оператор получит запрос на выбор контрагента из списка этого счёта. Он должен
  будет выбрать другой код контрагента из существующего списка или добавить нужный код контрагента
  в список счёта и выбрать его для выполния проводок.

*Изменения в настроечном файле nastsys.alx

 - добавилась новая настройка:
  Кодировка в которой работает iceB|KOI8-U

 - удалены следующие настройки:
  Перекодировка файлов в ДОС кодировку|tcod -kd
  Перекодировка файлов в WINDOWS кодировку|tcod -kw
  
  Эти настройки удалены так как разработана подпрограмма,
  которая это делает.

Version: 10.10	Срд Окт 28 14:55:55 EET 2009

* Подсистема "Платёжные документы"
 - исправлена ошибка в режиме автоматического выполнения проводок

Version: 10.9	Пнд Окт 26 10:13:43 EET 2009

* Исправлена ошибка смены базы из центрального меню системы

* Подсистема "Заработная плата"

 - разработана подпрограмма для передачи сумм для зачисления на картсчета
   для Укргазбанка
 - разработан отчёт для получения справки о доходах для оформления
   социальной помощи (жилищной субсидии)
   Добавились настроечные файлы zarsns_start.alx zarsns_end.alx

Version: 10.8	Вто Окт 20 16:21:23 EEST 2009

* Выполнены доработки к филтру iceb_ps

* Доработан режим смены баз

 - если нет специального файла со списком баз, то программа будет искать в
   все базы к которым у оператора есть доступ.

Version: 10.7	Пнд Окт 19 10:21:31 EEST 2009

*Подсистема "Заработная плата"

 - разработана подпрограмма для передачи сумм для зачисления на картсчета
   для Альфабанка

* Доработан фильтр iceb_ps 

 - фильтр может работать в файлами в кодировке utf8

Version: 10.6	Чтв Окт 15 08:35:31 EEST 2009

* Подсистема "Материальный учёт"
 - в таблицу Dokummat добавлена новая колонка mo - метка оплаты
   Все необходимые преобразования выполнит программа "alter"

 - при просмотре списка документов теперь можо получить список всех
   документов, только оплаченных, только не оплаченных

* Подсистема "Учёт услуг"
 - в таблицу Ulsdokum добавлена новая колонка mo - метка оплаты
   Все необходимые преобразования выполнит программа "alter"

 - при просмотре списка документов теперь можо получить список всех
   документов, только оплаченных, только не оплаченных


* Подсистема "Учёт основных средств"
 - в таблицу Uosdok добавлена новая колонка mo - метка оплаты
   Все необходимые преобразования выполнит программа "alter"

 - при просмотре списка документов теперь можо получить список всех
   документов, только оплаченных, только не оплаченных


Version: 10.5	Пнд Окт  5 08:59:23 EEST 2009

* Подсистема "Зарaботная плата"
 - добавилось два настроечных файла zarsvfz_start.alx и  zarsvfz_end.alx
   для получения справки о средней зарплате в фонд занятости

 - нужно заменить файлы zarspv.alx и zarspv2.alx на новые

Version: 10.4	Срд Сен 23 11:18:46 EEST 2009

* Подситеме "Учёт кассовых ордеров"
 - исправлена ошибка при распечатке расходного кассового ордера.

* Разработана программа для администрирования баз данных "i_admint"
 - удалены из проэкта за ненадобностью программы sozsqlbaz и dostup
  
* Подсистема "Главная книга"
 - в файле настройки nastrb.alx удалена настройка "Короектор отступа от
  левого края" за ненадобностью

* Написаны мейк файлы, которые позволяют без использования конфигуратора
  построить систему. Для этого достаточно в корневом каталоге с исходниками
  дать команду make -f iceb.mak

Version: 10.3	Срд Сен 16 08:25:43 EEST 2009

* Подсистема "Материальный учёт"

 - в режиме просмотра списка документов реализован режим экспорта кассовых
  ордеров (клавиша F6) в подсистему "Учёт кассовых ордеров".

* Подсистема "Учёт услуг"

 - в режиме просмотра списка документов реализован режим экспорта кассовых
  ордеров (клавиша F6) в подсистему "Учёт кассовых ордеров".

* Разработана подпрограмма автоматического назначения необходимых режимов
  печати для распечаток

* Подсистема "Заработная плата"

 - добавлена возможность вводить список банков, появилась новая таблицa Zarsb
   Все необходимые преобразования выполнит программа "alter"
   Если ваша организация для перечисления зарплаты на карточки работникам
  пользуется услугами только одного банка, то в этот список ничего вводить не
  надо. Если организация должна перейти из одного банка в другой и количество 
  работников большое, то невозможно одномоментно всем работникам сделать 
  карточки нового банка. Возникает ситуация когда
  работникам нужно перечислять зарплату на карточки в разные банки.
   В этом случае в этот список нужно ввести первым банк в котором уже
  облуживаются все работники организации. Программа автоматически поставит код
  этого банка в карточки всем работникам. Дальше вводите код второго банка.
  Код второго банка будете вводить в карточку при замене картсчёта работника
  на картсчёт нового банка.
   При удалении банка из списка банков, код этого банка автоматически будет
  удалён из всех карточек работников.
   Эту возможность пришлось реализавать, так как один из клиентов уже третий
  раз меняет банк через который выплачивается зарплата на карточки
  работников.

 - в талице Kartb добавлено новое поле kb - код банка
   Все необходимые преобразования выполнит программа "alter"

* Фильтр для печати iceb_ps

 - выполнены мелкие доработки

* Новая настройка в файле nastsys.alx
  
  Список принтеров формата А3|
  
  Используется для правильного формирования отчётов.
  Принтер должен быть выбран до начала формирования отчёта.
  

Version: 10.2	Срд Сен  2 08:02:20 EEST 2009

* Подсистема "Зарaботная плата"
 - в файле zarsrbol.alx добавилась новая настройка
   Коды табеля для перерасчёта одноразовых выплат|

* Подсистема "Главная книга"
 - разработан новый алгоритм расчёта журналов ордеров по счетам с
   развёрнутым сальдо

Version: 10.1	Чтв Авг 20 14:51:56 EEST 2009

* Подсистема "Учёт основных средств"
 - исправлена обнаруженная ошибка

Version: 10.0	Чтв Авг 20 08:34:48 EEST 2009

* Подсистема "Учёт основных средств"
 - в файлах настроек автоматического выполения проводок появилась настройка:

  Выполнять проводки по данным налогового учёта|Выключено

  Так как подсистема ведёт сразу два учёта (налоговый и бухгалтерский), то
  эта настройка позволяет выбрать данные какого учёта будут браться для
  автоматического выполнения проводок.

 - исправлены обнаруженные ошибки в отчёте по движению основных средств

* Подсистема "Учёт доверенностей"
 - исправлены обнаруженные ошибки

* Подсистема "Зарaботная плата"
 - выполнены доработки в подпрограмме распечатки ведомости заработной платы
 - исправлены обнаруженные ошибки
 - добавлены настройки в файл zarnast.alx

  Коды начислений неденежными формами на которые начисляется НДС|
  Процент налога на добавленную стоимость|1.1.2000|20

  Так как процент налога на добавленную стоимость может быть изменён в середине года,
  то вводиться дата начала действия налога, а потом значение процента. Если 
  налог изменится нужно старую запись оставить и добавить точно такую же новую с 
  с новой датой начала действия налога и новым процентом НДС
  Налогавая инспекция считает, что если вы получаете проездной за счёт
  предприятия на котором вы работаете, то необходимо сначала насчитать НДС,
  а потом применить коэффициент, который применяется для неденежных форм
  начисления зарплаты.

Version: 09.39	Чтв Июл  9 11:46:08 EEST 2009

* Подсистема "Заработная плата"
 - исправлены ошибки при формировании ведомости на выплату зарплаты

Version: 09.38	Птн Июл  3 16:11:08 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - в таблицу Kasord добавлена новая колонка nomv
   В шапке расходного кассового ордера появился новый реквизит "Номер
   ведомости". Если этот реквизит будет заполнен, то будет автоматически
   создана запись в списке ведомостей на выплату. 
   Все необходимые преобразования выполнит программа "alter"

 - в таблицу Kasnomved добавлена новая колонка nomv
   Все необходимые преобразования выполнит программа "alter"

* Подсистема "Заработная плата"
 - в режиме распечатки ведомости на зарплату программа делает ещё один вид
  корешков. В этих корешках удержания разбиты на две группы 
  1-удержания
  2-выплаты
  говорят так будет понятнее людям

* Подсистема "Платёжные документы"
 - в режиме печати платёжных поручений убрана печать номера экземляра для
  новых платёжных поручений

Version: 09.37	Чтв Июн 25 11:59:46 EEST 2009

* Подсистема "Платёжные документы"
 - с 03.07.2009г. вводятся новые платёжные поручения
   Согласно изменений к постановлению Правления НБУ от 21.01.04г. N22,
   внесённых постановлением Правления НБУ от 15.05.2009г. N296
   добавилось два файла pp03072009.alx и pt03072009.alx
   Так как новые платёжки больше по вертикали то для их печати нужно
   изменить параметр "Количество строк между документами" на значение 3 в
   файле nastdok.alx

Version: 09.36	Вто Июн 23 09:07:08 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - в таблицу Kasord1 добавлена новая колонка koment
   Все необходимые преобразования выполнит программа "alter"

Version: 09.35	Пнд Июн 22 09:40:16 EEST 2009

* Подсистема "Учёт основных средств"
 - исправлены обнаруженные ошибки в режиме автоматического выполнения
  проводок

Version: 09.34	Срд Июн 17 10:03:40 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - исправлены обнаруженные ошибки

Version: 09.33	Вто Июн 16 10:49:49 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - необходимо заменить файлы kasord1.alx,kasort2.alx,zarspv2.alx
   на новые

*Подсистема "Учёт основных средств"
 - реализована возможность автоматически выполнять проводки к документам.
   Добавились файлы для настройки автоматического выполнения проводок
   avtprouos1.alx и avtprouos2.alx

* Программа alter
 - список баз которые нужно преобразовать теперь определяется автоматически.

Version: 09.32	Чтв Июн 11 17:10:49 EEST 2009

* Подсистема "Заработная плата"

 - выполнены доработки в соответствии с постановлением правления
   национального банка Украины N252 от 29.04.2009г.
   Добавлен настроечный файл zarspv2.alx

* Подсистема "Учёт кассовых ордеров"

 - изменилься тип колонки nomv в таблице Kasnomved.
   Был int стал char. Это позволит вводить в номер ведомости
   символы.
   Все необходимые преобразования выполнит программа "alter"

 - выполнены доработки в соответствии с постановлением правления
   национального банка Украины N252 от 29.04.2009г.
   Добавлены настроечные файлы kasord1.alx и kasort2.alx

Version: 09.31	Пнд Июн  1 13:12:44 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - увеличина длинна реквизита "Наименование" при вводе кодов операций.
   Все необходимые преобразования выполнит программа "alter"

Version: 09.30	Пнд Июн  1 08:26:37 EEST 2009

* Подсистема "Учёт кассовых ордеров"
 - увеличина длинна реквизита "Основание" при вводе шапки документа.
   Все необходимые преобразования выполнит программа "alter"

* Подсистема "Заработная плата"
 - доработан отчёт "Распечатать свод отчислений в социальные фонды"
   В файле socstr.alx можно настроить расчёт долей в отчислениях
   приходящихся на заданный оператором список начислений.

Version: 09.29	Срд Май 20 12:51:04 EEST 2009

* Подсистема "Учёт доверенностей"
 - реализована возможность распечатать документ без записей материалов,
   которые нужно получить
 - в режиме просмотра списка документов реализована возможность 
   получать список только не использованных, только использованных
   документов, всех документов.

Version: 09.28	Чтв Май  7 14:57:35 EEST 2009

* Подсистема "Главная книга"
 - исправлена ошибка.

Version: 09.27	Чтв Май  7 10:27:18 EEST 2009

* Подсистема "Заработная плата"
 - исправлена ошибка в режиме распечатки списка работников

Version: 09.26	Вто Май  5 10:30:43 EEST 2009

* Подсистема "Заработная плата"

 - в режиме ввода отработанного времени появилась возможность заменить один
  код табеля на другой по клавише F8

Version: 09.25	Чтв Апр 30 10:47:31 EEST 2009

* Подсистема "Учёт услуг"
 - реализован новый алгоритм автоматического выполнения проводок к
   документу на основе списков проводок
   Смотри файлы avtprousl1.alx и avtprousl2.alx
   Для автоматического выполнения проводок по новой настройке нужно нажать
   клавишу F6 в режиме работы с проводками к документу.
   По клавише Shift+F4 можно после нажатия клавиши F6 или F4, просмотреть
   протокол хода выполнения проводок.

* Подсистема "Материальный учёт"
 - реализован новый алгоритм автоматического выполнения проводок к
   документу на основе списков проводок
   Смотри файлы avtpromu1.alx и avtpromu2.alx
   Для автоматического выполнения проводок по новой настройке нужно нажать
   клавишу F6 в режиме работы с проводками к документу.
   По клавише Shift+F4 можно после нажатия клавиши F6 или F4, просмотреть
   протокол хода выполнения проводок.

* Подсистема "Учёт основных средств"
 - в таблицу Uosgrup и Uosgrup1 добавлены новые колонки
   Все необходимые преобразования выполнит программа "alter"
   Ниже перечисленные настройки в файле uosnast.alx  перестали действовать

   Список групп налогового учета с пообъектной амортизацией|1
   Список групп налогового учета с не пообъектной амортизацией|2,3,4
   Список всех групп налогового учета|1,2,3,4
   Вариант расчета амортизации для бух. учета|
   Группы бух. учёта с альтернативным вариантом расчёта|

* Подсистема "Материальный учёт"
 - доработан отчёт "Расчёт движиния по кодам материалов"
   Добавилать расшифровка прихода/расхода по кодам операций

* Реализована возможность запускать не выходя из системы iceB
  любые другие программы. Для этого нужно в домашнем каталоге
  в файле /.iceB/menu_dpr.alx  прописать настройки для запуска
  нужных программм. Файл должен иметь вид:

#Настройка меню для дополнительных программ
Калькулятор|kcalc
Миднайт-командер|mc

Version: 09.24	Чтв Апр  9 08:05:30 EEST 2009

* Подсистема "Учёт доверенностей"
 - исправлена обнаруженная ошибка при корректировке записис в документе

* Подсистема "Материальный учёт"
 - разработан новый отчёт "Расчёт сводного движения материалов"

Version: 09.23	Срд Апр  8 12:06:01 EEST 2009

* Подсистема "Учёт основных средств"
 - исправлены обнаруженные ошибки

* Подсистема "Заработная плата"
 - для правильного перерасчёта подоходного налога
   в файл zarppn.alx добавлены новые настройки
   Процент отчисления в фонд безработицы|0.5
   Процент отчисления в соц-страх|0.5|1.0

* Разработана новая подсистема - "Учёт доверенностей"
  Все необходимы таблицы для новой подсистемы создаёт программа alter
  Для новой подситемы появился файл блокировки dovblok.alx и файлы
  с документацией udov*.txt
  
Version: 09.22	Чтв Апр  2 09:21:43 EEST 2009

* Подсистема "Заработная прлата"
 - в отчёте "Распечатать карточки начислений/удержаний по работникам"
  исправлена обнаруженная ошибка

* Подсистема "Материальный учёт"
 - в меню отчёта "Реест проводок по видам операции" добавлен реквизит "Група
   контрагента"
 - в отчёт "Распечатать список документов по датам подтверждения" добавлены
   колонки 

Version: 09.21	Вто Мар 31 12:15:30 EEST 2009

* Подсистема "Материальный учёт"
 - исправлена ошибка при распечатке акта списания

Version: 09.20	Птн Мар 27 08:06:57 EET 2009

* Подсистема "Материальный учёт"
 - разработан новый отчёт "Распечатка сприска документов по датам
   подтверждения"

Version: 09.19	Птн Мар 13 10:32:08 EET 2009

* Подсистема "Материальный учёт"
 - исправлена ошибка в отчёте "Распечатать список документов"

* Подсистема "Заработная плата"
 - в карточке в режиме работы со списком отчислений появилась вожможность
   запустить расчёт отчислений в соц. фонды по клавише F4 и посмотреть
   протокол хода расчёта по клавише F9

Version: 09.18	Срд Мар  4 17:20:27 EET 2009

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки при расчёте формы 1ДФ

* Подсистема "Учёт кассовых ордеров"

 - увеличено количество строк в расходном кассовом ордере
   Файл kasorder2.alx нужно заменить на новый.

Version: 09.17	Вто Мар  3 11:50:57 EET 2009

* Подсистема "Заработная плата"
 - при работе на ядре 2.6.26 программа могла аварийно 
   завершаться в момент входа в режим "Расчёт формы 1ДФ".
   В программе небыло ошибок, но тем не менее она весла себя нестабильно.
   В результате большого количества экспирементов удалось изменить 
   структуру программы так, чтобы  ошибка, которая есть в ядре 
   операционной системы не проявляла себя.

Version: 09.16	Птн Фев 20 08:35:12 EET 2009

* Подсистема "Заработная плата"
 - исправлены обнаруженные ошибки
 - доработан отчёт "Распечатать справки для Пенсионного фонда
   Украины". Оказывается для загрузки в систему Бест-звит 
   нужно, чтобы справка на каждого работника была в отдельном
   файле. Программа выгружает эти файлы в домашний каталог
   оператора ./iceB/best_svit
   
* Подсистема "Главная книга"
 - в отчётах для бюджетных организаций появился новый отчёт
   "Расчёт мемориального оредра N7"

* Подсистема "Учёт основных средств"
 - добавлены две новых таблицы в базу данных Uosdm и Uosindm
   Все необходимые преобразования выполнит программа "alter"

 - разработан режим ввода справочник драгоценных металлов

 - разработан режим ввода в карточку списка драгоценных металлов
   (клавиша F6)

 - доработан отчёт "Распечатка инвентаризационных описей"
   Теперь делается опись по драгоценным металлам

Version: 09.15	Чтв Янв 29 07:45:46 EET 2009

*Доработан режим работы с файлами отчётов
   Раньше по клавише F9 был реализован выход из режима с сохранением всех
   файлов. Теперь с помощью клавиши F9 можно выставить/снять метку сохранения
   файла при выходе из режима по клавише F10.

*Подсистема "Расчёт заработной платы"
 - исправлены обнаруженные ошибки
 - в файле настройки для автоматического выполнения проводок zarnpr.alx
   появилась возможность настраивать выполнение проводок для конкретгого
   табельного номера.
 - доработан расчёт начислений на фонд зарплаты для фонда занятости
   В файле zardog.alx появилась настройка для ввода процента для работающих
   по договорам. С 1.1.2009 г. у них не такой процент как у всех.

Version: 09.14	Вто Дек  9 09:36:47 EET 2008

* Подсистема "Учёт основных средств"

 - исправлены обнаруженные ошибки

Version: 09.13	Чтв Дек  4 15:44:58 EET 2008

* Подсистема "Учёт командировочных расходов"

 - добавился новый отчёт "Распечатка документов по датам приказов"

* Подсистема "Заработная плата"

 - доработаны подпрограммы начисления зарплаты.
   Теперь расчёт зарплаты можно осуществлять на основе тарифных
   ставок в соответствии с "Единої тарифнї сітки розрядів та коеффіціиентів
   з оплати праці працівників установ, закладів та організацій окремих
   галузей бюджетної сфери" утверждённой постановлением КМУ от 30.08.2002г.
   N1298
   Для ввода тарифной сетки добавился настроечный файл zartarroz.alx
   В файле zardolhn.alx предусмотрена возможность вводить разряды вместо
   окладов. В этом случае ненужно будет каждый раз вводить новые оклады
   после изменени минимальной зарплаты. Программа сама будет их
   автоматически вычислять.

 - добавилась настройка тарифной таблицы zartarroz1.alz для 
   ввода тарифной сетки. Это позволяет в файле zarproc.alx в колонке
   "Тариф" указывать номер строки и номер колонки из тарифной сетки.

 - В файле zarproc.alx появилась возможность указывать номер тарифа и разряд
   для автоматического вычисления тарифа. 
   В этом случае тариф всегда будет расчитываться автоматически по введённой
   тарифной сетке. После изменения тарифной сетки не нужно будет вручную
   менять тарифы в этом файле.
   Добавилась возможность вводить наименования для часто используемых
   списков входных кодов.
   
 - добавился отчёт "Расчёт окладов на базе тарифной сетки для бюджетных
   организаций"
 - добавился отчёт "Расчёт тарифов на базе тарифной сетки"

* Подсистема "Учёт основных средств"

 - в таблицу Uospod добавлена колонка mi
   Все необходимые преобразования выполнит программа "alter"

 - доработаны подпрограммы расчёта движения основных средств по 
   подразделениям и материально-ответственным. Если в результате 
   внутренних перемещений основное средство возвращалось туда 
   где оно когдато числилось, то программа неправильно вычисляла 
   балансовую стоимость.

Version: 09.12	Пнд Ноя 17 08:48:57 EET 2008

* Подсистема "Учёт кассовых ордеров"

 - в режиме импорта кассовых ордеров добавиласть возможность по клавише
   F5 ввести перечень комад/программ, которые нужно выполнить.
   Например копирование файла с другой машины и перекодировка в нужную
   кодировку.
   После нажатия клавиши F4 программа будет читать все строки файла и
   запускать их на выполнение.

 - в процессе импорта кассовых ордеров все документы подтверждаются и 
   автоматически выполняются проводки

Version: 09.11	Вто Ноя 11 11:43:53 EET 2008

* Подсистема "Реестр налоговых накладных"
 - исправлена ошибка в подпрограмме расчёта Додатка 5

* Подсистема "Учёт кассовых оредров"
 - после импорта кассовых ордеров из файла, файл будет удаляться.

Version: 09.10	Чтв Ноя  6 10:37:53 EET 2008

* Подсистема "Учёт кассовых ордеров"
 - добавлен индекс в таблицу Kasord. 
   Программа будет проверять нет ли уже кассового ордера с таким же номером
   бланка
   Все необходимые преобразования выполнит программа "alter"

* Подсистема "Заработная плата"
 - исправлены ошибки при расчёте средней зарплаты для больничного

* Исправлены ошибки распечатки доверенности

Version: 09.9	Чтв Окт 30 07:31:45 EET 2008

* Подсистема "Платёжный документы"
 - доработана подпрограмма печати доверенностей.
   Нужно заменить файл dok_dover_r.alx на новый

* Подсистема "Заработная плата"
 - ВНИМАНИЕ !!! изменена настройка для поиска проводок при расчёте формы 1дф 
   Cмотрите файл zarsdf1df.alx
      
Version: 09.8	Срд Окт 29 07:19:50 EET 2008

* Подсистема "Платёжный документы"
 - в файле настройки banki.alx теперь можно указать какой программой будет
   копироваться файл

* Подсистема "Учёт кассовых ордеров"
 - доработана подпрограммы экспорта-импорта кассовых ордеров.
   В формат строки добавлен номер бланка строгой отчётности.

* Подсистема "Заработная плата"
 - доработана подпрограмма "Распечатать расчёт средней зарплаты для
   начисления больничного"
   
Version: 09.7	Птн Окт 24 13:49:47 EEST 2008

* Подсистема "Платёжные документы"

 - доработана подпрограмма экспорта платёжки в систему "СКАРБ"

Version: 09.6	Птн Окт 24 09:20:01 EEST 2008

* Подсистема "Платёжные документы"
 - доработана подпрограмма экспорта платёжки в систему "СКАРБ"

Version: 09.5	Вто Окт 21 08:20:55 EEST 2008

* Подсистема "Платёжные документы"
 - исправление в подпрограмме экспорта платёжки в систему "СКАРБ"

Version: 09.4	Пнд Окт 20 07:55:22 EEST 2008

* Подсистема "Платёжные документы"
 - реализован экспорт платёжек в систему Клиент-Банк АБС "СКАРБ"
   Смотрите файл banki.alx

* Подсистема "Заработная плата"
 - исправлена ошибка при формировании формы 1ДФ в xml формате

* Подсистема "Главная книга"
 - в файлы glk_balans.alx и glk_balans2.alx добавлены новые строки.
   Эти файлы нужно переписать целиком. В файлы glk_balans_n.alx и
   glk_balans_n2.alx нужно акуратно добавить коды, которых там нет.
   
Version: 09.3	Вто Сен 30 17:13:35 EEST 2008

* Подсистема "Учёт путевых листов"
 - изменена ориентация распечатки длинных отчётов на ландшафтную

Version: 09.2	Птн Сен 19 16:17:14 EEST 2008

Подсистема "Реестр налоговых накладных"
 - изменена в структура dbf файлов реестра налоговых накладных

Version: 09.1	Птн Сен 19 13:32:09 EEST 2008

* Подсистема "Заработная плата"
 - в режиме работы с карточкой работника появилась новая возможность
   корректировать настройки автоматического расчёта начислений по клавише 
   Shsft+F7. Описание режима смотрите в файле zarp2_14.txt

 - реализовано формирование файла для импорта зарплаты в систему iBank2 UA

* Подсистема "Учёт кассовых ордеров"
 - Переделана подпрограмма импорта кассовых ордеров
   Описание смотри в файле kas2_5.txt

* Подсистема "Реестр налоговых накладных"
 - доработана подпрограмма импорта документов.
   При повторном импорте документов теперь будут сохранятся коды групп
   документов

Version: 09.00	Срд Авг 27 09:00:07 EEST 2008

* Подсистема "Расчёт зарплаты"
 - изменены настройки для выполнения проводок по не зарплатным счетам.
   Теперь вместо -
   
Дополнительный зарплатный счёт|663
Начисления, для которых проводки выполняются по дополнительному счёту|

   нужно вводить -

Дополнительные зарплатные счёта|663,664,665
Начисления, для которых проводки выполняются по дополнительному счёту 663|
Начисления, для которых проводки выполняются по дополнительному счёту 664|
Начисления, для которых проводки выполняются по дополнительному счёту 665|

Version: 8.47	Вто Июл 29 11:12:52 EEST 2008

* Подсистема "Расчёт зарплаты"
 - в файле zarnast.alx добавилась новая настройка:

   Код начисления для возврата суммы подоходного налога|

   Оказывается военнослужащим возвращается вся сумма начисленного
   подоходного налога - каково ?

 - Доработан режим работы с документами.
   Появилась возможность быстро найти документ по его номеру.
   Появилась возможность при вводе записей в документ вводить дату в счёт
   которой относится запись и количество дней (для ввода больничных).

 - в таблице Zardok добавилась новая колонка.
   Теперь можно вводить документы не только на начисления, но и на
   удержания.
   Все необходимые преобразования выполнит программа "alter"

Version: 8.46	Птн Июл 18 08:30:44 EEST 2008

- Подсистема "Реестр налоговых накладных"
 - выполнены мелкие доработки 

Version: 8.45	Чтв Июл 17 09:01:04 EEST 2008

* Подсистема "Платёжные документы"
 - добавлена возможность экспорта платёжек в подсистему 
   клиент-банк "Tiny"

* Подсистема "Реестр налоговых накладных"
 - в файле настройки введны две новые настройки вместо 
   настройки "Счёт расчётов по НДС":
   
   Дебеты счетов для импорта в реест полученных накладных|
   Кредиты счетов для импорта в реестр выданных накладных|
   
   Вводится через запятую необходимое количество счетов.

 - исправлены обнаруженные ошибки при формировании xml файла Додатка 5
   
Version: 8.44	Вск Июл 13 20:54:02 EEST 2008

* Исправлены обнаруженные ошибки

Version: 8.43	Птн Июл 11 18:16:13 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - исправлена ошибка при формировании xml файла Додатка 5

Version: 8.42	Чтв Июл 10 07:54:11 EEST 2008

* Мелкие доработки

Version: 8.41	Срд Июл  9 14:42:39 EEST 2008

* Подсистема "Учёт кассовых ордеров"
 - исправлена ошибка при автоматическом выполнении проводок.

Version: 8.40	Срд Июл  9 08:41:37 EEST 2008

* Подсистема "Платёжные документы"
 - доработана подпрограмма печати доверенности.

Version: 8.39	Вто Июл  8 17:10:28 EEST 2008

* Подсистема "Платёжные документы"
 - доработака подпрограмма печати доверенностей.
   Нужно заменить старый файл dok_dover_r.alx на новый.

* Подсистема "Реестр налоговых накладных"
 - сделаны мелкие доработки при формировании dbf файлов.

Version: 8.38	Пнд Июл  7 08:56:18 EEST 2008

* Подсистема "Главная книга"
 - разработан новый отчёт "Проверка согласованности данных в подсистемах"
   Этот отчёт сравнивает выполненные проводки с данными в подсистемах
   "Материальный учёт", "Учёт основных средств".

Version: 8.37	Птн Июл  4 08:36:08 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - исправлена ошибка при формировании dbf файлф для полученных налоговых
   накладных.

Version: 8.36	Чтв Июл  3 14:37:30 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - в файле rnn_nast.alx добавилась новая настройка

  Счёт расчётов по НДС|6411

  Вводится для возможности импорта документов в реестры из подсистемы "Главная
  книга". Если проводки с необходимым коментарием будут сделаны по дебету
  этого счёта - то импорт будет выполнятся в реестр полученных накладных.
  Eсли по кредиту - в реестр выданных накладных. 
 
 - доработана подпрограмма формирования додатка 5.
   Теперь заполняется раздел "Операції з придбання з ПДВ, які не
   надають права формування податкового кредиту".

 - разработанa выгрузка реестра налоговых накладных в dbf файлы для экспорта
   в систему "Бест Звіт"

* Подсистема "Заработная плата"
 - добавился новый настроечный файл zarsppo.alx
   В этом файле вводится список людей у которых должен быть
   нестандартный процент отчисления в пенсионный фонд.
   Для научных работников со степенями берётся не 2% а 5%.

Version: 8.35	Вто Июн 24 14:58:41 EEST 2008

* Подсистема "Реестр налоговых накладных"

 - для приходных накладных в режиме импорта документов добавлен импорт 
   документов на основе проводок сделанных в подсистеме "Главная книга"
   Это нужно если была получена предоплата без указания за какие товары или
   услуги.
   В этом случае делается проводка в подсистеме "Главная книга" на сумму НДС 
   (если налоговая накладная с НДС).
   Для этого при выполнении проводки по дебету 64__ счёта в коментарий проводки
   нужно ввести следующюю информацию:
   нн55 1.1.2008
     |    |
     |    -> дата выписки налоговой накладной
     --> номер налоговой накладной (буквы "нн" обязательный идентефикатор)
   Если налоговая накладная без НДС, то нужно просто сразу ввести ее в
   ручную в Реестр налоговых накладных.
   
Version: 8.34	Пнд Июн  9 11:44:42 EEST 2008
* Подсистема "Реестр налоговых накладных"
 - исправлена ошибка при импорте документов.

Version: 8.33	Птн Июн  6 08:04:00 EEST 2008

* Доработана подпрограмма печати Доверенностей.
  Добавлена печать доверенности на обычном листе бумаги.
  Добавился новый настроечный файл dok_dover_r.alx

Version: 8.32	Пнд Июн  2 09:32:11 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - доработана подпрограмма получения реестра налоговых накладных.
   В меню появился дополнительный реквизит "Процент для додатка 2".
   Если оператор введёт процент, то программа сделает два реестра
   налоговых накладных и Додаток 2.
   Для расчёта Додатка 2 добавился настроечный файл "rnnd2_start.alx"

Version: 8.31	Срд Май 21 10:50:54 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - для документов из подсистемы "Материальный учёт" в которых указан код операции 
   сторнирования данные будут импортироваться в реестр с отрицательными суммами.

Version: 8.30	Вто Май 20 08:44:17 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - исправлены обнаруженные ошибки

Version: 8.29	Птн Май 16 15:12:17 EEST 2008

* Подсистема "Заработная плата"
 - доработана подпрограмма чтения настроечного файла zarnast.alx
   Теперь можно списки кодов начислений/удержаний для удобства переносить на
   следующюю строку, если список полностью не помещается по ширине экрана.
   Например:

Код командировочного начисления|1,2,3,\
57,66,\
77,99

   Обратите внимание - строка которая имеет продолжение оканчивается
символом "\". Символ "\" стоит после запятой.

 - исправлены ошибки при формировании xml файла формы 1ДФ.
   Теперь форма 1ДФ в формате xml импортируется в подсистему "Бест звіт" и в 
   программу распространяемую налоговой инспекцией.

Version: 8.28	Птн Апр 18 12:17:36 EEST 2008

* Подсистема "Реестр налоговых накладных"

 - исправлены обнаруженные ошибки при формировании xml файла Додатка 5

Version: 8.27	Чтв Апр 17 13:18:48 EEST 2008

* Подсистема "Реестр налоговых накладных"

 - сделаны мелкие исправления

Version: 8.26	Птн Апр 11 14:46:42 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - реализована возможность получения Додака 5 с наименованиями контрагентов.

* Подсистема "Главная книга"
 - разработан новый отчёт "Расчёт мемориального ордера N5" 
   добавился настроечный файл для этого расчёта mord5.alx

*Подсистема "Материальный учёт"
 - распечатка движения товарно-материальных ценностей форма 2 сделана в
   ландшафтной ориентации

Version: 8.25	Вто Апр  8 15:28:56 EEST 2008

* Подсистема "Реестр налоговых накладных"

 - исправлены обнаруженные ошибки при формировании отчёта Додаток 5

* Подсистема "Учёт основных средств"

 - добавлена колонка dvnn - дата выписки налоговых накладных в таблицу
   Uosdok
   Все необходимые преобразования выполнит программа "alter"

* Подсистема "Учёт командировочных расходов"

 - добавлена колонка dvnn - дата выписки налоговых накладных в таблицу
   Ukrdok1
   Все необходимые преобразования выполнит программа "alter"

* Подсистема "Учёт услуг"
 - доработан режим ввода и корректировки шапки документа.
   Теперь там можно ввести дату выписки накладной поставщика.
   Эта дата будет экспортироваться в подсистему "Реестр налоговых накладных"
   как дата выписки налоговой накладной.

Version: 8.24	Пнд Апр  7 12:42:23 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - исправлены обнаруженные ошибки при формировании xml файла Додатка 5

Version: 8.23	Пнд Апр  7 08:25:20 EEST 2008

* Подсистема "Реестр налоговых накладных"
 - добавился настроечный файл rnnd5_start.alx и rnnd5_end.alx 
   для формирования распечатки Додаток 5

Version: 8.22	Чтв Апр  3 14:01:24 EEST 2008

* Подсистема "Учёт командировочных расходов"
 - доработан режим автоматического выполнения проводок. Теперь в файле
   настройки выполнения проводок появилаь колонка в которую можно вводить код
   экономической классификации затрат

* Подсистема "Главная книга"

 - усовершенствован режим поиска проводок. Теперь можно осуществлять поиск
   проводок одновременно по дате проводки и по дате записи проводки.

 - удалён режим поиска проводок за день

 - добавился файл blokshet.alx для настройки блокировки счетов
   Если месяц в целом не заблокирован, то программа будет проверять не
   заблокированы ли счета по которым нужно сделать/удалить/исправить проводку.
   Это нужно например, чтобы после сдачи в налоговую отчёта по НДС, можно было
   заблокировать соответствующий счёт. А по другим счетам можно былобы
   работать.

* Подсистема "Реестр налоговых накладных"
 - в таблицы Reenn и Reenn1 добавлена новая колонка ko - код опрерации в
   документах, которые импортировались в подсистему.
   Это позволит осуществлять поиск в реестре по кодам операций.
   Все необходимые преобразования выполнит программа "alter"

 - в таблицу Reenn1 добавлена новая колонка dvd - дата выписки налоговой
   накладной 

 - переделан принцип удаления налоговых накладных в каталоге
   /iceB/nal_nak_xml. Если в каталоге после предыдущего отчёта формировалось
   большое количесво файлов, то команда rm не могла удалить их так как
   получалась слишком длинная командная строка. Разработана специальная
   подпрограмма, которая может удалить любое количество файлов.

 - разработан новый сводный отчёт Додаток 5

* Для всех подсистем усовершенствована проверка возможности удаления
  проводок для документа

Version: 8.21	Срд Мар 19 10:08:13 EET 2008

* Подсистема "Реестр налоговых накладных"
  исправлена ошибка при формировании xml файла для выданных налоговых
  накладных

* Доработана подпрограмма проверки блокировки данных.
  Теперь можно после даты, которая заблокирована указать логин оператора для
  которого она разблокирована. Например:

  1.2000|sasa,serg

  В данном примере заблокирован январь 2000 года для всех операторов, кроме
  операторов имеющих login sasa и serg. Через запятую можно указать любое
  количество операторов.

Version: 8.20	Чтв Мар 13 10:44:35 EET 2008

* Подсистема "Материальный учёт"
 - в режиме работы со списком материалов можно клавишей Shift+FK5 
   включить/выключить сортировку по кодам материалов

Version: 8.19	Чтв Мар  6 14:18:02 EET 2008

* Подсистема "Реестр налоговых накладных"
 - исправлены ошибки в xml файле

Version: 8.18	Птн Фев 29 14:00:38 EET 2008

Подсистема "Реестр налоговых накладных"
 - выполнены доработки в подпрограмме формирования отчёта в электронном виде
   Изменилось нанимевание поля HTIN на HNPDV.

Подсистема "Материальный учёт"
 - список материалов выводиться отсортированный по наименованиям.

Version: 8.17	Птн Фев 22 16:18:14 EET 2008

* Подсистема "Платёжные документы"
 - в режиме работы с проводками к документу появилась возможность
   автоматически выполнять проводки на основе сальдо по контрагентам

* Выполнены доработки по созданию xml файлов

Version: 8.16	Вто Фев 19 10:23:07 EET 2008

* Выполнены доработки связанные с Додатком 1 до Наказу ДПА України від
  05.12.2007 N670. Это касается структуры xml файлов. В имени файла
  появилось 2 новых поля:

  стан документа
  номер виправного документа

  В шапке документа появился новый елемент- стан документа.

* Подсистема "Главная книга"
 - доработан режим "Распечатка документов для перечисления на карт-счета"
   Для "Расчёта с использованием сальдо" выполнена доработка позволяющая
   автоматически выполнить проводки закрывающие вычисленное сальдо

* Подсистема "Заработная плата"
 - доработана подпрограмма получения справок о доходах
   Теперь формируется справка с подоходным налогом

Version: 8.15	Чтв Фев 14 12:35:55 EET 2008

* Подсистема "Учёт кассовых ордеров"
 - реализована возможность вводить номер бланка кассового ордера
   В таблицу Kasord добавлена колонка nb - номер бланка 
   Все необходимые преобразования с таблицей выполнит программа "alter"

* Исправлены обнаруженные ошибки
   
Version: 8.14	Птн Фев  8 11:36:40 EET 2008

* Доработана подпрограмма работы с файлами. Теперь в меню по клавише F4
  можно скопировать файл в указанный каталог.

* Подсистема "Заработная плата"
 - исправлена обнаруженная ошибка в отчёте по категориям
 - внесены изменения в настроечные файлы 
   zarpens.alx - список пенсионеров
   zarinv.alx  - список инвалидов
   теперь в этих файлах можно указать дату начала и конца действия настройки
 - исправлена ошибка в нумерации строк при распечатке формы 1ДФ из архива
   
Version: 8.13	Чтв Янв 31 11:29:05 EET 2008

* Доработана программа разметкп базы данных sozsqbaz
 - теперь для баз данных MySQL версии 4.1 и выше, можно указать кодировку
   данных в таблицах по умолчанию.

* Удалось добиться ускорения выполнения расчётов.

* Подсистема "Заработная плата"
 - доработана подпрограмма выхгрузки данных для пенсионного фонда.
   Теперь она выгружает данные в формате для загрузки в систему Звіт
 
* Подсистема "Учёт кассовых оредров"
 - для настройки проводок для бюджетных организаций
   появились два настроечных файла:
   avtprokasp.alx 
   avtprokasr.alx
   для настройки проводок соответственно для приходных и расходных кассовых
   ордеров

 - доработана программа печати приходного кассового ордера на бланке строгой
   отчётности. В отрывной корешок выводиться номер документа.

Version: 8.12	Чтв Янв 17 09:34:15 EET 2008

* Исправлена ошибка в программе создания базы данных.

Version: 8.11	Вто Янв 15 15:00:25 EET 2008

* Исправлены обнаруженные ошибки

Version: 8.10	Птн Янв 11 13:30:23 EET 2008

* Подсистема "Учёт кассовых ордеров"
 - реализована возможность печатать кассовые ордера на бланках строгой
   отчётности

* Подсистема "Заработная плата"
 - в режиме работы с документом реализована возможность импорта начислений
   из файла

* Подситема "Главная книга"
 - усовершенствован "Расчёт валовых доходов и затрат"
   теперь можно указать в настройках и список нужных кодов контрагентов
   Смотрите описание в файлах настройки.
 - разработан новый отчёт для бюджетных организаций - "Карточка
   аналитического учёта операций с наличкой"

* Подсистема "Учёт основных средств"
 - исправлена ошибка в режиме импорта документов

Version: 8.9	Срд Дек 12 14:39:38 EET 2007

* Внесены исправления для построения системы с разделяемыми библиотеками

Version: 8.8	Срд Дек 12 11:05:24 EET 2007

* Подсистема "Заработная плата"
 - исправлена ошибка в отчёте "Распечатать справку по доходам"
   Программа не брала алименты в таблицу.

* Подсистема "Главная книга"
 - доработана подпрограмма "Расчёт шахматки".
   Теперь можно задать любое количество вариантов расчёта шахмотки
   Описание того, как можно сделать настройку находится в файле
   buhhah.alx

 - доработаны подпрограммы чтения настроечных файлов.
   Теперь для удобства работы длинные списки счетов можно переносить на
   следующюю строку. Количество строк продолжения неограничено.
   Смотрите описания в настроечных файлах.

 - разработан новый отчёт "Расчёт формы 7", который находится в меню 
   "Расчёт налоговых разниц". Добавился файл buhf7.alx в котором
   производится настройка расчёта формы 7

* Разработана новая подпрограмма вывода на экран списков. 
  Во всех подсистемах старая подпрограмма заменена на новую.
  Основное отличие от старой подпрограммы, это то, что можно в список для вывода
  информации на экран вносить строки любой длинны. При выводе на эткран строка
  автоматически будет усекаться до длинны, которая помещается на экране.
  В старой программе в этих случаях программа аварийно завершала работу.

* Усовершенствованы подпрограммы автоматического выполнения проводок
  во всех подсистемах.

* Подсистема "Материальный учёт"
 - если документ будет выписываться на будущюю дату, то при просмотре
   карточек материалов остатки будут показываться на дату по которой
   выписывается документ

* Подсистема "Учёт основных средств"
 - доработан режим пропорционального распределения сумм по инвентарным
   номерам. Теперь если в меню введена дата документа - программа
   автоматически создаст документы на дооценку основных средств
 
 - внесены изменения в таблицы Uosdok и Uosdok1
   Все необходимые преобразования с таблицей выполнит программа "alter"

 - доработана подпрограмма работы со списком материально-ответсвенных лиц.
   Теперь можно в списке пометить людей которые уволились и соответственно
   получать список всех, которые используются, которые неиспользуются
   В таблицу Uosol добавлена новая колонка.
   Все необходимые преобразования с таблицей выполнит программа "alter"
 
Version: 8.7	Вто Ноя 13 13:10:11 EET 2007

* Мелкие доработки

Version: 8.6	Пнд Ноя 12 09:56:25 EET 2007

* Подсистема "Материальный учёт"
 - усовершенствованы подпрограммы разузлования изделий

* Подсистема "Заработная плата"
 - в режиме просмотра списка начислений/удержаний реализована возможность
   исправления для всех найденых записей реквизита "В счёт какого месяца"

* Подсистема "Учёт основных средств"
 - для документов внутреннего перемещения реализована возможность по клавише Tab переходить в 
   парный документ

Version: 8.5	Чтв Ноя  8 11:59:04 EET 2007

* Доработан режим просмотра перед печатью
  Теперь если документ печатается с логотипом, то и просмотр его будет с
  логотипом

Version: 8.4	Пнд Ноя  5 15:30:42 EET 2007

* Исправлены обнаруженные ошибки

* Подсистема "Материальный учёт"
 - при расчёте инвентаризационной ведомости формируется "Додаток 12"
   Для расчёта этого отчёта добвились два файла "in_d12_start.alx" и
   "in_d12_end.alx"

Version: 8.3	Срд Окт 10 20:45:47 EEST 2007

* Подсистема "Учёт основных средств"
 - исправлена ошибка при корректировке записи в документе

* Фильтр "iceb_ps"
 - добавлено игнорирование нескольких трех-символьных команд, которые фильтр просто
   не обрабатывает

Version: 8.2	Пнд Окт  8 15:15:39 EEST 2007

* Фильтр "iceb_ps"
 - добавлено игнорирование команды инициализации принтера

* Подсистема "Учёт командировочных расходов"
 - доработан режим распечатки списка документов.

* В файле настройки "nastsys.alx" изменено название настройки.
  Вместо "Локальный принтер" теперь должно быть "Приэкранный принтер".
  
* Разработана новая подпрограмма для работы с файлами отчётов.

* Вячеславом Гаращенко <slava@maze.ambernet.kiev.ua> выполнены 
  доработки конфигуратора по результатам установки системы
  на Федоре 7 с процессором x86_64 

* Подсистема "Учёт основных средств"
 - добавлена новая колонка "shs" - счёт списания/приобретения в таблицу
   Uosdok1
   Все необходимые преобразования с таблицей выполнит программа "alter"
 - разработаны отчёты
   Расчёт движения основных средств по счетам списания.
   Расчёт движения основных средств по счетам получения.

   Для того, чтобы можно было сделать эти отчёты необходима после ввода
   основного средства в документ брать запись на корректировку и заполнять поле
   "Счёт списания (приобретения)".

* Подсистема "Главная книга"
 - разработан расчёт и распечатка мемориальных ордеров для бюджетных
   организаций N4 и N6

* Для работы с базой данных MySQL начиная с версии 4.1 
  необходимо после соединения с демоном базы данных 
  указывать кодировку в которой будут отправляться запросы к базе и
  возвращаться ответы. Для этого в файле "icebstart.alx" можно прописать
  команды, которые будут выполнены после соединения с демоном базы данных.
  
* Разработана новая таблица "Opldok" для введения оплат по документам.
  Все необходимые преобразования с базой данных выполнит программа "alter"

Version: 8.1	Пнд Сен  3 07:21:40 EEST 2007

* Подсистема "Главная книга"
 - реализована возможность создания списка стандартных коментариев
   для последующего выбора при выполнении проводок.
   Добавился файл "spisok_koment_gl.alx"
   При выполнении проводок можно нажав клавишу F8 получить
   меню для выбора нужного коментария.
   Клавиша Shift+F8 позволяет перейти в режим ввода стандартных
   коментариев.

 - добавлена колонка "kekv" (код экономической классификации затрат) в таблицу Prov.
   Этот код необходимо вводить только при эксплуатации системы в бюджетных
   организациях. Остальные организации его могут не вводить. 
   Все необходимые преобразования с таблицей выполнит программа "alter"

 - разработаны новые отчёты. Расчёт мемориальных ордеров для бюджетных
   организаций Украины N1,2,3,9,10,12,13
   Для расчёта этих мемориальных ордеров добавилитсь следующие настроечные 
   файлы:
   mord10.alx
   mord13.alx
   mord9.alx
   mord_end.alx
   mord_start.alx

* Подсистема "Заработная плата"
 - в файле настройки "zarnast.alx" добавились новые настройки:

  Код экономической классификации затрат для атестованных|
  Код экономической классификации затрат для неатестованных|
  Код экономической классификации затрат для начислений на фонд оплаты|
  Код звания для неатестованых|

  Все эти настройки применяются для расчёта зарплаты в бюджетных
  организациях      

Version: 8.0	Чтв Авг 23 07:51:16 EEST 2007

* Подсистема "Платёжные документы"
 - разработана подпрограмма для формирования файла иморта в подсистему
  "Банк-Клиент" для банка "Финансы и кредит".

* Подсистема "Материальный учёт"
 - добавлена новая настройка в файл "matnast.alx".

  Разрешено корректировать наименование материала|
 
  #В этой настройке вводиться через запятую список логинов, которым разрешено корректировать 
  #наименование материала в списке материалов. Если в этой строке ничего не введено, то 
  #корректировать наименование материала может любой оператор.

* Подсистема "Главная книга"
 - разработан новый отчёт "Расчёт шахматки по счёту". Этот отчёт применяется
   для расчёта налоговых разниц по счетам. Расчёт может быть сделан по
   любому счёту имеющему субсчета.

 - в таблице "Prov" увеличены размеры колонок.
   Все необходимые преобразования с таблицей выполнит программа "alter"

 - в файле настройки "nastrb.alx" добавилось две настройки:

    Печатать наименование счёта кореспондента в Главной книге|Выключено
    Печатать наименование счёта кореспондента в журналах-ордерах для счетов с развёрнутым сальдо|Выключено

* Подсистема "Заработная плата"
 - исправлена ошибка при формировании имени xml файла для формы 1дф. 
 - изменен формат файла для передачи зарплаты в "Укрсиббанк"

* Подсистема "Реестр налоговых накладных"
 - доработана подпрограмма распечатки реестра с учётом условий поиска.

Version: 7.34	Пнд Июл  9 17:01:40 EEST 2007

* Подсистема "Учёт основных средств"
 - в отчёте "Распечатка ведомости износа и остаточной стоимости" исправлена
   обнаруженная ошибка.

Version: 7.33	Срд Июн 27 13:16:05 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - исправлена ошибка при переключении просмотра на предыдущий день в 
   списке кассовых ордеров.

* Подсистема "Учёт услуг"
 - доработана подпрограмму распечатки налоговой накладной.
   В файле настройки "uslnast.alx" появилась дополнительная настройка

   Код единицы измерения услуги|

   Для услуг которые будут иметь указанный код единицы измерения 
   в налоговой накладной в колонке "Единица измерения" будет печататься
   "грн.", а в колонке "Количество" будет печататься "Послуга".

Version: 7.32	Чтв Июн 21 15:12:21 EEST 2007

* Подсистема "Главная книга"
 - разработан отчёт "Расчёт акта сверки по группе контрагента."
 - доработан режим "Поиск проводок по дате проводки". Теперь можно задать
   поиск с сортировкой проводок в порядке убывания или возростания сумм.

* Подсистема "Материальный учёт"
 - в отчёте "Распечатать движение товарно-материальных ценностей по счетам
   списания" добавлен файл со сводной таблицей.

Version: 7.31	Срд Июн 13 10:48:10 EEST 2007

* Подсистема "Заработная плата"
 - доработана подпрограмма загрузки кассовых ордеров.

Version: 7.30	Срд Июн 13 10:19:19 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - для правильной распечатки отчётов (в порядке возростания номеров
   документов) сделана нумерация кассовых ордеров с лидирующими нолями.

* Подсистема "Материальный учёт"
 - разработана распечатка товарно-транспортных накладных на перемещение
   алкогольной продукции
    Для того чтобы можно было распечатать этот документ, необходимо,
  чтобы был введён номер лицензии и период действия лицензии на
  алкогольную продукцию для контрагента под кодом 00 и для того
  на кого выписан документ. Для ввода этой информации нужно 
  зайти в список контрагентов, стать подсветкой строки на нужного
  контрагента и нажать клавиши Shift+F2. В появившемся меню для 
  корректировки реквизитов контрагента нужно нажать клавишу F6. Вы перейдёте
  в режим ввода информации с помощью текстового редактора.
   Введите две строки так как показано ниже:

  Лицензия на алкогольную продукцию|0000000
  Период действия лицензии на алкогольную продукцию|дд.мм.гггг-дд.мм.гггг

   Если лицензия для контрагента не введена или дата документа не попадает
  в период действия лицензии - вы не сможете распечатать этот документ.
   
Version: 7.29	Срд Июн  6 11:20:37 EEST 2007

* Фильтр для печати "iceb_ps"
 - исправлена обнаруженная ошибка.

* Подсистема "Заработная плата"
 - удалён устаревший отчёт "Расчёт свода начислений и удержаний по счетам в
   карточках работника"

 - разработан новый отчёт "Расчёт премии."

 - разработано формирование файлов на зарплату для передачи в банк
   "Крещатик".

 - разработан новый отчёт "Перерасчёт налогов".
   Этот перерасчёт предназначен для случая, когда не вовремя были введены в 
   настройки системы новое значение минимальной зарплаты или прожиточного
   минимума. Тоесть налоги были посчитаны со старыми настройками и месяц уже
   закрыт. В этом случае для подоходного налога делается перерасчёт после окончания года и бухгалтер
   может исправить ошибку. Для остальных налогов (пенсионный, соц-страх,
   безработица) такие перерасчёты не делаются. Если бухгалтер захочет он
   может сделать такой перерасчёт с помощью этого отчёта.

* Подсистема "Материальный учёт"
 - усовершенствована подпрограмма оптимизации базы данных.
   Раньше она оптимизировала только 18 таблиц из базы 
   данных. Теперь она будет оптимизировать все таблицы базы данных.

* Программа "starxbu"
 - добавлена возможность оптимизировать таблицы базы данных.

Version: 7.28	Чтв Май  3 09:13:31 EEST 2007

* Подсистема "Заработная плата"
 - исправлена ошибка при выгрузке формы 1ДФ в формате xml.

Version: 7.27	Птн Апр 27 12:46:36 EEST 2007

* Подсистема "Платёжные документы"
 - доработана передача платёжек. Теперь в файле "banki.alx"
   для нужного банка можно настраивать запуск нужных программ, 
   которые могут выполнять нужные клиенту операции с файлами импорта 
   платёжек.

* Подсистема "Материальный учёт"
 - в таблице "Material" увеличен размер колонки "naimat" c 
   60 знаков до 100.
   Для выполнения всех необходимых преобразований в базе данных запустить программу
   "alter"

* Подсистема "Заработная плата"
 - доработан отчёт "Расчёт формы 1ДФ". Теперь программа формурует этот
   отчёт и в формате xml.

 - в файле "zarnast.alx" появились настройки для расчёта удержания 
   однодневного заработка:

  Код удержания дневного заработка|
  Коды начислений не входящие в расчёт удержания дневного заработка|
  Коды табеля не входящие в расчёт удержания дневного заработка|

  Расчёт будет выполняться если введён "Код удержания дневного заработка"

* Подсистема "Учёт кассовых ордеров"
 - в файле настройки "kasnast.alx" появилась новая настройка
 
  Печатать сумму прописью в расходном документе|Выключено

  Эта настройка позволяет включать/выключать печать суммы прописью
  в расходном кассовом ордере в строке в которой сам контрагент должен
  писать сумму прописью

Version: 7.26	Вск Апр 22 09:05:08 EEST 2007

* Подсистема "Заработная плата"
 - в режиме ввода и корректировки формы 1ДФ разработана 
   выгрузка формы в файл формата xml (Shift+F7).

Version: 7.25	Птн Апр 13 11:07:03 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - доработан отчёт "Распечатка списка документов" 
   Теперь в этот отчёт будут попадать только подтверждённые кассовые ордера

Version: 7.24	Чтв Апр 12 12:54:02 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - исправлены обнаруженные ошибки

Version: 7.23	Срд Апр 11 09:33:51 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - исправлены обнаруженные ошибки

Version: 7.22	Чтв Апр  5 11:48:43 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - доработана подпрограмма распечатки расходных кассовых ордеров
   Для контрагентов не работающих на предприятии паспортные данные
   можно ввести в файл с дополнительной информацией по контрагенту.
   Для этого нужно войти в меню корректировки реквизитов по контрагенту 
   (Shift+F2) и нажать клавишу F6. Ввести в файл строку:

   Паспорт|

   Указать в этой строке все данные по паспорту. После этого программа 
   будет брать эти данные для заполнения в кассовый ордер.
   
Version: 7.21	Срд Апр  4 13:41:50 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - исправлены обнаруженные ошибки

* Подсистема "Главная книга"
 - добавлена колонка "ksb" (код суббаланса) в таблицу плана счетов "Plansh"
 - добавлена новая таблица "Glksubbal" - справочник кодов суббаланса
   Для выполнения всех необходимых преобразований в базе данных запустить программу
   "alter"
 - для счетов в плане счетов реализована возможность назначить счёту код
   суббаланса
 - при расчёте главной книги можно указать по какому коду суббаланса нужно
   сделать расчёт
 - разработан расчёт "Ведомости 6.1-п". Для рапечатки этого расчёта появился 
   файл "buh_rnr_v6_1.alx"

Version: 7.20	Птн Мар 30 16:39:23 EEST 2007

* Подсистема "Учёт кассовых ордеров"
 - реализованы режими импорта/экспорта кассовых ордеров в/из файла.
 - появился настроечный файл "kasnast.alx"
   в файле пока одна настройка
   
   Не печатать в расходных ордерах дату и номер документа|Выключено

Version: 7.19	Вто Мар 27 08:43:25 EEST 2007

* Подсистема "Платёжные документы"
 - разработана подпрограмма записи платёжек в таблицу JBKL_SND для передачи
   платёжек в подсистему "Приват 24" 
   Для создания таблицы JBKL_SND нужно скормить программе mysql файл
   /util/tabl_priv_bank.txt задав следующюю команду:

   >mysql -u root -p имябазы < tabl_priv_bank.txt

* Подсистема "Заработная плата"
 - усовершенствова подпрограмма автоматического выполнения проводок
   для начислений на фонды оплаты труда. Появилась возможность делать
   настройку проводок для конкретного начисления.

* Подсистема "Главная книга"
 - Начата разработка серии отчётов "Расчёт налоговых разниц".
   разработан отчёт "Расчёт ведомости 1п". Для расчёта этой ведомости
   применяется настроечный файл "buh_rnr_ved1.alx"

* Подсистема "Платёжные документы"
 - доработана программа выписки доверенностей.
   Появился настроечный файл "dok_dover.alx" в котором можно для разных
   притеров настроить вертикальное смещение текста для точного попадания
   по строчкам доверенности.

* Фильтр "iceb_ps"
 - устранены обнаруженные ошибки.

Version: 7.18	Пнд Мар 19 14:18:24 EET 2007

* Исправлена ошибка в наименовании функции

Version: 7.17	Птн Мар 16 15:10:35 EET 2007

* Подсистема "Заработная плата"
 - разработан отчёт "Расчёт общей суммы доходов."
   Этот отчёт помесячно показывает сумму доходов начисленых работнику в
   подсистеме "Заработная плата" и подсистеме "Учёт командировочных затрат"

* Подсистема "Главная книга"
 - доработан "Расчёт валовых доходов и затрат".
   Теперь расчёт стал двух-проходным и это даёт существенное ускорение
   работы программы.

* Фильтр "iceb_ps"
 - устранены обнаруженные ошибки.
 
Version: 7.16	Чтв Фев 22 09:22:05 EET 2007

* Подсистема "Учёт кассовых ордеров"
 - в режиме просмотра кассовых ордеров за текущий день добалена возможность 
   менять дату на день вперёд или назад. Клавиши F6 и F7.

* Подсистема "Реестр налоговых накладных."
 - реализована возможность удалить записи за любой период времени.
   Записи будут удалены только за периоды даты в которых не заблокированы. 
   Для удалени будет также запрошен пароль.

 - реализована возможность получать реестры прямо из просмотра списка 
   налоговых накладных по клавише F5.

 - изменена форма вывода номера строки в електронный реестр налоговых
   накладных

Version: 7.15	Срд Фев 14 12:22:40 EET 2007

* Подсистема "Учёт основных средств."
 - доработаны подпрограммы формирующие протокол расчёта амортизации.

* Подсистема "Материальный учёт"
 - в таблицу "Sklad" добавилась новая колонка "mi" - метка использования
   склада.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

 - разработана новая программа работы со списком складов, которая позволяет
   отмечать склады как неиспользуемые и получать списки используемых и
   неиспользуемых складов. 
    Это оказалось необходимым, так как
   материально-ответсвенные заводятся как отдельные склады. Когда они
   увольняются они передають свои матералы другому материально-ответсвенному и
   на их складе получаются нулевые остатки. Однако удалить склад из списка
   складов нельзя пока есть в базе данных карточки по этому складу. Для того
   чтобы они не мешали в с писке складов теперь их можно пометить как не
   используемые склады и получать список только использумых/неиспользуемых  складов.

* Подсистема "Заработная плата"
 - добавился настроечный файл "zar_mz_pm.alx"
   В этом файле настраиваются периоды действия величин прожиточного
   минимума, минимальной зарплаты и максимальной суммы с которой расчитываются
   соц. отчисления.

 - нижеперечисленные настройки в файле "zarnast.alx" удалены:

   Минимальная зарплата|400
   Минимальная зарплата на начало года|400
   Прожиточный минимум|525
   Прожиточный минимум на начало года|525
   Ограничения зарплаты для пенсии|525|7875

 - нижеперечисленные настройки в файле "zarppn.alx" удалены
   (применяется для перерасчёта подоходного налога):

   Минимальная зарплата на начало года|400
   Прожиточный минимум на начало года|525
   Ограничения зарплаты для пенсии|150|5050

 - в меню "Настройка программы" работа со всеми настроечными файлами
   возможна после выбора строки "Работа с файлами настройки"
   
 - в файле настройки льгот "zarlgot.alx" добавилась колонка "Дата начала
   действия льготы". Коментарии по поводу этой колонки находятся в этом же 
   файле.

Version: 7.14	Птн Фев  2 14:15:19 EET 2007

* Подсистема "Главная книга"
 - разработан новый отчёт "Акт сверки" по клиенту.  В этом отчёте
   проводки по одному документу суммируються и показываются общей суммой по
   документу. Это относится только к проводкам выполненным к документам из
   подсистем "Материальный учёт", "Учёт услуг", "Учёт основных средств" и
   всех остальных.

* Подсистема "Материальный учёт"
 - в отчёте "Распечатать движение товарно-материальных ценностей по счетам
   списания" добавлена сортировка по коду группы материала с выдачей итогов
   по группе.
 - разработана распечатка приложения к документу. В приложении указано какое
   количество материала выписано и какое количество ещё клиентом осталось
   забрать. Это бывает нужно если выписанное количество материала невозможно
   забрать за один раз. Клиент в этом случае может вывозить материал в течение
   нескольких дней.

* Подсистема "Учёт основных стредств"
 - в отчёте "Распечатка ведомости амортизационных отчислений для бух.учёта"
   добавлена возможность задать в меню для каких материально-ответственных лиц
   нужно получить отчёт.

Version: 7.13	Срд Янв 24 15:11:11 EET 2007

* Подсистема "Расчёт зарплаты"
 - исправлена ошибка при вычислении подоходного налога.

Version: 7.12	Вто Янв 23 15:37:31 EET 2007

* Подсистема "Материальный учёт"
 - в файле настройки "matnast.alx" добавилась новая настройка:

   Дату отгрузки в налоговой накладной ставить всегда|Выключено
   Эта дата по закону ставится только в случае предварительной оплаты.
   У некоторых клиентов налоговая инспекция в нарушение своих же нормативных
   документов требует всегда заполнять эту колонку.

* Подсистема "Учёт услуг"
 - добавилась новая настройка в файле "uslnast.alx"

   В акте выполненых работ подписи только исполнителя и заказчика|Включено

   Некоторые организации не хотят лишних подписей в акте выполненых работ. 
   С помощю этой настройки можно исключить подпись "Руководителя" и "Главного
   бухгалтера".   

Version: 7.11	Чтв Янв 18 16:48:34 EET 2007

* Подсистема "Расчёт зарплаты"
 - изменился принцип расчёта пенсионного отчисления с человека. В связи с
   этим доработана соответствующая подпрограмма.

   Кроме того необходимо сделать перeгруз данных в программу Пенсионного
   фонда Украины со старыми настройками по пенсионному фонду а именно:

   Ограничения зарплаты для пенсии|
   Процент отчисления в пенсионный фонд|

 - в файле настройки для перерасчёта подоходного налога "zarppn.alx" появилось две
   дополнительные настройки:

   Ограничения зарплаты для пенсии|150|4100
   Процент отчисления в пенсионный фонд|1|2

* Режим работы с распечатками документов.
  - в меню появилать строка 
    Переслать файл на Windows машину.
    Вся настройка для этого режима должна находится в файле
    ".iceB/spis_komp.alx", который должен находиться в домашнем каталоге
    оператора.  Пример этого файла:

   --------------------------------------------------
                Файл для настройки передачи распечаток 
                на другие машины работающие под Windows.

Главный бухгалтер|nat|iceb_dok|parol|bankcp
Заместитель      |zam|iceb_dok|parol|bankcp
       |           |     |       |     |
       |           |     |       |     -> имя программы, которая будет копировать 
       |           |     |       -> пароль для доступа к каталогу
       |           |     -> имя каталога куда нужно записать файл       
       |           -> имя машины на которую нужно записать файл
       -> Коментарий                        


	Настроить можно любое количество машин на которые можно копировать файлы. 
Программа копирования запуститься со следуюшими ключами:

bankcp nat  imaf imaf iceb_dok parol
  |     |     |   |       |     |
  |     |     |   |       |     -> пароль
  |     |     |   |       -> имя сетевого диска
  |     |     |   -> под каким именем записать пересылаемый файл
  |     |     ->имя файла который пересылается
  |     -> имя машины куда нужно переслать файл
  -> имя программы, которая осуществляет передачу файла
   --------------------------------------------------------- 

* Подсистема "Главная книга."
 - разработан отчёт "Расчёт валовых доходов и затрат."
   Для настройки этого отчёта появилось два новых настроечных файла
   "buhvdz_d.alx" - для настройки расчёта валовых доходов 
   "buhvdz_z.alx" - для настройки расчёта валовых затрат.
   Должен заметить, что система и раньше позволяла получать 
   валовые доходы и затраты с помощью специальных счетов в плане
   счетов. Один из клиентов попросил разработать эту форму отчёта,
   так как не хотел вводить в план счетов дополнительные счета.

 - разработан расчёт "Звіт про фінансові результати".
   Расчёт выполняется во время расчёта "Главной книги"
   Для выполнения этого расчёта добавилось два настроечных файла
   "glk_balans2.alx"   - форма баланса
   "glk_balsns_n2.alx" - файл для настройки расчёта.

* Подсистема "Учёт основных средств"
 - разработан новый отчёт "Расчёт балансовой стоимости по
   материально-ответственным и счетам учёта"
 - разработан режим позволяющий дооценить основные средства имеющие нулевую
   остаточную стоимость (бух.учёт) на заданный оператором процент от балансовой
   стоимости. Программа автоматически создаст документы на приход, которые
   оператор в дальнейшем может корректировать или удалить. В файле настройки
   для этого режима добавилась строка:

   Код операции дооценки|

* Подсистема "Материальный учёт"
 - добавлена возможность распечатать документ как акт выполненых работ.
   

Version: 7.10	Чтв Ноя  2 11:18:50 EET 2006

* Подсистема "Материальный учёт".
 - в файле "matnast.alx" появилась новая настройка:
   
   Запрет на привязку к карточкам с недостаточным остатком для списания|Выключено
   
   Если включить эту настройку то программа не даст привязать запись в
   расходном документе к карточке на которой остаток меньше чем в записи
   документа. 

Version: 7.9	Вто Окт 17 09:28:58 EEST 2006

* Подсистема "Реестр налоговых накладных".
  - доработан режим получения реестра.
    Программа в домашнем каталоге оператора создаёт подкаталог "iceB/nal_nak_xml"
    В этот каталог выгружаются файлы c налоговыми накладными в формате *.xml.
    Программа при формировании реестра налоговых накладных удаляет из этого
    каталога все файлы с расширением *.xml и создаёт новые файлы с
    налоговыми накладными. Каждая налоговая накладная в отдельном файле.
    Выгружатся будут только накладные для записей, которые были импортированы из
    бух-учёта. Естественно что для записей, которые были введены в реестр
    вручную, накладные выгружатся не будут.

* В файле настройки "nastsys.alx" появилась новая 
  строка

  Перекодировка файлов в WINDOWS кодировку|tcod -kw


Version: 7.8	Пнд Окт  2 15:08:03 EEST 2006

* Подсистема "Материальный учёт"
 - в отчёте "Распечатать остатки на всех карточках." добавилать колонка
   "Конечная дата использования.
* Подсистема "Реестр налоговых накладных."
 - доработан режим "Распечатать реестр налоговых накладных."
   Теперь формируются не только распечатки, но и файл в формате *.xml для
   сдачи этого отчёта в налоговую на дискете.
 - добавился настроечный файл "rnn_nast.alx".

* Подсистема "Учёт основных средств."
 - разработаны новые отчёты - "Расчёт ведомости остаточной стоимости (налоговый
   учёт)." "Расчёт ведомости отстаточной стоимости (бухгалтерский учёт)."

* Подсистема "Учёт командировочных расходов"
 - разработан новый отчёт "Распечатать список командировочных документов."
 - доработан отчёт "Распечатать ведомость по контрагентам."

* Подсистема "Учёт кассовых ордеров".
 - в таблицы "Kasop1" и "Kasop2" добавлена новая колонка "kcn" - код
   целевого назначения.
 - разработаны таблица "Kascn" для ввода списка целевых назначений
   расходования денежных средств.
 - разработана таблица "Kascnsl" дла ввода сальдо по целевым назначениям.
 - разработан отчёт "Распечатка целевой кассовой книги."

   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Программа "saldo"
 - разработана подпрограмма переноса сальдо по кодам целевого назначения для
   подсистемы "Учёт кассовых ордеров."

Version: 7.7	Срд Сен 13 14:42:25 EEST 2006

* Подсистема "Реестр налоговых накладных."
 - исправлена ошибка при распечатке реестра полученных накладных по группам

* Подсистема "Заработная плата"
 - удалена подпрограмма расчёта отпускных преподавателя, так как эти
   отпускные считаются так же как у всех. Удалён настроечный файл
   "zarrlop.alx".

Version: 7.6	Пнд Сен 11 16:04:30 EEST 2006

Исправлены ошибки связанные с предыдущей доработкой.

Version: 7.5	Пнд Сен 11 13:48:45 EEST 2006

* Подсистема "Материальный учёт"
 - доработан режим работы со списком материалов.
   по клавише Shift+F7 можно получить список материалов имеющих ненулевой
   остаток.
 - в файле настройки "matnast.alx" появилась строка:

   Показывать только материалы имеющие остаток|Выключено

   Если эту настройку включить, то для расходных документов при входе 
   в режим просмотра материалов будет включён режим Shift+F7.

Version: 7.4	Чтв Сен  7 10:24:30 EEST 2006
* Подсистема "Заработная плата"
 - исправлена ошибка в подпрограмме работы со списком начислений

* Подсистема "Главная книга"
 - доработан "Расчёт по заданным спискам дебетовых и кредитовых счетов"
   Теперь можно указать для каких счетов находящихся в списке "Дебеты счетов"
   нужно отнимать кредит этих счетов.

Version: 7.3	Вто Авг 22 09:53:03 EEST 2006

* Подсистема "Материальный учёт"
 - исправлена ошибка при вводе услуг в документ.


Version: 7.2	Птн Авг 18 10:27:37 EEST 2006

* Подсистема "Главная книга"
 - разработан отчёт "Расчёт видов затрат по элементам."
   Настроечный файл для этого расчёта "buhrpz.alx"
 - разработан отчёт "Расчёт по спискам групп контрагентов."
   Настроечный файл для этого расчёта "buhgsp.alx"

* Подсистема "Материальный учёт"
 - в таблицу "Dokummat3" добавлено колонку "ku" и колонку "nz".
   Это позволит в режиме ввода услуг в документ указывать коды услуг и 
   получать при необходимоси отчёт о количестве тех или иных оказанных услуг
   за любой период времени.
   
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter
 - разработан отчёт "Распечатать движение услуг."
   
Version: 7.1	Вто Авг  1 12:23:03 EEST 2006

* Мелкие доработки

Version: 7.0	Вто Авг  1 12:01:02 EEST 2006

* Подсистема "Материальный учёт".
 - удалены отчёты формирующие книги покупки и продажи товаров и услуг, так
   как они законодадельно отменены.

* Подсистема "Главная книга"
 - доработан ""Расчёт распределения административных затрат на
   прибыль." Появилась возможность указывать счёта кореспонденты. 
   Смотри файл "buhrznp.alz".

* Подсистема "Заработная плата"
 - доработан режим расчёта командировочных,
   убрана настройка в файле "zarnast.alx"

   Код табеля командировочных|
   
   Теперь нужный код табеля должен быть введён 
   в списке начислений для начисления командировочных
   расходов. Кроме того в настройке "Код командировочного начисления"
   через запятую может быть введено любое количество кодов.
   Это сделано для того, чтобы можно было считать разные виды
   командировочных расходов, если в этом есть необходимость.
      
Version: 6.42	Вто Июл 18 14:08:51 EEST 2006

* Подсистема "Заработная плата"
 - мелкие дорабоки для учёта прав доступа

Version: 6.41	Птн Июл 14 11:26:50 EEST 2006

* Подсистема "Учёт услуг"
 - усовершенствована подпрограмма автоматического выполнения проводок для
   приходных документов. Добавлена ещё одна насторойка для выполнения проводок.
   Смотри файл "avtprouslp.alx".

* Подсистема "Учёт командировочных расходов"
 - разработан новый отчёт "Распечатать свод счёт-код затрат"

* Подсистема "Главная книга"
 - разработан отчёт "Расчёт по заданным спискам дебетовых и кредитовых
   счетов." Все настройки для этого расчёта находятся в файле "buhsdkr.alx".
 - разработан отчёт "Расчёт распределения административных затрат на
   прибыль." Настройки для этого отчёта находятся в файле "buhrznp.alx".

* Подсистема "Заработная плата"
 - в файле "zar1-pv.alx" появилась дополнительная настройка.

* Подсистема "Материальный учёт"
 - в файле настройки "matnast.alx" добавилась новая настройка:

   Коды операций расходов для которых запрещен выход из документа без проводок|
   
   Здесь через запятую указываются коды расходных операций, для которых
   программа не будет позволять оператору выйти из подтверждённого
   документа, если не сделаны проводки к этому документу.

Version: 6.40	Вто Июн 13 08:08:55 EEST 2006

* Подсистема "Учёт командировочных расходов"
 - в таблицу "Ukrdok1" добавлено новое поле "sn" - счёт НДС
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Подсистема "Платёжные документы"
 - разработана подпрограмма экспорта платёжек для "Укрсоцбанка"
 - разработана подпрограмма экспорта платёжек в систему iBank 2 UA

* Подсистема "Заработная плата"
 - в таблицу Zarp добавлено новое поле "nd" - номер документа
 - разработана новая таблица "Zardok" для ввода нарядов.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter
 - разработан режим "Работа с нарядами".
 - доработана подпрограмма расчёта должносного оклада. Теперь можно задать
   счёт на который должен относится должностной оклад. Смотри файл
   zardolhn.alx


Version: 6.39	Пнд Май 29 09:12:10 EEST 2006

* Подсистема "Заработная плата"
 - доработан режим удержания по кредиту (файл zarkredit.alx). Теперь можно
   задать не только фиксированную сумму удержания, но и
   процент от начисленой суммы.

Version: 6.38	Птн Май 12 07:35:40 EEST 2006

* Подсистема "Платёжные документы"
 - доработана подпрограмма экспорта платёжки для Б2 bank On Line

Version: 6.37	Чтв Май 11 08:01:12 EEST 2006

* Подсистема "Платёжные документы"
 - исправлена ошибка при экспорте платёжки для Б2 bank On Line

Version: 6.36	Срд Май 10 09:40:04 EEST 2006

 - настройки для расчёта средней зарплаты для начисления больничного
   перенесены из файла "zarnast.alx" в отдельный файл "zarsrbol.alx"
   Доступ к настройкам осуществляестя из меню расчёта средней зарплаты 
   по клавише F5 
   Добавилась ещё одна настройка для расчёта начисления больничного
   (смотри файл zarsrbol.alx)
   Переделан расчёт с учётом новой настройки.
   
* Подсистема "Платёжные документы"
 - существенно переделан режим работы с документом, с целью увеличения
   надёжности работы программы
 - добавлена возможность экспортировать платёжки в формате необходимом
   для системы Б2 bank On Line

* Подсистема "Материальный учёт"
 - разработана распечатка акта выполненых работ для авторемонтных
   предприятий


Version: 6.35	Вто Апр 18 14:17:47 EEST 2006

* Подсистема "Учёт путевых листов"
 - очередная доработка в отчёте "Распечатка реестра путевых
   листов по автомобилям"

*Подсистема "Реестр налоговых накладных"
 - сделана разбивка на листы. Сделано это для струйных принтеров, так как там не всегда
   помещается 64 строки на листе

Version: 6.34	Пнд Апр 17 10:38:00 EEST 2006

* Подсистема "Учёт путевых листов"
 - исправлена обнаруженная ошибка в отчёте "Распечатка реестра путевых
   листов по автомобилям"

* Исправлена ошибка при построении системы с разделяемыми библитеками

Version: 6.33	Вск Май 14 12:28:36 EEST 2006

* Подсистема "Учёт путевых листов"
 - исправлена обнаруженная ошибка в отчёте "Распечатка реестра путевых
   листов по автомобилям"

Version: 6.32	Суб Май 13 09:27:19 EEST 2006

* Подсистема "Учёт путевых листов"
 - изменён тип колонок pr,przg в таблице Upldok2
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Подсистема "Учёт основных средств"
 - в отчёте "Распечатка ведомости движения основных средств" разработана 
   дополнительная форма, которая помещается на лист формата А4

Version: 6.31	Срд Апр  5 13:59:59 EEST 2006

* Доработана подпрограмма контроля правильности ввода дат.
  Теперь ввод даты будущего периода не является ошибкой.

Version: 6.30	Вто Апр  4 12:58:59 EEST 2006

* Подсистема "Материальный учёт"
 - в таблице Kart добавилось новое поле dat_god - Конечная дата
   использования материалла.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

Version: 6.29	Пнд Мар 27 16:51:09 EEST 2006

* Подсистема "Учёт путевых листов"
 - исправлена обнаруженная ошибка

* Подсистема "Учёт командировочных расходов"
 - исправлены обнаруженные ошибки

* Подсистема "Учёт основных средств"
 - добавлен новая форма в отчёте "Распечатка ведомости износа и остаточной
   стоимости"

Version: 6.28	Вто Мар 21 10:04:23 EET 2006
* Исправлены обнаруженные ошибки.

Version: 6.27	Пнд Мар 20 18:34:19 EET 2006
* Исправлены обнаруженные ошибки.

Version: 6.26	Пнд Мар 20 14:46:12 EET 2006

* Подсистем "Платёжные документы"
 - разработана подпрограмма для экспорта платёжек в подсистему Клиент-банк
   для УкрЕксим банка.

* Добавились настроечные файлы для ввода часто встречающихся коментариев для 
  всех подсистем - spisok_koment_*.alx 
  При выполнении проводок вручную можно по клавише F5 настроить список
  коментариев к проводкам. По клавише F6 можно плучить этот список для выбора нужного
  коментрия.

* Подсистема "Материальный учёт"
 - удалось дополнительно сжать узкий отчёт ("Распечатать движение
   товарно-материальный средств (форма 1)") и добавить в него колонку
   "Дата последнего получения"

* Подсистема "Учёт основных средств"
 - необходимо заменить файл uoskar.alx. Форма сделана на два
   символа короче, что позволяет печатать её в ландшафтной ориентации.
 - ведомости износа и остаточной стоимости, ведомости аморт-отчислений 
   переделаны для печати в ландшафтной ориентации

Version: 6.25	Пнд Мар  6 16:00:55 EET 2006

* Подсистема "Главная книга"
 - в таблицу Prov добавлена колонка tz (1-приходный документ 2-расходный)
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter
 - усовершенствован режим "Проверки логической целосности базы данных",
   теперь программа будет проверять есть ли в наличии документы для которых
   выполнены проводки.
 - во время расчёта "Главной книги и оборотного баланса" программа делает
   дополнительно еще распечатки отчётов для печати в ландшафтной ориентации.
   Такая печать возможна после установки новой версии фильтра iceb_ps.

* Программа переноса сальдо saldo
 - доработана подпрограмма переноса сальдо для подсистемы "Учёт путевых
   листов". 

* Подсистема "Материальный учёт"
 - усовершенствован отчёт "Расчёт списания материаллов по контрагентам"
   Раньше отчёт делался только для расходных документов, а теперь и для
   приходных.

* Фильтр iceb_ps
 - усовершенствована работа фильтра. Теперь он может распечатывать файлы 
   в ландшафтной ориентации. Предусмотрено два способа установки ландшафтной 
   печати (смотри файл с описанием /util/iceb_ps.txt). 
   1 если указан ключ -l при запуске фильтра
   2 если в начале файла две подряд команды на установку межстрочного
     расстояния в 1/6 дюйма
   Если файл в ландшафтной ориентации по ширине не помещается, то то что 
   не поместилось переносится на следующий лист.

 - в файле nastsys.alx появилась новая настройка:
   Количество строк на стандартном листе в ориентации ландшафт|

* Подсистема "Расчёт зарплаты"
 - в файле zarproc.alx добавилась навая возможность настройки.
   В поле "Табельный номер" можно ввести код подразделения для 
   для работников которого будет выполнятся расчёт. Например:

   под-ние 17|  
      |     |
      |     -> код подразделения
      -> признак настройки

   Между признаком настройки "под-ние" и кодом подразделения должен быть
   только один пробел.

Version: 6.24	Срд Фев 22 11:42:27 EET 2006

* Подсистема "Расчёт зарплаты"
 - для бюджетных организаций в файл zarnast.alx добавлены настройки для
   бюджетных организаций:

   Дополнительный зарплатный счёт|663
   Начисления, для которых проводки выполняются по дополнительному счёту|

* Подсистема "Главная книга"
 - в режиме выполнения проводок можно включить/выключить клавишей F7 расчёт
  сальдо по счёту, для которого выполняются проводки. Появилась также
  возможность просмотра проводок по счёту, для которого делаются проводки в
  заданном диапазоне дат по клавише Shift+F4.

* Подсистема "Главная книга"
 - разработан новый отчёт. Можно расчитать шахматку по любому заданному
   оператором списку счетов. Список счетов вводится в файл buhhah.alx
 - в режиме ввода и корректировки сальдо по счетам появилась возможность
   импортировать стартовые сальдо по счетам из файла.
  
Version: 6.23	Пнд Фев  6 14:10:01 EET 2006

* Подсистема "Главная книга"
 - разработана передача сумм на карт-счета персонала для Укрэксимбанка.
 - разработана передача сумм на карт-счета персонала для Укрсиббанка.
* Исправлена ошибка в программе переноса сальдо для материального учёта

Version: 6.22	Чтв Янв 19 12:29:47 EET 2006

* Подсистема "Расчёт зарплаты"
 - исправлена ошибка в отчёте "Распечатать список работников имеющих
   начисление или удержание"
 
Version: 6.21	Чтв Дек 29 20:42:19 EET 2005

* в файл настройки nastsys.alx добавлены новые строки
  Ключ для указания имени принтера|-Р
  Ключ для указания количества копий|-#


Version: 6.20	Срд Дек 28 14:33:18 EET 2005

* Подсистема "Материальный учёт"
 - появилься дополнительный настроечный файл matnakend.alx в который можно
   ввести текст которых будет распечатан в конце накладной.

Version: 6.19	Срд Дек 14 11:31:50 EET 2005

* Подсистема "Материальный учёт"
 - разработан новый отчёт "Расчёт остатков на складах и счетах учёта".

Version: 6.18	Чтв Дек  8 14:31:50 EET 2005

* Фильтр iceb_ps
 - увеличена длинна строки в документе которую может обработать программа до
   10240 символов

* Подсистема "Учёт основных средств"
 - в файл настройки uosnast.alx добавилась настройка

   Группы бух. учёта с альтернативным вариантом расчёта|

   Обычно клиенты считают амортизацию по одному из вариантов расчёта под
   номеном 1 или 2. Одному из моих клиентов понадобилось считать одну группу
   бухгалтерского учёта не так как все, то есть по альтернативному варианту.

* Подсистема "Материальный учёт"
 - разработан новый отчёт "Расчёт списания материаллов по контрагентам".

Version: 6.17	Срд Ноя 16 13:33:39 EET 2005

* Подсистема "Главная книга"
 - исправлена внесённая ошибка при расчёте журнал-ордера для счетов со
   свёрнутым сальдо

* Подсистема "Расчёт зарплаты"
 - для настройки перерасчёта подоходного налога добавился
   файл zarppn.alx

Version: 6.16	Пнд Ноя 14 09:58:51 EET 2005

* Подсистема "Материальный учёт"
 - в файлы настройки matnast.alx, uslnast.alx, uosnast.alx добавлена
   строка с настройкой для распечатки налоговых накладных.

  Пункт закона освобождения от НДС для операции NN|
  #Настройка для выполнения пукта 7.2.2 закона об НДС
  #Вместо "NN" вводится код операции для которой нужно настроить попадание 
  #введённой информации в строчку VІ, колонку 10 налоговой накладной, как это требует закон.
  #После символа "|" вводится любой текст который должен попасть в эту колонку.
  #Например:
  #Пункт закона освобождения от НДС для операции РП|Без НДС пункт 5.1.1
  #Количество строк с операциями не ограничено.

 

Version: 6.15	Чтв Ноя  3 08:55:26 EET 2005

* Фильтр iceb_ps
 - Добавлен ключик -с, который позволяет печатать без переноса на следующий 
   лист того что не поместилось по ширине на А4.

* Подсистема "Платёжные документы"
 - в настройке банков для передачи платёжных поручений добавился
   "Укрпромбанк"

* Подсистема "Расчёт зарплаты"
 - в файле zarsdf1df.alx усовершенствована настройка счетов для поиска 
   проводок на нужный признак дохода. Удалена настройка 
   
   Счёт учёта частных предпринимателей|
  
   Вместо неё нужно пользоваться универсальной настройкой
 
   Счета для поиска доходов по коду NN|

   Добавлена настройка 

   Коды удержаний не входящие в форму 1ДФ|

 - разработан отчёт по зарплате пенсионеров и инвалидов
   
   
* Подсистема "Учёт основных средств"
 - разработан отчёт, который требует МВД Украины от своих предприятий

Version: 6.14	Пнд Окт 10 13:16:44 EEST 2005

* Внимание !!!
  Разработан новый фильт для конвертирования распечаток в PostScript
  формат. Фильтр iceb_ps отличается от предыдущего тем,что он контролирует
  ширину распечатки и если она не помещаестя на формате А4, то то, что не
  влезло переносится на следующий лист. Таким образом можно распечатывать 
  файлы любой ширины на листах формата А4. После распечатки их можно
  склеить и получить широкоформатный документ отпечатанный на формате А4.
  Для построения программы нужно зайти в каталог /util и дать команду:

  make -f iceb_ps.mak

  Эту программу можно использовать также как и предыдущий фильтр icebtops.
  Для работы программы не нужны настроечные файлы. В случае если нужно 
  будет грузить фонты в принтер, нужно файл iceb_ps_fonts.ps положить в
  каталог /etc/hp

* В файле системных настроек nastsys.alx добавилось две новые 
  настройки

  Просмотрщик PostScript файлов|gv
  Фильт Epson->PostScript|iceb_ps

  Если введены эти настройки то в меню работы с файлами полученных отчётов
  появится строкa - "Перегляд перед друком.". Это позволяет увидеть как будут 
  отпечатаны файлы. Кроме того, программа gv позволяет выборочно печатать
  нужные страницы. Работать это будет только если программа работает 
  под X-WINDOW.

Version: 6.13	Птн Окт  7 08:55:49 EEST 2005

* Подсистема "Материальный учёт"
 - в режиме работы с документом, в меню по клавише F8 появилась 
   возможность экспортировать кассовый ордер в подсистему "Учёт кассовых
   ордеров".

Version: 6.12	Срд Окт  5 19:23:56 EEST 2005

* Подсистема "Расчёт зарплаты"
 - доработан режим расчёта индексации зарплаты

Version: 6.11	Чтв Сен 29 09:52:52 EEST 2005

* Подсистема "Реестр налоговых накладных"
 - переделана работа с реестром полученных налоговых накладных
   Создана отдельная таблица для реестра полученных налоговых накладных
   Reenn1. В таблице для реестра выданных налоговых накладных Reenn удалена
   колонтка tp и переделаны индексы.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter


Version: 6.10	Вто Сен 27 17:13:34 EEST 2005

* Подсистема "Материальный учёт"
 - исправлена ошибка при расчёте входимости компонентов в изделие

Version: 6.9	Вто Сен 27 11:52:59 EEST 2005

* Подсистема "Расчёт зарплаты"
 - добавлена возможность импортировать начисления из подсистемы "Учёт
   командировочных расходов".

* Подсистема "Платёжные документы"
 - косметические изменения в бланке платёжного поручения
   Необходимо заменить файл platp.alx

Version: 6.8	Чтв Сен 22 10:34:16 EEST 2005

* Подсистема "Материальный учёт"
 - появилась новая настройка в файле matnast.alx

   Нумерация налоговых накладных обновляется каждый месяц|Выключено
   В некоторый организациях нумерация налоговых накладных обновляется каждый
   месяц.
* Подсистема "Реестр налоговых накладных" 
 - устранены обнаруженные ошибки

Version: 6.7	Срд Сен 21 14:20:35 EEST 2005

* Подсистема "Платёжные документы"
 - доработан режим выписки доверенностей. Теперь длинные адреса предприятий
   будут печататься уплотнённым шрифтом, для того, чтобы уместились на бланке

* Подсистема "Реестр налоговых накладных"
 - добавлены таблицы Reegrup1 и Reegrup2 для введения списка групп документов
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter
 - при вводе документа можно указать к какой группе он принадлежит
 - можно получить отчёты для соответствующих групп документов
 - можно получить отчёт только по полученным или только по выданным
   документам 
 - при импорте полученых налоговых накладных будут импортироваться записи из
   подсистемы "Учёт командировочных расходов".

* Подсистема "Учёт командировочных расходов"
 - в таблицу Ukrdok1 добавлено две новых колонки, которые позволяют вводить
   два необязательных реквизита:

   Код контрагента для реестра налоговых накладных
   Номер документа

   Если оператор будет заполнять эти реквизиты, то эти записи бутут
   импортироваться в реестр налоговых накладных.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Подсистема "Материальный учёт"
 - добавлен режим выписки доверенности в меню работы с документами
 - при расчёте реестра полученных налоговых накладных данные берутся ещё и
   из подсистемы "Учёт командировочных расходов"   

Version: 6.6	Пнд Сен 12 15:56:07 EEST 2005

* Доработана выписка довереннострей
* Исправлена ошибка при получении сальдо по контрагенту

Version: 6.5	Птн Сен  9 11:24:28 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправлена ошибка в расчёте оборотной ведомости движения топлива

* Подсистема "Реесть налоговых накладных"
 - исправлены обнаруженные ошибки при импорте документов и в отчёте

Version: 6.4	Чтв Сен  8 12:30:46 EEST 2005

* Подсистема "Учёт путевых листов"
 - разработан режим "Проверка логической целосности базы данных."

* Подсистема "Расчёт зарплаты"
 - исправлена ошибка в режиме автоматической разноски зарплаты с учётом
   сальдо

Version: 6.3	Пнд Сен  5 08:26:47 EEST 2005

* Выполнены мелкие доработки по просьбе клиента.

Version: 6.2	Чтв Сен  1 16:17:59 EEST 2005

* Разработана новая подсистема "Реестр налоговых накладных."
  - запустить программу alter для создания нужной таблицы.
  - появился файл для блокировки дат в этой подсистеме rnn_blok.alx
  - появились файлы в документации описывающие работу этой подсистемы

* Добавлена новая колонка pn (процент НДС действовавший на момент создания
   документа) в таблицы Dokummat Usldokum Uosdok
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Для формирования реестра налоговых надкладных добавился файл rpvnn0.alx и
  изменён файл rpvnn1.alx его нужно заменить на новый.

Version: 6.1	Суб Авг 27 20:03:04 EEST 2005

* Устранены ошибки не позволяющие построить программу kassa

Version: 6.0	Суб Авг 27 11:56:45 EEST 2005

* Поддержка торговых устройств вынесена из iceB. Теперь это отдельный
  пакет torgdev

* Подсиcтема "Учёт услуг"
 - усовершенствован формат импорта документов.

* Подсистема "Расчёт зарплаты"
 - усовершенствован режим автоматической разноски зарплаты
   В файл настройки zarnast.alx добавилась настройка:

   Код получения зарплаты в кассе|
   Код удержания с помощю которого проводится получение зарплаты в кассе

   В результате выполненной доработки теперь при автоматической розноске
   зарплаты работникам у которых в карточку введён номер карт-счёта,
   удержание будет выполняться по коду перечисления на счёт. У работников в
   карточках которых не введён карт-счёт удержание будет выполнятся ко коду
   получения зарплаты в кассе.

Version: 5.147	Чтв Авг 18 10:26:50 EEST 2005

* Подсистема "Материальный учёт"
 - исправлены обнаруженные ошибки в "Реестре полученных и выданных налоговых
   накладных"

Version: 5.146	Вто Авг 16 14:07:43 EEST 2005
*Исправлены мелкие ошибки

Version: 5.145	Вто Авг  9 14:38:13 EEST 2005

* Подсистема "Материальный учёт"
 - в отчёте "Реестр налоговых накладных" добавлена возможность задать коды
   операций

Version: 5.144	Пнд Авг  8 10:36:01 EEST 2005

* Подсистема "Расчёт зарплаты"
 - для Укрпромбанка разработана возможность передавать по сети на другую
   машину файл с суммами, которые должны быть зачислены на карт-счета, для
   загрузки в соответствующюю программу, которую банк должен установить на 
   этот комъютер. Добавился настроечный файл zvb_ukrprom.alx
 - усовершенствован алгоритм режима "Автоматическая розноска полученной
   зарплаты". При запучке расчёта с учётом сальдо, программа будет выполнять
   разноску с учётом уже выплаченной зарплаты.

Version: 5.143	Срд Авг  3 08:41:46 EEST 2005

* Подсистема "Материальный учёт"
 - разработана подпрограмма получения "Реестра выданных и полученных
   налоговых накладных". Для получения этого отчёта появились два файла 
   rpvnn1.alx и rpvnn2.alx.

Version: 5.142	Чтв Июл 28 18:29:51 EEST 2005

* В соответствии с приказом Государственной налоговой администрации Украины 
  N 244 от 30.06.2005 переделана форма налоговой накладной.
  Необходимо заменить файлы "nakl.alx" и "nakls.alx" на новые.

Version: 5.141	Срд Июл 27 14:05:52 EEST 2005

* Подсистема "Расчёт зарплаты"
 - разработана подпрограмма для выгрузки данных для зачисления сумм на
   картсчета работников в формате Укрэксимбанка
 - исправлены обнаруженные ошибки в отчётах
 - доработана подпрограмма расчёта формы 1ДФ. Теперь можно 
   настроить получение данных из "Главной книги" для любого кода
   признака дохода, который не проходит через зарплату.
   Для этого внесены необходимые изменения в настроечный файл 
   zarsdf1df.alx

* Подсистема "Платёжные документы"
 - в файле настройки nastdok.alx добавилась новая настройка

  Код контрагента для платёжного поручения|

  По умолчанию берутся в платёжку реквизиты контрагента с кодом "00". 
  Если будет в этой строке введен другой код контрагента, то его
  реквизиты будут взяты в платёжку.

Version: 5.140	Чтв Июл  7 08:48:29 EEST 2005

* Подсистема "Расчёт зарплаты"
 - разработана подпрограмма для выгрузки данных для зачисления сумм на
   картсчета работников в формате Укрпромбанка
 - исправлена ошибка приводящая к аварийному завершению программы во время
   автоматического расчёта удержаний по всем карточкам

Version: 5.139	Вто Июн 28 19:36:17 EEST 2005

* Подсистема "Учёт путевых листов"
 - разработан новый отчёт

Version: 5.138	Пнд Июн 27 11:56:00 EEST 2005

* Подсистема "Учёт путевых листов"
 - выполнены доработки позволяющие передавать топливо с одного автомобиля на
   другой

Version: 5.137	Птн Июн 24 08:21:41 EEST 2005

* Подсистема "Учёт путевых листов"
 - мелкие доработки в отчётах.
 - реализована возможность списания топлива в путевом листе вручную
 - исправлены обнаруженные ошибки

Version: 5.136	Чтв Июн 23 09:02:49 EEST 2005

* Подсистема "Учёт путевых листов"
 - мелкие доработки в отчётах.

Version: 5.135	Срд Июн 22 12:37:36 EEST 2005

* Подсистема "Учёт путевых листов"
 - мелкие исправления

* Подсистема "Расчёт зарплаты"
 - исправлены ошибки в реестре почтовых переводов алиментов

Version: 5.134	Срд Июн 22 07:57:58 EEST 2005

* Подсистема "Учёт путевых листов"
 - в таблицы Upldok и Upldok1 введена новая колонка
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter
 - реализована возможность вводить в один и тотжe день на один и тотже автомобиль
   любое количество путевых листов. Путевые листы должны вводиться в тойже
   очерёдности как они выписывались.

Version: 5.133	Вто Июн 21 10:09:29 EEST 2005

* Подсистема "Расчёт зарплаты"
 - переделан расчёт реестра почтовых переводов алиментов.
   Добавлено два настороечных файла zar_pp_start.alx и zar_pp_end.alx в
   которых находится соответцтвенно шапка и концовка документа
 - Внимание !!!! Переделан настроечный файл zaralim.alx для расчёта
   алиментов и почтового сбора

Version: 5.132	Вто Июн 14 10:57:28 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправлены обнаруженные ошибки.

Version: 5.131	Птн Июн 10 08:09:27 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправлены обнаруженные ошибки.

Version: 5.130	Чтв Июн  9 11:38:35 EEST 2005

* Подсистема "Учёт путевых листов"
 - разработан новый отчёт "Распечатать реестр путевых листов по
   автомобилям."

Version: 5.129	Срд Июн  8 08:08:46 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправлены обнаруженные ошибки в отчётах

Version: 5.128	Вто Июн  7 09:43:53 EEST 2005

* Подсистема "Учёт путевых листов"
 - выполнены мелкие доработки

Version: 5.127	Пнд Июн  6 11:06:06 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправслены обнаруженные ошибки

Version: 5.126	Пнд Июн  6 09:13:21 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправслены обнаруженные ошибки

Version: 5.125	Птн Июн  3 08:33:40 EEST 2005

* Подсистема "Учёт путевых листов"
 - выполнены доработки для правильного отображения остатков при смене
   водителя на автомашине.

Version: 5.124	Чтв Июн  2 11:36:31 EEST 2005

* Подсистема "Учёт путевых листов"
 - исправлены все обнаруженные ошибки
 - разработаны новые варианты уже существующих отчётов

Version: 5.123	Вто Май 31 12:41:27 EEST 2005

* Подсистема "Учёт путевых листов"
 - в таблицы Uplmtsc и Upldok добавлены новые колонки.
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Подсистема "Расчёт зарплаты"
 - разработана подпрограмма выгрузки данных для начисления на картсчета для
   "Кредитпромбанка"

Version: 5.122	Птн Май 27 09:21:30 EEST 2005

* Подсистема "Учёт путевых листов"
 - в таблицы Uplavt, Upldok, Upldok2 и Uplmt добавлены новые колонки.
   Добавлена новая таблица Uplmtsc. 
   Для выполнения всех необходимых преобразований в базе данных запустить программу alter

* Подсистема "Главная книга"
 - усовершенствована настройка для получения баланса формы 1

* Подсистема "Расчёт зарплаты"
 - расчёт формы 1ДФ. Доработана настройка по 06 коду. 
   Теперь можно указывать любое количество пар счетов

 - из файла zarnast.alx в файл zarsdf1df.alx перенесены следующие настройки

  Счет учета частных предпринимателей|
  Коды не входящие в форму 1ДФ|
  Физическое лицо|Выключено
  Имя DBF файла|DA0228
  Номер распечатки|1
  Код налоговой инспекции|13344037
  Название налоговой инспекции|Державна податкова інспекція у м.Вінниці

Version: 5.121	Пнд Апр 25 07:29:15 EEST 2005

* Подсистема "Расчёт зарплаты"
 - доработботана подрограмма расчёта формы 1ДФ с целью увеличения
   быстродействия

Version: 5.120	Птн Апр 22 11:32:46 EEST 2005

* Подсистема "Расчёт зарплаты"
 - в режиме работы с формой 1ДФ появилась возможность осуществлять поиск
   по коду дохода
 - в файде настройки расчёта формы 1ДФ (zarsdf1df.alx) появилась новая настройка
   Счета для поиска доходов по коду 16|
   Применяестся в случае если эти доходы не проходят через подсистему 
   "Расчёт зарплаты". Эта настройка позволяет взять их из подсистемы
   "Главная книга".

Version: 5.119	Вто Апр 19 15:55:45 EEST 2005

* Исправлены мелкие ошибки

Version: 5.118	Вто Апр 12 20:03:40 EEST 2005

* Подсистема "Расчёт зарплаты"
 - сделана доработка расчёта формы 1ДФ. По 27 признаку доходов в файле
   настройки указываются коды гос. фондов социального страхования.


Version: 5.117	Птн Апр  8 14:41:36 EEST 2005

* Подсистема "Учёт услуг"
 - обнаружена ошибка в формате уникальных индексов для таблиц Usldokum1 и
   Usldokum2. Ошибка исправсляетс с помощю программы "alter"

Version: 5.116	Пнд Апр  4 08:25:37 EEST 2005

* Подсистема "Учёт кассовых ордеров"
 - реализована возможность распечатать все найденные ордера из просмотра
   журнала ордеров
* Подсистема "Платёжные документы"
 - добавлена вожможность передавать платёжки в подсистему "Первого
   инвестиционного банка"
* Подсистема "Расчёт заработной платы"
 - реализована возможность загружать кассовые ордера в подсистему "Учёт
   кассовых ордеров" для каждого человека в отдельности.

Version: 5.115	Птн Мар 25 07:54:18 EET 2005

* Подсистема "Расчёт зарплаты"
 - разработан новый отчёт "Расчёт свода начислений и удержаний".
 
* Подсистема "Учёт услуг"
 - в таблицу Usldokum1 добавлена новая колонка "shsp" 
   Вставку колонки выполняет программа "alter".
 - разработаны отчёты "Движение услуг по счетам получения/списания."

* Подсистема "Материальный учёт"
 - разработан отчёт "Движение материалов по счетам списания."

Version: 5.114	Чтв Мар 17 15:26:39 EET 2005
* Подсистема "Главная книга"
 - разработан новый отчёт - Додаток до Положення (стандарту) бухгалтерського
   обліку 2
 - добавлено два файла glk_balans.alx и glk_balans_n.alx

Version: 5.113	Пнд Мар 14 08:22:37 EET 2005

* Подсистема "Главная книга"
 - исправлена привнесённая ошибка при печати главной книги и оборотного
   баланса (неправильная разбивка по листам)

Version: 5.112	Птн Мар 11 18:14:42 EET 2005

* Подсистема "Расчёт зарплаты"
 - исправлены обнаруженные ошибки

Version: 5.111	Срд Мар  9 10:41:19 EET 2005

* Подсистема "Расчёт зарплаты"
 - переделан перерасчёт подоходного налога в соответствии с разъяснениями
   налоговой

Version: 5.110	Чтв Мар  3 13:28:44 EET 2005

* Подсистема "Расчёт зарплаты"
 - доработана для "Проминвест Банка" распечатка списка сумм для
   зачисления на карт-счета 
 - исправлены мелкие ошибки

Version: 5.109	Пнд Фев 28 08:31:23 EET 2005

* Подсистема "Расчёт зарплаты"
 - исправлена ошибка при расчёте профсоюзного взноса

Version: 5.108	Вск Фев 27 19:23:45 EET 2005
* Подсистема "Учёт услуг"
 - исправлена ошибка в новом акте выполненыъх работ


Version: 5.107	Вск Фев 27 18:48:45 EET 2005

* Подсистема "Учёт услуг"
 - исправлена ошибка в новом акте выполненыъх работ

Version: 5.106	Птн Фев 25 17:14:05 EET 2005

* Подсистема "Расчёт зарплаты"
 - для расчёта профсоюзного взноса установлен предел максимальной суммы с
   которй берётся отчисление, такой же как и для остальных социальных
   отчислений.

Version: 5.105	Чтв Фев 24 07:32:52 EET 2005

* Подсистема "Учёт услуг"
 - появилась возможность в документ на услуги вводить материалы
 - реализован режим списания выписанных в услугах материалов в подсистеме
  "Материальный учёт"
 - появилась возможность распечатать документ в виде счёта-фактуры с
   графическим логотипом фирмы на листе. Для этого добавлены новыe файлы 
   usl_shet_fak.alx, usl_shet_fak_end.alx. В файл usl_shet_fak_end.alx можно
   ввести любой текст, который будет распечатан в конце документа.
     
   В в файле nastsys.alx добавлена настройка:

   Путь на файл с логотипом|
    Указывается полный путь на файл с логотипом в формате (Е)ps

   В файле uslnast.alx добавилась настройка:
   Количество строк отступа для счёта с логотипом|
    Указывается количество строк, которые надо пропустить под логотип.
   Для печати счёта с логотипом необходимо использовать фильтр icebtops от
   версии 1.17 и выше.

 - появилась возможность распечатать документ в виде акта выполненых работ,
   списания материалов. Для распечатки этого документа добавлен файл
   usl_act_vr.alx
 - переделан перерасчёт больничного за предыдущие периоды для случая если он
   не входит в список кодов на которые не распространяется социальная льгота
* Подсистема "Расчёт зарплаты"
 - выполнены мелкие доработки (изменен справочник доходов) для отчёта по
   форме 1дф. Добавлены коды доходов в файл zarsdf1df.alx
 - переделан перерасчёт больничного за предыдущие периоды для случая если он
   не входит в список кодов на которые не распространяется социальная льгота

* Добавлена возможность во всех справочниках по клавише Shift+F3 удалить все
   неиспользуемые записи.

Version: 5.104	Птн Фев 11 11:57:54 EET 2005

* Программа saldo
 - разработан режим переноса сальдо для подсистемы "Учёт путевых листов".
* Подсистема "Расчёт зарплаты"
 - устранена ошибка приводящая к усечению идентификационного кода работника

Version: 5.103	Пнд Фев  7 11:39:40 EET 2005

* Подсистема "Расчёт зарплаты"
 - в таблицу Kartb добавлены новые колонки
   denrog - дата рождения
   pol    - пол 0-мужчина 1-женщина
   dppz   - дата полследнего повышения зарплаты
   Все необходимые преобразования с таблицей выполнит программа "alter"
 - переделана структура файла zarindex.alx в котором настраиваются данные
   для автоматизированного расчёта индексации. Соответственно переделан
   алгоритм расчёта индексации. Теперь с учётом возможности введения даты
   повышения зарплаты и даты приёма на работу, программа вычислит персональный 
   индекс для каждого работника, так как это требуется по закону.

Version: 5.102	Срд Фев  2 13:57:05 EET 2005
* Исправлены все найденные ошибки.

Version: 5.101	Чтв Янв 20 13:12:33 EET 2005

* Доработана подпрограмма смены базы. Теперь можно настраивать и хост нужной
  базы данных
* Исправлены все найденные ошибки.

Version: 5.100	Пнд Янв 17 14:55:29 EET 2005
* Подсистема "Материальный учёт"
 -исправлена ошибка при создании xml отчёта книги покупки товаров и услуг.


Version: 5.99	Пнд Янв 17 14:46:59 EET 2005

* Подсистема "Материальный учёт"
 -исправлена ошибка при создании xml отчёта книги покупки товаров и услуг.

Version: 5.98	Пнд Янв 17 12:29:42 EET 2005

* Подсистема "Материальный учёт"
 - добавлена возможность для приходных документов вводить форму оплаты
 - в настроечном файле rek_nal.alx появилась новая настройка
   Кодовая таблица|windows-1251

Version: 5.97	Чтв Янв 13 09:37:24 EET 2005

* Подсистема "Материальный учёт"
 - книги покупрки-продажи товаров и услуг теперь можно получить и в xml
   формате
 - добавлен файл rek_nal.alx в котором вводятся реквизиты необходимые для
   получения книг покупки-продажи в xml формате
   
Version: 5.96	Чтв Дек 30 11:22:24 EET 2004
* Исправлены ошибки

Version: 5.95	Чтв Дек 30 08:11:02 EET 2004
* Исправлены ошибки

Version: 5.94	Срд Дек 29 15:24:39 EET 2004
* Подсистема "Главная книга"
 - мелкие доработки

Version: 5.93	Срд Дек 29 11:55:45 EET 2004

* Подсистема "Главная книга"
 - добавлен новый отчёт по коментариям в проводках 
   настройка отчёта выполняестя в файле buhkom.alx

Version: 5.92	Пнд Дек 20 08:54:34 EET 2004

* Подсистема "Учёт путевых листов"
 - усовершенствован отчёт "Распечатать оборотную ведемость движения топлива
   по автомобилям.

Version: 5.91	Птн Дек 17 15:16:21 EET 2004

* Подсистема "Учёт путевых листов"
 - исправлена ошибка в одном из отчётов.  

Version: 5.90	Птн Дек  3 09:14:55 EET 2004

* В файл nastsys.alx добавлена новая настройки
  Количество строк на стандартном листе|64
  Шрифт с одинаковой шириной всех символов|Fixed, 12

  Последняя настройка предназначена для системы с графическим интерфейсом

* Подсистема "Заработная плата"
 - переделан расчет подоходного налога
   Теперь от суммы зарплаты отнимаются не все отчисления в соц-фонды, а
   только суммы которые получаются если считать их только с суммы на которую
   распространяются социальные льготы (тоесть исключительно с заработной платы)
 - в связи с выше описанным изменением переделана подпрограмма перерасчета
   подоходного налога

Version: 5.89	Срд Окт 27 08:07:55 EEST 2004

* Исправлены найденные ошибки

Version: 5.88	Птн Окт 22 11:13:18 EEST 2004

* Подсистема "Главная книга"
 - усовершенствован режим ввода проводок. Добавлена возможность заполнить
   меню реквизитами предыдущей проводки.
 - усовершенствован поиск контрагента по наименованию. Теперь программа
   проверяет два реквизита "наименование" и "полное наименование".

* Подсистема "Материальный учёт"
 - усовершенствован режим "Проверка логической целосности базы данных".
   Теперь можно не только проверить базу, но и удалить нелогичные записи.

* Подсистема "Учёт основных средств."
 - по просьбе клиента в инвентаризационной ведомости теперь выводятся
   наименования основных средств полностью без обрезания.

Version: 5.87	Чтв Окт 14 13:45:07 EEST 2004

* Подсистема "Учёт основных средств."
 - усовершенствована распечатка основных средств.

* Подсистема "Учёт услуг"
 - исправлены найденные ошибки

* Подсистема "Заработная плата"
 - исправлена ошибка учета превышения граничной суммы с которой берутся
   отчисления в соц. фонды.

Version: 5.86	Вто Окт 12 13:57:50 EEST 2004

* Подсистема "Учёт основных средств"
 - усовершенствован отчёт "Роздрук ведомости износа и остаточной
   стоимости."

* Подсистема "Учёт услуг"
 - реализована возможность вводить одну и ту же услугу в документ любое
   количество раз. Программа alter выполняет необходимые для этого
   преобразования базы данных.

Version: 5.85	Чтв Окт  7 13:04:20 EEST 2004

* Подсистема "Учёт кассовых ордеров"
 - добавлена возможность ведения журнала платёжных ведомостей.
   Программа alter создаёт нужную для этого таблицу.


Version: 5.84	Вто Окт  5 14:16:08 EEST 2004

* Подсистема "Учёт основных средств"
 - усовершенствован отчёт "Распечатка ведомости износа и остаточной
   стоимости (налоговый учёт)"

Version: 5.83	Птн Окт  1 13:25:46 EEST 2004

* Выполнены доработки связанные с адаптацией программы dostup 
  под базу MySQL версии 4.0

Version: 5.82	Чтв Сен 30 18:25:24 EEST 2004

 * В результате последних изменений не запускались вспомогательные программы
   Найдена и устранена причина такого поведения программ.

Version: 5.81	Срд Сен 29 16:30:24 EEST 2004

* Подсистема "Расчет зарплаты"
 - исправлена ошибка при расчёте необлагаемой благотворительной помощи

* Подсистема "Учёт командировачных расходов"
 - сделан отчёт по контрагентам в количественном выражении.

* Подсистема "Материальный учёт"
 - добавлен файл matshetend.alx в который можно ввести любой текст, который
   будет распечатываться в счетах в конце документа. Например "Поставка
   товара осуществляется в течение 30-ти дней с момента оплаты".

Version: 5.80	Чтв Сен  9 14:55:49 EEST 2004

* Подсистема "Учёт основных средств"
 - обнаружена и исправлена ошибка при расчёте амортизации для групп с не
   пообъектной амортизацией с номерами групп больше 3-х.

* Подсистема "Учёт путевых листов"
 - в таблицы добавлены новые поля и теперь программа может учитывать расходы
   топлива при поездках по городу и за городом раздельно.
   (запустить программу alter)

* Подсистема "Материальный учёт"
 - добавлена возможность в спецификацию на изделие вводить услуги.


Version: 5.79	Срд Авг 25 19:07:54 EEST 2004

* Подсистема "Расчет зарплаты"
 - в распечатке ведомости на зарплату добавлена колонка номер по порядку
 - удалены из системы настроечные файлы zarshern.alx, zardeti.alx,
   zarveter.alx Они были нужны для расчета подоходного нолога до 2004 года,
   теперь ненужны.

Version: 5.78	Срд Авг  4 11:24:52 EEST 2004

* Подсистема "Расчет зарплаты"
 - исправлена ошибка при расчёте подоходного налога

Version: 5.77	Вто Авг  3 18:18:13 EEST 2004

* Подсистема "Расчет зарплаты"
 - выполнены доработки позволяющие делать расчёт для социальных фондов с
   увеличением базы налогообложения для неденежных форм начисления зарплаты.

Version: 5.76	Чтв Июл 29 16:48:20 EEST 2004

* Подсистема "Расчет зарплаты"
 - выброшен из программы расчет подоходного налога до 2004 года
   удален из системы файл zarpodoh.alx
 - исправлена ошибка иногда приводящая к аварийному завершению работы
   программы при смене базы данных

Version: 5.75	Чтв Июл 29 15:14:54 EEST 2004

* Подсистема "Расчет зарплаты"
 - исправлены обнаруженные ошибки

Version: 5.74	Вто Июл 27 11:11:59 EEST 2004

* Подсистема "Расчет зарплаты"
 - усовершенствована программа выполнения проводок по социальным фондам
   начисляемых на фонд зарплаты.
 - в таблице Zarsoc увеличен размер записи для колонки kodn.
   (запустить программу alter)
 - добавился файл zarspv1.alx В этом файле можно ввести или убрать строки, которыми
   должна заканчиваться ведомость на зарплату.
 - выполнены доработки в соответствии с законом Украины Про внесення змін
   до Закону України "Про податок з доходів фізичних осіб"(щодо збільшення суми
   податкової соціальної пільги на утримання дітей).

* Подсистема "Платежные документы"
 - разработана подпрограмма для передачи платёжек для Брокбизнесбанка.
 - добавлена возможность записать файл для импорта платежек системой Банк-клиент на
   дискету. Это позволит переносить файл с машины с системой iceB на машину
   с системой Банк-клиент с помощью дискеты, если сеть не работает или
   отсутствует вовсе. Также это может применяться если обе подсистемы
   эксплуатируются на одной машине с попеременной загрузкой операционных
   систем.

Version: 5.73	Птн Июн 11 10:49:13 EEST 2004

* Подсистема "Материального учёта"
 - исправлены ошибки в подпрограмме автоматического выполнения проводок.

Version: 5.72	Птн Июн  4 09:47:35 EEST 2004

* Подсистема "Платёжные документы"
 - разработана подпрограмма для передачи платежек для банка Приватинвест.


Version: 5.71	Пнд Май 24 13:38:06 EEST 2004

* Подсистема "Расчет зарплаты"
 - в файл настройки zarnast.alx сделаны следующие изменения:

   Добавлена строка "Счет отчисления в пенсионный фонд инвалидами (фонд
   зарплаты)".

   Обычно эти отчисления начисляются на тот же счет что и обычные пенсионные
   отчисления. Некоторые бухгалтеры хотят их начислять на другой счет.

   Строка "Коды материальной помощи" заменена на строку "Коды
   благотворительной помощи" 

   Строка "Необлагаемая материальная помощь" заменена на строку
   "Максимальная сумма необлагаемой благотворительной помощи"

   Строка "Коды начислений не входящие в расчет" заменена на строку "Коды
   начислений не входящие в расчет подоходного налога"
   
   Строка "Коды удержаний входящие в расчет" заменена на строку "Коды
   удержаний входящие в расчет подоходного налога"

 - разработан режим перерасчета подоходного налога
 - доработан расчёт отчислений в соц-страх. В файле настройки добавилась
   сторока:

   Прожиточный минимум|
 
   Это текущий прожиточный минимум. Для расчета подоходного налога
   применяется прожиточный минимум на начало года. Для шкалы соц-страха
   применяется по всей видимости текущий прожиточный минимум.

 - разработан расчёт командировочных (начисление зарплаты за время
   нахождения в командировке) для этого расчета в файле zarnast.alx 
   добавились следующие настройки:

   Код командировочного начисления|
   Коды начислений не входящие в расчет командировочных|
   Код табеля командировочных|
   Коды табеля не входящие в расчет командировочных|

* Подсистема "Учёт услуг"
 - реализован режим импорта документов из файла

Version: 5.70	Вто Апр 20 18:23:19 EEST 2004

* В таблицу Kontragent добавлена колонка rsnds (спец счёт для НДС)
  Запустить программу alter для добавления этой колонки в существующие базы
  данных

* Подсистема "Расчет зарплаты"
 - переделана шапка платежной ведомости.
   добавлен файл zarspv.alx с шапкой платежной ведомости.
 - необлагаемая материальная помощ применяется для подоходного налога.
   Согласно последним данным материальная помощь делится на две группы.
   1-систематическая
   2-не систематитическая
   С не систематической материальной помощи налог не берется по правилам
   указанным в законе о подоходном налоге. Также с этой мат. помощи не
   берутся отчисления во все социальные фонды, так как она не входит в фонд 
   оплаты труда. Причем отчисления в соц. фонды не беруться с любой суммы 
   мат.помощи.
   Коды такой материальной помощи должны быть введены в строку
   "Коды материальной помощи|" в файле настройки zarnast.alx.
 - доработана подпрограмма расчёта формы 1дф. Появился файл zarsdf1df.alx
   в котором настраивается справочник видов доходов. Доступ к этому файлу
   возможен из меню расчёта формы 1дф по клавише F5.
 - разработан режим загрузки карт-счетов в карточки работников из файла.
 - разработана подпрограмма для выгрузки данных для зачисления на карт-счета
   Укрсиббанка   
 - в файле настройки строка:
   Коды не входящие в форму 8ДР
   заменена на строку:
   Коды не входящие в форму 1ДФ
        
* Подсистема "Платёжные документы"
 - в платёжном поручении добавлена клавиша Shift+FK6, которая позволяет
   заменить счет на спец счет НДС

* Подсистема "Учет кассовых ордеров"
 - подправлены формы распечаток кассовой книги и журнала регистрации
   кассовых документов 

Version: 5.69	Срд Мар 10 09:17:20 EET 2004

* Доработан интерфейс и теперь можно вводить длинные строки в окнах
  маленького размера. При вводе строка будет сдвигаться в лево.

* Подсистема "Расчет зарплаты"
 - выполнены необходимые доработки для получения формы 1ДФ
   появился дополнительный файл с шапкой формы 1ДФ zarsf1df.alx
 - в соответствии с новым законодательством с больничных берутся пенсионные
  отчисления. Больничные свыше 5-ти дней оплачивает фонд социального
  страхования. Однако начисления 32% на суммы этих больничных в пенсионный
  фонд никто возмещать не собираеться - ни пенсионный фонд ни фонд соц.страха.
  В связи с этим возникла небходимость настройки выполнения проводок на фонд
  зарплаты на эти суммы на другие счета (не те, которые указаны в начислении)
  Доработана подпрограмма автоматического выполнения проводок. 
 - в таблицу Nash добавлена колонка fz (входимость/не входимость в фонд
  оплаты труда) Программа alter выполняет необходимое преобразование таблицы
 - разработан новый отчет "Ведомости производственных затрат" 

* Подсистема "Платежные документы"
 - полное наименование организации плательщика теперь выводится в платежное
   поручение. Необходимо заменить файл platp.alx на новый.
 - изменена форма объявки для сдачи налички в банк. Для этого создан новый
   файл gotivka3.alx

Version: 5.68	Пнд Фев 16 15:03:43 EET 2004

* Подсистема "Расчет зарплаты"
 - в файл настройки zarnast.alx добавлена строка
   "Коды начислений неденежными формами"
   Настройка "Прожиточный минимум" заменена на "Прожиточный минимум на
   начало года"
 - Разработана выгрузка зарплаты для зачисления на карт счета Укрсоцбанка
 - в таблицу F8dr1 добавлена колонка pr (программа alter добавляет эту
   колонку
Version: 5.67	Чтв Янв 29 08:43:55 EET 2004

* Вадим Чекан разобрался почему iceB не хотела строится с mysql версии 4.0
  и благодаря ему устранено это препятствие

* Подсистема "Расчет зарплаты"
  в настроечный файл zarnast.alx добавлена строка

  Коды начислений, на которые не распространяется социальная льгота|
    Имеется в виду социальная льгота по подоходному налогу в размерах
   100, 150 и 200 процентов.

* Подсистема "Главная книга"
  Исправлена ошибка не позволяющая вводить контрагента из списка счета

Version: 5.66	Вск Янв 25 12:41:14 EET 2004

* В таблицу Kontragent добавлена колонка pnaim, полное наименование
  контрагента (Использовать программу alter). Это наименование используется
  для заполнения налоговой накладной.


Version: 5.65	Срд Янв 21 12:39:02 EET 2004

* Доработан файл nakl.alx для возможности вывода длинного адреса.
  Необходимо переписать исправленный файл вместо старого  

Version: 5.64	Суб Янв 17 11:41:53 EET 2004

* Налоговики стали требовать, чтобы в налоговых накладных было полное
  наименование контрагента. В связи с этим увеличено поле наименования
  контрагента. В доработаны программы печати налоговых накладных. Изменен
  файл nakl.alx. Необходимо новый файл переписать в каталог настройки
  системы.

* Подсистема "Расчет зарплаты"
 - в файле настройки zarnast.alx добавились дополнительные настройки:
   Коды удержаний входящие в расчет отчисления в пенсионный фонд с работника
   Коды удержаний входящие в расчет отчисления в пенсионный фонд с фонда
   зарплаты
   Минимальная зарплата на начало года

Version: 5.63	Вск Янв 11 10:03:08 EET 2004

* Подсистема "Расчет зарплаты"
 - исправлена ошибка в форме 8ДР
 - для нового расчета подоходного налога, коды начислений невходящие в
   расчет подоходного налога не влияют на расчет соц отчислений.

Version: 5.62	Чтв Янв  8 10:44:28 EET 2004
* Подсистема "Расчет зарплаты"
 - исправлена ошибка в форме 8ДР

Version: 5.61	Чтв Янв  8 08:32:02 EET 2004

* Написаны подсказки к режиму работы со спецификациями на изделия.

* Программа rozn
  - отменен контроль остатка для материалов являющихся изделием
  - найдена и исправлена существенная ошибка. При просмотре записей по
    клавише F6 и Shift+F6 проскакивала текущюю продажу на которую еще не
    распечатан кассовый чек.

* Подсистема "Материальный учет"
  - если в файл настройки введена фамилия в строку "Исполнитель", то она
    будет распечататна в налоговых накладных. Если ничего не введено, то
    будет распечататна фамилия оператора.
  - доработана подпрограмма списания розницы с карточек. Теперь списание
    розницы можно выполнять любое количество раз в течении дня при условии
    обязательного удаления списанных записей из таблицы розницы. Это может
    понадобиться если сняли кассу (тоесть изъяли деньги из кассы). Если
    выполнить списание розницы то в программе rozn остаток по кассе тоже обнулиться. 
    После того, как сняли кассу торговля может продолжаться и программа
    будет показывать реальный остаток денег в кассе. Естественно, что
    и нумерация количества продаж начнется с 1.
  - добавлена возможность настроить распечатку накладных (при
    необходимости) на разные счета в разных банках

* Подсистема "Расчет зарплаты"
  - выполнены доработки для расчета подоходного налога по закону вступающему
    в силу с 1.1.2004г. В файле настройки zarnast.alx добавлены необходимые
    реквизиты для расчета:
    
    Прожиточный минимум|365
    Коэффициент прожиточного минимума|1.4
    Процент подоходного налога|13
    Процент от минимальной зарплаты|30

     Кроме того появился новый файл zarlgot.alx в
    котором настраиваються льготы по налогообложению для каждого
    конкретного человека. Имееются ввиду льготы 100%, 150% и 200% минимальной
    зарплаты. Если у вас уже есть файл с таким именем, то его надо удалить и переписать новый.

  - добавлена новая таблица Zargrupp в которую записывается список групп
    подразделений. В таблице Podr добавлена новая колонка grup в которую
    записывается код группы подразделения. Все необходимые изменения делает
    программа alter. В некоторых организациях существует очень большое
    количество подразделений, поэтому возникла необходимость в их
    группировке для того, чтобы можно было получать отчеты по группам
    подразделений


Version: 5.60	Пнд Ноя  3 12:38:10 EET 2003

* Сделаны доработки позволяющие систему строить с разделяемыми библиотеками

* Программа dostup
  - теперь программа может устанавливать и переназначать доступ не только с
    сервера но и с любой машины в сети с которой root разрешен доступ к
    базе данных

* Подсистема "Материальный учет"
 - добавлена возможность вводить спецификации на изделия.
   C помощью программы alter должна быть создана таблица Specif
 - доработана программа автоматического списания розницы. Теперь она будет
   проверять не является ли проданный товар изделием и если он изделие,
   выполнит списание входящих в него материалов а не самого товара.
   Изделием программа будет считать материалы которые описаны как изделие в
   таблице Specif

* Программа rozn
 - в отчете на проданный товар выполняется расчет списания входящих
   материалов если товар является изделием.

Version: 5.59	Срд Окт  8 14:29:13 EEST 2003

* В подсистеме "Расчет зарплаты".
  -сделан режим для перечисления сумм на карт-счета для банка Надра
  - в таблицу Kartb добавлена колонка tipkk (тип кредитной карты), колонка
    добавляется с помощью программы alter.
  - В режиме "Ввод нормативно-справочной информации" -> "Настройка
    программы" добавлена возможность ввести список праздничных и выходных
    дней. Этот список программа использует для вычисления количества рабочих
    дней между двумя датами при вводе табеля отработанного времени.

Version: 5.58

* В подсистеме "Учет командировочных расходов"
 - разработана возможность распечатки приказов на командировки за любой
   период времени
 - появилась возможность распечатать командировочное удостоверение

Version: 5.57	Птн Авг 29 15:46:04 EEST 2003

* В подсистеме "Главная книга".
 - добавлен отчет позволяющий сформировать документы и дискету для передачи
   информации в банк для зачисления на карт счета своих работников соответствующих сумм.

* В подсистеме "Расчет зарплаты"
 - переделана подпрограмма расчета индексации

Version: 5.56	Срд Авг 13 15:04:08 EEST 2003

* Исправлены ошибки в программах rozn и xupl

Version: 5.55	Вск Авг  3 09:06:02 EEST 2003

* Разработана подсистема "Учет путевых
  листов". Все необходимые таблицы для этой подсистемы создаются
  программой "alter".

* В подсистеме "Материальный учет"
 - зазработана распечатка документа в форме акта приема-передачи
   товаро-материальных ценностей

* В подсистеме "Расчет зарплаты"
 - исправлены ошибки в форме 8др

Version: 5.54	Пнд Июл 14 12:38:22 EEST 2003

* Разработатна программа для автономного списания розницы - fsprozn
   Программу можно запускать вручную, а можно настроить запуск ее в
  определенное время. Необходимо помнить что она должна запускаться только
  после завершения розничной торговли. Если вы настраиваете автоматический
  запуск программы, то обязательно должны быть указаны ключи с именем базы и
  паролем для доступа к базе.

  Например:

fsprozn -p aaa -b bx
            |      |
            |      ->Имя базы данных
            -> пароль пользователя, который запустил программу

   В файл /tmp/iceb_srммгггг.pr будут выгружаться все аварийные сообщения.
                                 где мм   - месяц
                                     гггг - год
* В подсистеме "Материальный учет"
 - разработатна новая накладная в расходных документах она имеет
   колонку с учетной ценой, в приходных документах она имеет колонку с ценой
   реализации

* В подсистеме "Расчет зарплаты"
 - исправлены ошибки в форме 8др

Version: 5.53	Вск Июл  6 17:53:47 EEST 2003

* В подсистеме "Расчет зарплаты"
 - доработан расчет формы 8ДР

* Программа rozn
 - доработана под длинное наименование товара
 - исправлены найденные ошибки

Version: 5.52	Чтв Июн 26 17:30:12 EEST 2003

* Количество товара для кассового регистратора МАРІЯ с точностью 
  до тысячных.

* В подсистеме "Главная книга"
 - реализован режим розноски выписки по банку

* В подсистеме "Расчет зарплаты"
 - реализована вызгузка данных на дискету для зачисления сумм на картсчета
   "Проминвестбанка"

Version: 5.51	Пнд Июн 16 14:18:30 EEST 2003

* В подсистеме "Материальный учет"
 - исправлена ошибка при вводе групп материалов
 - появился отчет позволяющий получить список
   материалов имеющих критический остаток

Version: 5.50	Срд Июн 11 16:57:35 EEST 2003

* В подсистеме "Главная книга"
 - для бюджетных организаций теперь главную книгу можно расчитать отдельно
   для бюджета и хозрасчета.

* В подсистеме "Расчет зарплаты"
 - в таблицу Kartb добавлена колонка datvd - дата выдачи паспорта
   (для добавления колонки использовать программу alter)

* В подсистеме "Материальный учет"
 - добавлена возможность переценить документ на приход на любой
   процент, для этого документ должен быть введен без привязки к карточкам

Version: 5.49	Сбт Май 31 13:41:48 EEST 2003

* Добавлена поддержка кассового аппарата АМС-100Ф (Россия)

* ВНИМАНИЕ: подсистема работы с кассовыми регистраторами серьезно
  переделана (и клиент, и сервер, и имя/формат файла настройки) !!!!
  Подробности см. в buhg/doc/iceb_server.txt

* В подсистеме "Материальный учет"
 - в таблицу Material добавлена колонка artikul. (запустить программу alter)
   теперь поиск материала по клавише F4 ведется по наименованию и артикулу
   одновременно, тоесть ели в наименовании или артикуле найдется
   заданный образец поиска, то эти записи будут показаны на экране.

Version: 5.48	Птн Май 23 08:57:02 EEST 2003

* В подсистеме "Материальный учет"
 - добавлена возможность из документа распечатать ценники на товары и из
   списка материалов

* В подсистеме "Расчет зарплаты"
 - добавлены колонки sumadn и sumann в таблицу F8dr1 в связи с
   изменением формы 8др (программа alter добавляет нужные колонки).
 - переделана программа формирования формы
   8др. в связи с изменениями внесенными приказом ГНАУ от 08.04.2003 N164

Version: 5.47	Втр Апр 29 11:16:45 EEST 2003

* В подсистеме "Материальный учет"
 - в режиме работы с документов в меню по клавише F8 добавлена возможность
   выбрать принтер
 - врежиме работы со списком материалов добавлена возможность по клавише
   Shift+F4 получить список материалов карточки на которые есть на
   соответствующем складе.

* В подсистеме "Расчет зарплаты"
 - появилась возможность настроить в файле настройки
   доступ логинов которым разрешено работать в подсистеме

* Программа rozn
 - добавлена возможность распечатать товарный чек.

* В подсистеме "Учет командировочных расходов"
 - в таблицу Ukrdok1 добавлена колонка kontr
   (запустить программу alter)

Version: 5.46	Чтв Апр 10 16:25:39 EEST 2003

* В подсистеме "Материальный учет"
 - добавлена возможность автоматического формирования накладной на
   списание розничной торговли.

* Программа rozn
 - настройка хоста для кассы и пароля теперь выполняется в файле rozn.alx
 - добавлена возможность по клавише F7 получить сумму на
   кассовый регистратор и крупными цифрами на экран (оператор сможет
   показать покупателю даже со слабым зрением сумму к оплате, кроме того
   этот режим можно использовать для проверки связи с
   кассовым регистратором при настройке рабочего места с зафикализированным
   кассовым регистратором)

* В подсистеме "Расчет зарплаты"
 - добавлен отчет - свод начислений по подразделениям

Version: 5.45	Пнд Апр  7 14:24:17 EEST 2003

* Программа mariq
 - доработана фискализация принтера в связи с изменившимся протоколом.


Version: 5.44	Пнд Апр  7 08:49:21 EEST 2003

* Программа rozn
 - переделаны отчеты
 - разработаны подпрограммы автоматической идентефикации рабочего места с которого
   запущена программа, это позволяет автоматически однозначно определить с
   какой кассой и в каком отделе будет работать оператор (описание в файле
   rozn2.txt)

Version: 5.43	Срд Апр  2 18:04:29 EEST 2003

* исправлена ошибка в rozn

* В подсистеме "Расчет зарплаты"
 - разработатна новая программа получения справок по совместителям форма 2
   (квартальная)

Version: 5.42	Втр Апр  1 08:28:50 EEST 2003

* выполнены доработки программы rozn
 - предыдущие продажи можно только смотреть, коректировка запрещена
 - если чек не распечатан то при выходе из
   режима розничной продажи будут удалены записи последней продажи если к ней
   не распечатан чек

Version: 5.41	Пнд Мар 17 15:05:21 EET 2003


* В подсистеме "Платежные документы"
 - в файле platp.alx добавлена строка "дата валютирования". Изменена и
   программа xdk

* Исправлены найденные мелкие ошибки

Version: 5.40	Срд Фев 26 18:05:17 EET 2003

* В подсистеме "Материальный учет"
 - изменен размер поля nomz в таблице Dokummat1  (запустить программу alter)
 - в списке материалов добавлена возможность заменить один код материала на
   другой с удалением первого. Это нужно если операторы один и тоже
   материал ввели несколько раз под разными кодами.

* В подсистеме "Расчет зарплаты"
 - добавлен отчет позволяющий получить список тех кто получил материальную
   помощь с указанием величины необлагаемой налогом материальной помощи
 - доработан перерасчет подоходного налога

* В подсистеме "Учет кассовых ордеров"
 - кассовый ордер теперь можно распечатать как ведомость на получение денег

* В подсистеме "Учет основных средств"
 - появились дополнительные настройки в файле настройки. Власть
   имущие никак не угомонятся. Такое впечатление что они хотят
   запутать бухгалтеров как можно больше.

* В подсистеме "Учет услуг"
 - в списке услуг добавлена возможность заменить один код услуги на
   другой с удалением первого. Это нужно если операторы одну и туже
   услугу ввели несколько раз под разными кодами.

Version: 5.39	Вск Фев  2 10:32:24 EET 2003

* В подсистеме "Материальный учет"
 - в таблице Material измененена размерность колонки cenapr.
   Теперь можно вводить цену в периоде после запятой до 6 знаков.
   (запустить программу alter)
 - доработана подпрограмма импорта документов.
   Теперь при импорте расходных документов можно настроить программу на привязку 
   материалов к карточкам с такойже ценой как и в документе. Это нужно для
   импорта документов на списание материалов.
   
* В подсистеме "Учет кассовых ордеров"
 - разработан новый отчет
 - увеличено размер поля osnov в таблице Kasord (запустить программу alter)

* В подсистеме "Расчет зарплаты"
 - исправлены найденные ошибки в подрограмме перерасчета подоходного налога
 - появилась возможность автоматического формирования кассовых ордеров для
   выдачи зарплаты в подсистеме "Учет кассовых ордеров".

* В подсистеме "Главная книга"
 - изменены индексы в Таблице Prov (запустить программу alter)

Version: 5.38	Птн Дек 13 12:16:42 EET 2002


* В подсистеме "Материальный учет"
 - в таблицы Kart и Dokummat1 добавлена колонка nomz (номер заказа)
   Это необходимо для для отслеживания остатков по конкретным заказам.
   Программа alter добавляет эти колонки в таблицы.

* В подсистеме "Расчет зарплаты"
 - в таблицу Zarsocz добавлена новая колонка
   sumasb - сумма с которой расчитаны бюджетные отчисления
   Программа alter добавляет эту колонку в таблицу.

Version: 5.37	Чтв Ноя 28 13:44:00 EET 2002

* Разработана новая подсистема "Учет командировочных расходов."
  Необходимые таблицы для этой подсистемы создает программа alter

* В подсистеме "Расчет зарплаты"
 - усовершенствован формат файла zardeti.alx
 - разработана новая подпрограмма перерасчета подоходного налога за год
 - импорт карточек из файла

Version: 5.36	Сбт Окт 12 10:08:14 EEST 2002

Исправлены найденные ошибки, выполнены мелкие доработки.

Version: 5.35	Срд Сен 11 12:55:02 EEST 2002

* В подсистеме "Главная книга"
  - в режиме просмотра проводок реализован режим удаления всех найденных
    проводок 

* В файле nastsys.alx добавлены настройки позволяющие настроить
  двухсторонюю печать для принтеров поддерживающих такую возможность.


Version: 5.34	Чтв Сен  5 14:05:36 EEST 2002

* Оптимизация таблиц базы данных сделана с учетом различий выполнения этой
  команды в версиях базы данных 3.22 и 3.23

* Усовершенствован фильтр EPSON => PostScript

* В подсистеме "Расчет зарплаты"
 - реализована возможность сменить счет для всех
   начислений/удержаний одновременно

* В подсистеме "Платежные документы"
 - реализован режим просмотра документов за текущюю дату

* В подсистеме "Главная книга"
 - реализована возможность получения журналов ордеров для счетов с
   развернутым сальдо с сортировкой по коду контрагента, наименованию
   контрагента, группам и получением итогов по группам

Version: 5.33	Чтв Авг 22 15:05:20 EEST 2002

* В подсистеме "Платежные документы"
 - реализована передача платежных поручений в подсистему Клиент-банк
  для Укрсоцбанка

* В подсистеме "Учет кассовых ордеров"
 - реализован режим удаления документов за год


Version: 5.32	Пнд Авг 19 11:12:54 EEST 2002

 Исправлены ошибки.


Version: 5.31	Сбт Авг 17 13:45:22 EEST 2002
 Исправлены ошибки.

Version: 5.30	Чтв Авг 15 19:22:25 EEST 2002


* Разработан фильтр "epson-ps" для преобразования файлов *.lst в PostScript формат

* В подсистеме "Материальный учет"
  реализован режим автоматического получения номера налоговой накладной
 
* В подсистеме "Учет услуг"
  реализован режим автоматического получения номера налоговой накладной

Version: 5.29	Пнд Авг  5 17:54:54 EEST 2002

* Добавлена возможность работы с мышкой при работе системы в 
  окне xterm.

Version: 5.28	Втр Июл 23 08:19:18 EEST 2002

* Завершен переход на новые подпрограммы работы с экраном

* В подсистеме "Главная книга"
 - разработаны дополнительные отчеты
 - реализован импорт проводок из файла

* В подсистеме "Учет услуг"
 - в таблицах Usldokum1 и Usldokum2 к уникальному ключу добавлена колонка
   shetu. Это позволит вводить в один итотже документ одну и туже услугу
   несколько раз если у нее будет другой счет учета. Все необходимые
   преобразования с таблицами выполняет программа alter.
 - в таблицу Usldokum добавлена колонка sumnds - сумма НДС для приходного
   документа введенная вручную

* В подсистеме "Расчет зарплаты"
 - реализован импорт начислений/удержаний из файла

* В подсистеме "Платежные документы"
 - изменен формат записи в файле настройки автоматического выполнения
   проводок avtprodok.alx
 - программа доработана для одновременной выписки платежных поручений
   несколькими операторами одновременно

* В подсистеме "Материальный учет"
 - в таблицу Kart добавлена новая колонка rnd - регистрационный номер
   медицинского препарата. Преобразование таблицы выполняет программа alter
 - для приходных документов можно вручную ввести сумму НДС. Это необходимо
   так как очень часто бухгалтера получают документы от сторонних организаций с
   неправильно посчитанным НДС и не имеют возможности исправить эту ошибку.

Version: 5.27	Птн Май 31 12:37:53 EEST 2002
* Начата модернизация подпрограмм работы с экраном

* В подсистеме "Расчет зарплаты."
 - добавлена настройка для ввода кодов начислений не входящих в расчет
   справки о доходах
 - для организаций начисляющих зарплату по бюджету и хозрасчету добавлена
   настройка выбора варианта расчета удержаний - пропорционального
   (пропорционально начислениям) или последовательного (сначала считается
   бюджет, а потом хозрасчет)

* В подсистеме "Материальный учет."
 - в таблице Kart добавлены новые колонки
   datv - дата ввода в эксплуатацию малоценки
   innom- инвентарный номер малоценки
      
 - в таблице Dokummat1 добавлена колонка
   shet - счет списания для расходных документов
   dnaim - дополнительное наименование к наименованиею материала   

   все необходимые преобразования выполняет программа alter

* В подсистеме "Учет услуг."
 - в таблице Usldokum1 добавлена колонка
   dnaim - дополнительное наименование к наименованиею услуги

   все необходимые преобразования выполняет программа alter

Version: 5.26	Пнд Мар 25 11:13:43 EET 2002

* В подсистеме "Учет услуг"
 - добавлена возможность учесть дополнительный налог (налог на рекламу)
   при выписке документов
* В подсистеме "Расчет зарплаты"
 - в корешках для бюджетных организаций разведен бюджет и небюджет
 - разработан режим для получения статистической формы 1-ПВ

Version: 5.25	Пнд Мар 18 18:49:04 EET 2002

* Учет основных средств
  - расчет амортизации для 2 и 3 групп в налоговом учете можно выполнять
    как в целом по группе так и пообъектно
  - разработана специальная программа uos23, которая расчитывает износ
    групп 2 и 3 пообъектно на 1.2002г. После этого можно выполнять расчет
    амортизации для этих групп пообъектно.

Version: 5.24	Срд Мар 13 19:07:17 EET 2002
* новая версия libtool - 4.0

Version: 5.23	Втр Мар 12 19:24:15 EET 2002
* ключи configure:
   --with-lang вместо --with-iceb-lang
   --with-lang-path=path - добавлен, прямое указание пути для
   			   установки файла локализованных сообщений
   --with-maxfkeys=10|12 - добавлен, сдвиг в описании terminfo
   		 	   номера клавиши Shift/F1 относительно F1

* По результатам эксплуатации системы на базе данных MySQL версии 3.23
  выполнены необходимые доработки.

* Программа alter усовершенствована и теперь может преобразовать 
  файлы таблиц базы данных из формата ISAM в формат MYISAM.

* В подсистеме "Расчет зарплаты"
  - добавлена возможность выключить выполнение проводок для нужного 
    кода начисления
  - добавлена возможность провести всем в автомате удержания на выплаченную
    зарплату
  - добавлена возможность ввести всем автоматом удержание (например аванс)
    в процентном отношении от оклада
  - усовершенствована подпрограмма автоматического расчета начислений,
    теперь можно настроить одновременное удержание начисленной суммы,
    указать бухгалтерский счет к которому относиться начисление
  - одновременно с распечаткой ведомостей на выплату зарплаты формируется 
    реестр по подразделениям

Version: 5.22	Вто Фев 26 12:55:58 EET 2002

* В подсистеме "Учет основных средств" 
 - в таблицу Uosdok добавлены колонки datpnn,nomnn,sherez,datop,nds
   все необходимые преобразования выполняет программа alter

* В подсистеме "Расчет зарплаты"
 - реализован импорт отработанного времени из файла в базу данных
 - ввод всем одинаковых записей по отработанному времени
 - реализована распечатка карточки работника с начислениями/удержаниями
   за любой период

* В подсистеме "Главная книга"  
 - реализован режим выполнения проводок по группе контрагентов

* В подсистеме "Учет услуг"  
 - реализован режим удаления документов за год

Version: 5.21	Птн Янв 11 12:39:10 EET 2002

* В подсистеме "Материальный учет" 
 - исправлены ошибки проявившиеся после добавления в таблицу Dokummat
   поля datpnn

Version: 5.20	Вто Янв  8 13:23:48 EET 2002

* В подсистеме "Материальный учет" 
 - в таблицу Dokummat добавлена новая колонка datpnn-дата
   выдачи/получения налоговой пакладной. Все необходимые
   преобразования выполняет программа alter
 - книги учета продажи и покупки товаров и услуг будут
   формироваться на основе даты выдачи/получения налоговой накладной

* В подсистеме "Учет услуг" 
 - в таблицу Usldokum добавлена новая колонка datpnn-дата
   выдачи/получения налоговой пакладной. Все необходимые
   преобразования выполняет программа alter

Version: 5.19	Срд Дек 26 15:57:11 EET 2001

* В подсистеме "Главная книга" 
 - сальдо можно получить по определенным группам контрагентов
 - при получении сальдо по контрагентам за период более месяца, 
   сделан вывод итогового сальдо на конец каждого месяца
 
* В подсистеме "Материальный учет" 
 - в инвентаризационной ведомости сделана сортировка по счетам учета

* В подсистеме "Учет основных средств" 
 - в инвентаризационной ведомости сделана сортировка по счетам учета


Version: 5.18	Срд Дек 19 18:09:20 EET 2001
  Исправлены ошибки.

Version: 5.17	Срд Дек 19 17:55:33 EET 2001
  Исправлены ошибки.


Version: 5.16	Вто Дек 18 11:02:13 EET 2001
  Исправлены ошибки.

Version: 5.15	Срд Дек 12 16:15:23 EET 2001


В программе dostup 
 - доступ к базе для отдельных операторов можно организовать только на чтение.


Version: 5.14	Птн Ноя 23 13:20:26 EET 2001

В подсистеме "Расчет зарплаты"
 - сделан режим позволяющий расчитать среднюю зарплату для начисления
   больничного в соответствии с законодательством Украины
 - сделан режим позволяющий расчитать среднюю зарплату для социальной
   помощи

В таблице Kontragent увеличен размер колонки regnom. Все преобразования 
  выполняет программа alter

Version: 5.13	Пнд Ноя 19 09:32:11 EET 2001

В подсистеме "Учет основных средств" 
 - появился отчет создающий инвентаризационную ведомость

В подсистеме "Платежные документы" 
 - появился возможность настройки нескольких счетов оплаты из разных
   банков и выбор их из меню.

Version: 5.12	Пнд Ноя 12 10:40:36 EET 2001
В подсистеме "Расчет зарплаты" 
 - добавлена отдельная настройка на коды удержаний входящие в расчет 
   алиментов, раньше программа брала обязательные удержания

В подсистеме "Учет основных средств" 
 - в таблицу Uosdok добавлено две новых колонки
   (программа alter выполняет все необходимые преобразования)

Version: 5.11	Вто Ноя  6 10:20:06 EET 2001


* В подсистеме "Материальный учет" 
 - добавлена возможность в автоматическом режиме выполнять проводки
   для операций сторнирования приходов и расходов


Version: 5.10	Птн Окт 12 15:05:54 EEST 2001

* В подсистеме "Материальный учет"
  - разрешена выписка двойных документов для операций изменения
    стоимости

Version: 5.9	Пнд Окт  8 11:21:43 EEST 2001
   Исправлены ошибки.


Version: 5.8	Птн Окт  5 14:37:43 EEST 2001

* В подсистеме "Платежные документы" 
  - сделана новая форма платежного поручения
  - в таблицы платежных документов добавлено две колонки datv (дата
    валютирования) и kodnr (код нерезидента) Все преобразования выполняет
    программа alter.

* В подсистеме "Материальный учет" 
 - в таблице Dokummat1 удалили колонки vozv, othod, dogruz и добавили
   колонку nomkarp (все преобразования выполняет программа alter)
 - переделана подпрограмма автоматического выполнения проводок
 - внимание !!! при удалении одного из двойных документов, автоматически
   будет удален и парный документ. При удалении записи в одном из двойных
   документов, будет удалена запись и в парном документе. Для документов на
   приход при этом будет выполнена проверка на остаток. Если остаток после
   удаления будет положительный, то удаление будет произведено, если
   отрицательный - нет.
 - реализован режим проверки логической целосноти базы данных

* В подсистеме "Учет основных средств" 
 - в таблице Uosdok1 добавлена колонка cena
 - реализована возможность распечатки накладной для продажи основных
   средств и налоговой накладной

* Из библиотеки libsql удалены функции sql_opencur, sql_readcur, sql_seekcur
  sql_closecur. Вместо них разработан класс для работы с курсором sql_cursor

* В подсистеме "Расчет зарплаты" 
 - переделана подпрограмма формирования справок на совместителей.
   Ранше она формировала справки по начисленной зарплате, теперь по выданной
   Кроме того можно настроить программу так, что в эту форму будут попадать и 
   частные предприниматели как это требует налоговая.
 - в форму 8ДР теперь в автомате попадают частные предприниматели
   
Version: 5.7	Вто Авг 14 12:22:55 EEST 2001

* В подсистеме "Расчет зарплаты" 
 - в таблицу Ztab добавлено новое поле nomz для однозначного 
   определения записи, соответственно переделаны все подпрограммы 
   работающие с этой таблицей
   (используйте программу alter)

* В подсистеме "Учет услуг" 
 - В таблицах Usloper1 и Usloper2 добавлено новое поле shet
   (используйте программу alter)

Version: 5.6	Чтв Авг  9 10:55:17 EEST 2001

* В подсистеме "Расчет зарплаты"
 - удалось увеличить быстродействие подсистемы в несколко раз
   программа alter выполнит все операции с базой, которые 
   позволят подсистеме работать быстрее.

Version: 5.5	Птн Авг  3 14:22:14 EEST 2001

* В программе xpro сделана доработка позволяющая настроить
  список кодов операций, для которых разрешена печать чека на 
  кассовом регистраторе.

Version: 5.4	Пнд Июл 23 10:47:26 EEST 2001
* В "Учете кассовых ордеров" в распечатке кассовых ордеров
  выполнена нумерация страниц с начала года.

Version: 5.3	Срд Июл 18 11:41:34 EEST 2001
* Исправлена ошибка при расчете средневзвешенной цены в подсистеме
  "Материальный учет"

* В подсистеме "Платежные документы":
 - разработана подпрограма для экспорта платежек в формате банка Аваль


Version: 5.2	Птн Июл 13 14:31:05 EEST 2001
	Исправлены ошибки
Version: 5.1	Чтв Июл 12 15:10:20 EEST 2001
	Исправлены ошибки.

Version: 5.0 07-Июл-2001

* Для компиляции теперь может использоваться только C++ (g++).
Обычный С более неприменим.

* Разработан автоконфигуратор. Разработку сделал Вадим Чекан
  (большое ему спасибо). С вопросами и замечаниями по работе
  автоконфигуратора обращайтесь к автору по адресу
  <vchekan@softline.kiev.ua>

* В подсистеме "Учет основных средств." 
  - ведомость движения основных средств теперь формируется раздельно
    для налогового и бухгалтерского учета
  - добавлена возможность получить распечатку движения основных средств
    по документам

* В подсистеме "Материальный учет."
  - доработана подпрограмма автоматического выполнения проводок,
    теперь проводки будут выполнятся с учетом суммы услуг по документу;
  - реализован режим импортирования документов из внешнего файла.

* В подсистеме "Главная книга"
  - в план счетов можно ввести не балансовые счета, выполнять по
    ним проводки, распечатывать журналы и оборотный баланс. Пока
    запрещено использование этих счетов для настройки автоматических
    проводок из других подсистем.

* В подсистеме "Расчет зарплаты"
  - выполнены доработки в связи с введением не облагаемой
    материальной помощи
  - сделана опция в файле настройки для исключения отчислений на безработицу
    при расчете подоходного налога

Version: 4.10	Суб Июн  9 16:06:53 EEST 2001
  Изменения не существенные

Version: 4.9	Вто Июн  5 16:32:42 EEST 2001
* В подсистеме "Расчет зарплаты"
  - исправлено несколько ошибок связанных с перерасчетом больничного

* В подсистеме "Главная книга"
  - в таблице Plansh добавлены два новых поля (применить программу
    alter)
* В подсистеме "Материальный учет"
  - в режиме работы с приходным документом по клавише F9 можно
    выполнить автоматическую дооценку документа на любую сумму
  - сделан режим позволяющий определить общюю сумму выполненых 
    автоматических дооценок документов на приход товаров и материалов


Version: 4.8	Чтв Май 31 18:05:29 EEST 2001

* В подсистеме "Расчет зарплаты" 
  - сделан учет необлагаемой материальной помощи
  - в таблице Ztab добавлено новое поле kom, построить и запустить
    программу alter для его добавления

Version: 4.7	Вто Май 22 17:05:04 EEST 2001
* В подсистеме "Расчет зарплаты" устранена ошибка связанная с блокировкой
  карточек.

* В подсистеме "Учет услуг" доработана настройка автоматических
  проводок. Два варианта проводок.

Version: 4.6	Пнд Май 14 18:18:08 EEST 2001

* В подсистеме "Платежные документы"
  - можно настраивать список банков с котрыми работает оператор
    в настоящий момент реализована передача документов для
    Промивест банка и банка Надра.

* В подсистеме "Расчет зарплаты" 
  - сделана настройка позволяющая не делать автоматические
    проводки для нужных видов удержаний
  - перенесена настройка расчета отчислений в профсоюзный фонд из
    отдельного файла в общий файл настройки
  - чтение шкалы подоходного налога происходит один раз при старте программы
  - карточку корректировать может только один оператор, первый начавший
    работу с ней. Остальные могут в это время только просматривать ее.

Version: 4.5	Чтв Май  3 18:02:43 EEST 2001

* В подсистеме "Учет основных средств" сделана возможность настроить один из 
двух (пока) вариантов расчета амортизации для бухгалтерского учета.

* По результатам эксплуатации обнаружено и исправлено несколько ошибок в
  подсистеме "Учет основных средств"

* В подсистеме "Расчет зарплаты." сделаны следующие изменения:
  - в отчетах расчет долгов предприятия перед работниками и расчет
    отчислений на выплаченную зарплату сделаны доработки связанные с
    появлением новых фондов 

Revision 4.4 	Срд Апр 11 10:53:16 EEST 2001
* Система адаптирована для работы из под X-WINDOWS, тоесть  
  может работать с любым размером экрана но не меньше чем 24*80.

* Изменена структура записи в таблице плана счетов (Plansh).
  Программа alter выполняет все необходимые изменения в
  существующих таблицах плана счетов.

* Разрешена корректировка кода контрагента.

* Разрешена корректировка кода материала.

* Разрешена корректировка кода типовой платежки и требования.

* В подсистеме "Расчет зарплаты." сделаны следующие изменения:
 - режим автоматического расчета начислений и удержаний во всех карточках.
 - режим ввода начислений/удержаний без входа в карточки
 - изменена структура записи таблицы Zarn. Переделано програмное
   обеспечение под эту структуру. Теперь программа записывает
   все переменные данные на текущий месяц и при просмотре карточки
   по соответствующей дате, оператор увидит те реквизиты в
   карточке, которые были записаны на эту дату
 - добавлена возможность блокировки изменений отдельной карточки
 - расчет новых налогов на соц-страхование и на страхование от несчасного
   случая
 - разработан режим позволяющий просматривать и при необходимости
   корректировать начисления на фонд зарплаты по каждому
   человеку
 - выполнены доработки по новым налогам

*  В подсистеме "Учет услуг." в шапке документа добавлен новый
  реквизит - "Основание" (использовать утилиту alter для
  добавления реквизита в уже существующие базы данных)
   Добавлена новая таблица Usldokum3 в которую записывается
  приложение к документу - любой текст введенный с помощью
  текстового редактора.
   Реализован режим автоматического выполнения проводок к
  документу.

* Разработана новая подсистема "Учет кассовых ордеров." Основная
  идея:

   - получить возможность выписки и распечатки кассовых ордеров 
   - получить архив кассовых ордеров с возможностью поиска в нем
     нужных данных
   - получить возможность автоматического выполнения проводок к
     выписанным кассовым ордерам в главной гниге

   Для создания таблиц этой подсистемы использовать утилиту alter для
   добавления таблиц в уже существующие базы данных.

* Дополнительная информация для контрагента, основных средств 
  и табельных номеров теперь будет храниться не в файлах а в
  таблицах базы данных. Дополнительные таблицы создаст программа
  alter.

* Добавлено новое поле fio в таблицу F8dr1. Это позволяет вводить
в документ людей на которых не заведены карточки в программе
"Расчет зарплаты".

* Переделана программа распечатки книги учета продажи товаров и услуг.
Теперь она просматривает и документы введенные в подсистему "Учет услуг".

* Сделана новая подпрограмма распечатки книги учета покупки товаров и услуг.
Программа просматривает документы в "Материальном учете" и в "Учете услуг".

* Добавлена колонка prov в таблицы списка операций для всех подсистем
  Если значение в этой колонке 0 ,то проводки для операции надо выполнять
  если 1 - не надо. 

Revision 4.0  2000/09/09 11:51:23  sasa
* Все програмное обеспечение может строиться как под компилятором
  С так и С++. Это положение будет сохраняться пока не будут
  применены возможности языка С++, которые отсутствую в С.

* Включена поддержка кассовых аппаратов DATECS MP-500 (они же SAMSUNG ER)

* Исправлены найденные ошибки по результатам начавшейся промышленной
  эксплуатации "Учета основных средств".

